2022-11-04  Keith Marshall  <keith@users.osdn.me>

	Provide LocalDiscard() implementation per issue #44471.

	* include/winbase.h (LocalDiscard): There is no DLL exporting this
	function; delete prototype declaration which suggests that there is;
	replace it with an intrinsic function implementation, based on a hint
	found in ReactOS documentation of a macro definition.

2022-11-04  Eli Zaretskii  <eliz@gnu.org>

	Fix IsProcessInJob() function prototype per issue #44471.

	* include/winbase.h (IsProcessInJob): Add missing WINAPI calling
	convention qualifier to function prototype declaration.

2022-11-04  Keith Marshall  <keith@users.osdn.me>

	Implement interlocked memory access API intrinsic functions.

	* include/intrin.h: New file.
	[__ATOMIC_ACQ_REL defined]: It declares...
	(_InterlockedDecrement, _InterlockedDecrement8)
	(_InterlockedDecrement16, _InterlockedDecrement64)
	(_InterlockedIncrement, _InterlockedIncrement8)
	(_InterlockedIncrement16, _InterlockedIncrement64)
	(_InterlockedExchange, _InterlockedExchange8)
	(_InterlockedExchange16, _InterlockedExchange64)
	(_InterlockedCompareExchange, _InterlockedCompareExchange8)
	(_InterlockedCompareExchange16, _InterlockedCompareExchange64)
	(_InterlockedExchangeAdd, _InterlockedExchangeAdd8)
	(_InterlockedExchangeAdd16, _InterlockedExchangeAdd64)
	(_InterlockedAdd, _InterlockedAdd64, _InterlockedAnd)
	(_InterlockedAnd8, _InterlockedAnd16, _InterlockedAnd64)
	(_InterlockedOr, _InterlockedOr8, _InterlockedOr16, _InterlockedOr64)
	(_InterlockedXor, _InterlockedXor8, _InterlockedXor16)
	(_InterlockedXor64): ...each of these functions, then defines an
	intrinsic implementation of each, by mapping each to an equivalent
	GCC __atomic built-in function.

	* include/winnt.h [__ATOMIC_AC_REL defined]: Include "intrin.h",
	whence derive and define an appropriate mapping for...
	(InterlockedDecrement, InterlockedDecrement8)
	(InterlockedDecrement16, InterlockedDecrement64)
	(InterlockedIncrement, InterlockedIncrement8)
	(InterlockedIncrement16, InterlockedIncrement64)
	(InterlockedExchange, InterlockedExchange8)
	(InterlockedExchange16, InterlockedExchange64)
	(InterlockedCompareExchange, InterlockedCompareExchange8)
	(InterlockedCompareExchange16, InterlockedCompareExchange64)
	(InterlockedCompareExchangePointer, InterlockedExchangePointer)
	(InterlockedExchangeAdd, InterlockedExchangeAdd8)
	(InterlockedExchangeAdd16, InterlockedExchangeAdd64)
	(InterlockedAdd, InterlockedAdd64, InterlockedAnd)
	(InterlockedAnd8, InterlockedAnd16, InterlockedAnd64)
	(InterlockedOr, InterlockedOr8, InterlockedOr16, InterlockedOr64)
	(InterlockedXor, InterlockedXor8, InterlockedXor16)
	(InterlockedXor64): ...each of these functions, in terms of its
	equivalent intrinsic implementation.

2022-11-02  Keith Marshall  <keith@users.osdn.me>

	Clean up interlocked memory access API declarations.

	* include/ddk/ntddk.h [_DDK_NTDDK_H]: Always defined, implying...
	[__USE_NTOSKRNL__]: ...this, never defined elsewhere, and always true
	when defined here; hence, macro is redundant; delete its definition,
	together with its enclosing (redundant) repeat definition guard.

	* include/winbase.h include/ddk/winddk.h
	[__USE_NTOSKRNL__, __INTERLOCKED_DECLARED]: Delete references.
	(InterlockedDecrement, InterlockedIncrement, InterlockedExchange)
	(InterlockedCompareExchange, InterlockedCompareExchangePointer)
	(InterlockedExchangePointer, InterlockedExchangeAdd): Factor out;
	relocate declarations, and implementations as appropriate, to...
	* include/winnt.h: ...here, per Microsoft's current documentation.
	(__kernel_api): New local macro; define it conditionally...
	[_DDK_NTDDK_H defined]: ...to match DDKFASTAPI usage, else...
	[_DDK_NTDDK_H ! defined]: ...to match WINAPI usage.

	* include/winbase.h (InterlockedPushEntrySList)
	(InterlockedPopEntrySlist): Declare them, only if...
	[_DDK_WINDDK_H ! defined]: ...not previously declared...
	* include/ddk/winddk.h: ...thence.

	* include/winnt.h (_WIN32_INTRINSIC): New macro; define, and...
	(InterlockedCompareExchangePointer, InterlockedExchangePointer):
	...use it.

	* include/ddk/winddk.h (InterlockedPushEntrySList)
	(InterlockedPopEntrySlist): Declare them, only if...
	[_WINBASE_H ! defined]: ...not previously declared...
	* include/winbase.h: ...thence.

	* include/ddk/winddk.h (FILE_LIST_DIRECTORY, FILE_READ_DATA)
	(FILE_ADD_FILE, FILE_WRITE_DATA, FILE_ADD_SUBDIRECTORY)
	(FILE_APPEND_DATA, FILE_CREATE_PIPE_INSTANCE, FILE_READ_EA)
	(FILE_WRITE_EA, FILE_EXECUTE, FILE_TRAVERSE, FILE_DELETE_CHILD)
	(FILE_READ_ATTRIBUTES, FILE_WRITE_ATTRIBUTES, FILE_SHARE_READ)
	(FILE_SHARE_WRITE, FILE_SHARE_DELETE, FILE_SHARE_VALID_FLAGS)
	(FILE_ATTRIBUTE_READONLY, FILE_ATTRIBUTE_HIDDEN)
	(FILE_ATTRIBUTE_SYSTEM, FILE_ATTRIBUTE_DIRECTORY)
	(FILE_ATTRIBUTE_ARCHIVE, FILE_ATTRIBUTE_DEVICE, FILE_ATTRIBUTE_NORMAL)
	(FILE_ATTRIBUTE_TEMPORARY, FILE_ATTRIBUTE_SPARSE_FILE)
	(FILE_ATTRIBUTE_REPARSE_POINT, FILE_ATTRIBUTE_COMPRESSED)
	(FILE_ATTRIBUTE_OFFLINE, FILE_ATTRIBUTE_NOT_CONTENT_INDEXED)
	(FILE_ATTRIBUTE_ENCRYPTED, FILE_ATTRIBUTE_VIRTUAL)
	(FILE_ATTRIBUTE_VALID_FLAGS, FILE_ATTRIBUTE_VALID_SET_FLAGS)
	(FILE_COPY_STRUCTURED_STORAGE, FILE_STRUCTURED_STORAGE)
	(FILE_VALID_OPTION_FLAGS, FILE_VALID_PIPE_OPTION_FLAGS)
	(FILE_VALID_MAILSLOT_OPTION_FLAGS, FILE_VALID_SET_FLAGS)
	(FILE_SUPERSEDE, FILE_OPEN, FILE_CREATE, FILE_OPEN_IF, FILE_OVERWRITE)
	(FILE_OVERWRITE_IF, FILE_MAXIMUM_DISPOSITION, FILE_DIRECTORY_FILE)
	(FILE_WRITE_THROUGH, FILE_SEQUENTIAL_ONLY)
	(FILE_NO_INTERMEDIATE_BUFFERING, FILE_SYNCHRONOUS_IO_ALERT)
	(FILE_SYNCHRONOUS_IO_NONALERT, FILE_NON_DIRECTORY_FILE)
	(FILE_CREATE_TREE_CONNECTION, FILE_COMPLETE_IF_OPLOCKED)
	(FILE_NO_EA_KNOWLEDGE, FILE_OPEN_FOR_RECOVERY, FILE_RANDOM_ACCESS)
	(FILE_DELETE_ON_CLOSE, FILE_OPEN_BY_FILE_ID)
	(FILE_OPEN_FOR_BACKUP_INTENT, FILE_NO_COMPRESSION)
	(FILE_RESERVE_OPFILTER, FILE_OPEN_REPARSE_POINT, FILE_OPEN_NO_RECALL)
	(FILE_OPEN_FOR_FREE_SPACE_QUERY, FILE_ALL_ACCESS)
	(FILE_GENERIC_EXECUTE, FILE_GENERIC_READ, FILE_GENERIC_WRITE)
	(DUPLICATE_CLOSE_SOURCE, DUPLICATE_SAME_ACCESS)
	(DUPLICATE_SAME_ATTRIBUTES): Delete redundant definitions; all are...
	* include/winnt.h: ...already defined thence.

2022-10-15  Keith Marshall  <keith@users.osdn.me>

	Do not define public symbols in <wspiapi.h>

	* include/wspiapi.h (__wspiapi_getaddrinfo): Declare it as
	"static __inline__".

2022-08-19  Keith Marshall  <keith@users.osdn.me>

	Correct declaration of struct RAWHID.

	* include/winuser.h (RAWHID.bRawData): Represents an array of bytes,
	not just a single byte; correct its declaratation to identify it as a
	variable size array.

2022-08-17  Earnie Boyd  <earnie@users.sourceforge.net>

	Add CertEnumCRLsInStore() references for CRYPT32.DLL.

	(Forward port of unmerged 2012-11-09 WSL-4.0-dev commit).

	* include/wincrypt.h (CertEnumCRLsInStore): Declare prototype.
	* lib/crypt32.def (CertEnumCRLsInStore@4): Add export reference.

2022-08-15  Keith Marshall  <keith@users.osdn.me>

	Correct project name references in w32api source files.

	* README.w32api Makefile.in configure.ac include/commctrl.h
	* include/dbt.h include/ddk/ntdddisk.h include/ddk/ntddk.h
	* include/ddk/ntddstor.h include/ddk/winddk.h include/iptypes.h
	* include/legacy.h include/nspapi.h include/obsolete.h.in
	* include/prsht.h include/sdkddkver.h include/versionhelpers.h
	* include/w32api.h.in include/winbase.h include/wincon.h
	* include/wincrypt.h include/windef.h include/windows.h
	* include/winerror.h include/wingdi.h include/winioctl.h
	* include/winnetwk.h include/winnls.h include/winnt.h
	* include/winperf.h include/winreg.h include/winsock.h
	* include/winsock2.h include/winspool.h include/winsvc.h
	* include/winuser.h include/winver.h include/ws2spi.h
	* include/ws2tcpip.h include/wsnetbs.h include/wspiapi.h
	* include/wtypes.h lib/availapi.c lib/osvercmp.c tests/Makefile.in
	* tests/atlocal.in tests/headers.at tests/testsuite.at.in
	* tests/winsock.at: Replace all references to defunct "MinGW.org"
	project name; refer to "MinGW.OSDN" instead.

2021-06-13  Keith Marshall  <keith@users.osdn.me>

	Implement pseudo-console legacy platform support.

	* include/wincon.h [NTDDI_VERSION >= NTDDI_WIN10_RS5]
	[_MINGW_LEGACY_SUPPORT] (CreatePseudoConsole, ResizePseudoConsole)
	[_MINGW_LEGACY_SUPPORT] (ClosePseudoConsole): Add inline stub function
	implementations, to enforce run-time linking.

2021-06-13  Keith Marshall  <keith@users.osdn.me>

	Update to add Win10 pseudo-console support.

	* include/winbase.h [_WIN32_WINNT >= _WIN32_WINNT_VISTA]
	(PROC_THREAD_ATTRIBUTE_PROTECTION_LEVEL, PROTECTION_LEVEL_SAME)
	(EXTENDED_STARTUPINFO_PRESENT, PROC_THREAD_ATTRIBUTE_PARENT_PROCESS)
	(PROC_THREAD_ATTRIBUTE_HANDLE_LIST): Define them.
	(LPPROC_THREAD_ATTRIBUTE_LIST): Typedef as pointer to opaque struct.
	(STARTUPINFOEXA, STARTUPINFOEXW): Typedef as struct...
	(LPSTARTUPINFOEXA, LPSTARTUPINFOEXW): ...and pointers thereto.
	(STARTUPINFOEX, LPSTARTUPINFOEX) [UNICODE vs. !UNICODE]: Alias to
	STARTUPINFOEXW or STARTUPINFOEXA, respectively.
	(InitializeProcThreadAttributeList, UpdateProcThreadAttribute)
	(DeleteProcThreadAttributeList): Declare function prototypes.

	[_WIN32_WINNT >= _WIN32_WINNT_WIN7]
	(PROC_THREAD_ATTRIBUTE_PREFERRED_NODE)
	(PROC_THREAD_ATTRIBUTE_MITIGATION_POLICY)
	(PROCESS_CREATION_MITIGATION_POLICY_DEP_ENABLE)
	(PROCESS_CREATION_MITIGATION_POLICY_DEP_ATL_THUNK_ENABLE)
	(PROCESS_CREATION_MITIGATION_POLICY_SEHOP_ENABLE)
	(PROC_THREAD_ATTRIBUTE_GROUP_AFFINITY)
	(PROC_THREAD_ATTRIBUTE_IDEAL_PROCESSOR)
	(PROC_THREAD_ATTRIBUTE_UMS_THREAD): Define them.

	[_WIN32_WINNT >= _WIN32_WINNT_WIN8]
	(PROCESS_CREATION_MITIGATION_POLICY_FORCE_RELOCATE_IMAGES_ALWAYS_ON)
	(PROCESS_CREATION_MITIGATION_POLICY_FORCE_RELOCATE_IMAGES_ALWAYS_OFF)
	(PROCESS_CREATION_MITIGATION_POLICY_FORCE_RELOCATE_IMAGES_ALWAYS_ON_REQ_RELOCS)
	(PROCESS_CREATION_MITIGATION_POLICY_HEAP_TERMINATE_ALWAYS_ON)
	(PROCESS_CREATION_MITIGATION_POLICY_HEAP_TERMINATE_ALWAYS_OFF)
	(PROCESS_CREATION_MITIGATION_POLICY_BOTTOM_UP_ASLR_ALWAYS_ON)
	(PROCESS_CREATION_MITIGATION_POLICY_BOTTOM_UP_ASLR_ALWAYS_OFF)
	(PROCESS_CREATION_MITIGATION_POLICY_HIGH_ENTROPY_ASLR_ALWAYS_ON)
	(PROCESS_CREATION_MITIGATION_POLICY_HIGH_ENTROPY_ASLR_ALWAYS_OFF)
	(PROCESS_CREATION_MITIGATION_POLICY_STRICT_HANDLE_CHECKS_ALWAYS_ON)
	(PROCESS_CREATION_MITIGATION_POLICY_STRICT_HANDLE_CHECKS_ALWAYS_OFF)
	(PROCESS_CREATION_MITIGATION_POLICY_WIN32K_SYSTEM_CALL_DISABLE_ALWAYS_ON)
	(PROCESS_CREATION_MITIGATION_POLICY_WIN32K_SYSTEM_CALL_DISABLE_ALWAYS_OFF)
	(PROCESS_CREATION_MITIGATION_POLICY_EXTENSION_POINT_DISABLE_ALWAYS_ON)
	(PROCESS_CREATION_MITIGATION_POLICY_EXTENSION_POINT_DISABLE_ALWAYS_OFF)
	(PROCESS_CREATION_MITIGATION_POLICY_PROHIBIT_DYNAMIC_CODE_ALWAYS_ON)
	(PROCESS_CREATION_MITIGATION_POLICY_PROHIBIT_DYNAMIC_CODE_ALWAYS_OFF)
	(PROCESS_CREATION_MITIGATION_POLICY_PROHIBIT_DYNAMIC_CODE_ALWAYS_ON_ALLOW_OPT_OUT)
	(PROCESS_CREATION_MITIGATION_POLICY_PROHIBIT_DYNAMIC_CODE_DEFER)
	(PROCESS_CREATION_MITIGATION_POLICY_PROHIBIT_DYNAMIC_CODE_MASK)
	(PROCESS_CREATION_MITIGATION_POLICY_CONTROL_FLOW_GUARD_DEFER)
	(PROCESS_CREATION_MITIGATION_POLICY_CONTROL_FLOW_GUARD_ALWAYS_ON)
	(PROCESS_CREATION_MITIGATION_POLICY_CONTROL_FLOW_GUARD_ALWAYS_OFF)
	(PROCESS_CREATION_MITIGATION_POLICY_CONTROL_FLOW_GUARD_EXPORT_SUPPRESSION)
	(PROCESS_CREATION_MITIGATION_POLICY_CONTROL_FLOW_GUARD_MASK)
	(PROCESS_CREATION_MITIGATION_POLICY2_STRICT_CONTROL_FLOW_GUARD_DEFER)
	(PROCESS_CREATION_MITIGATION_POLICY2_STRICT_CONTROL_FLOW_GUARD_ALWAYS_ON)
	(PROCESS_CREATION_MITIGATION_POLICY2_STRICT_CONTROL_FLOW_GUARD_ALWAYS_OFF)
	(PROCESS_CREATION_MITIGATION_POLICY2_STRICT_CONTROL_FLOW_GUARD_RESERVED)
	(PROCESS_CREATION_MITIGATION_POLICY2_STRICT_CONTROL_FLOW_GUARD_MASK)
	(PROCESS_CREATION_MITIGATION_POLICY_BLOCK_NON_MICROSOFT_BINARIES_DEFER)
	(PROCESS_CREATION_MITIGATION_POLICY_BLOCK_NON_MICROSOFT_BINARIES_ALWAYS_ON)
	(PROCESS_CREATION_MITIGATION_POLICY_BLOCK_NON_MICROSOFT_BINARIES_ALWAYS_OFF)
	(PROCESS_CREATION_MITIGATION_POLICY_BLOCK_NON_MICROSOFT_BINARIES_ALLOW_STORE)
	(PROCESS_CREATION_MITIGATION_POLICY_BLOCK_NON_MICROSOFT_BINARIES_MASK)
	(PROCESS_CREATION_MITIGATION_POLICY_FONT_DISABLE_DEFER)
	(PROCESS_CREATION_MITIGATION_POLICY_FONT_DISABLE_ALWAYS_ON)
	(PROCESS_CREATION_MITIGATION_POLICY_FONT_DISABLE_ALWAYS_OFF)
	(PROCESS_CREATION_MITIGATION_POLICY_AUDIT_NONSYSTEM_FONTS)
	(PROCESS_CREATION_MITIGATION_POLICY_FONT_DISABLE_MASK)
	(PROCESS_CREATION_MITIGATION_POLICY_IMAGE_LOAD_NO_REMOTE_DEFER)
	(PROCESS_CREATION_MITIGATION_POLICY_IMAGE_LOAD_NO_REMOTE_ALWAYS_ON)
	(PROCESS_CREATION_MITIGATION_POLICY_IMAGE_LOAD_NO_REMOTE_ALWAYS_OFF)
	(PROCESS_CREATION_MITIGATION_POLICY_IMAGE_LOAD_NO_REMOTE_RESERVED)
	(PROCESS_CREATION_MITIGATION_POLICY_IMAGE_LOAD_NO_REMOTE_MASK)
	(PROCESS_CREATION_MITIGATION_POLICY_IMAGE_LOAD_NO_LOW_LABEL_DEFER)
	(PROCESS_CREATION_MITIGATION_POLICY_IMAGE_LOAD_NO_LOW_LABEL_ALWAYS_ON)
	(PROCESS_CREATION_MITIGATION_POLICY_IMAGE_LOAD_NO_LOW_LABEL_ALWAYS_OFF)
	(PROCESS_CREATION_MITIGATION_POLICY_IMAGE_LOAD_NO_LOW_LABEL_RESERVED)
	(PROCESS_CREATION_MITIGATION_POLICY_IMAGE_LOAD_NO_LOW_LABEL_MASK)
	(PROCESS_CREATION_MITIGATION_POLICY_IMAGE_LOAD_NO_PREFER_SYSTEM32_DEFER)
	(PROCESS_CREATION_MITIGATION_POLICY_IMAGE_LOAD_NO_PREFER_SYSTEM32_ALWAYS_ON)
	(PROCESS_CREATION_MITIGATION_POLICY_IMAGE_LOAD_NO_PREFER_SYSTEM32_ALWAYS_OFF)
	(PROCESS_CREATION_MITIGATION_POLICY_IMAGE_LOAD_NO_PREFER_SYSTEM32_RESERVED)
	(PROCESS_CREATION_MITIGATION_POLICY_IMAGE_LOAD_NO_PREFER_SYSTEM32_MASK):
	Define them.

	[_WIN32_WINNT >= _WIN32_WINNT_WIN10 && NTDDI_VERSION >= NTDDI_WIN10_RS3]
	(PROCESS_CREATION_MITIGATION_POLICY2_RESTRICT_INDIRECT_BRANCH_PREDICTION_ALWAYS_ON)

	[_WIN32_WINNT >= _WIN32_WINNT_WIN10 && NTDDI_VERSION >= NTDDI_WIN10_RS5]
	(PROCESS_CREATION_MITIGATION_POLICY2_SPECULATIVE_STORE_BYPASS_DISABLE_ALWAYS_ON)
	(PROC_THREAD_ATTRIBUTE_PSEUDOCONSOLE): Define them.

	* include/wincon.h [NTDDI_VERSION >= NTDDI_WIN10_RS5]
	(HPCON): Typedef as Windows handle type.
	(PSEUDOCONSOLE_INHERIT_CURSOR): Define it.
	(CreatePseudoConsole, ResizePseudoConsole, ClosePseudoConsole):
	Declare function prototypes.

	* lib/kernel32.def (CreatePseudoConsole, ResizePseudoConsole)
	(ClosePseudoConsole): Add references.

2021-05-25  Keith Marshall  <keith@users.osdn.me>

	Add "legacy-safe" emulation of Microsoft's version helpers API.

	* include/versionhelpers.h: New file; it defines the API, as specified
	in Microsoft's official "Version Helper" on-line documentation.

	* lib/osvercmp.c: New file; it implements...
	(__mingw_osver_at_least, __mingw_osver_server): ...these "legacy-safe"
	helper functions; deployed as regular object modules, included in...
	(libkernel32.a): ...this W32API import library, they wrap calls to...
	(VerSetConditionMask, VerifyVersionInfoA): ...these KERNEL32.DLL
	functions, forwarding calls only if supported.

	* Makefile.in (kernel32.a): Add osvercmp.$OBJEXT dependency.

2021-05-25  Keith Marshall  <keith@users.osdn.me>

	Correct an entry-point look-up logic defect.

	* lib/availapi.c (__bound_dll_entry_point) [dll == NULL]: Should be...
	[dll != NULL]: ...this; correct it.

2021-05-23  Keith Marshall  <keith@users.osdn.me>

	Implement a generic legacy platform support infrastructure.

	* lib/availapi.c: New file; it implements...
	(__kernel32_entry_point, __bound_dll_entry_point)
	(__unbound_dll_entry_point): ...these run-time link helper functions.

	* include/legacy.h: New file.
	(__kernel32_entry_point, __bound_dll_entry_point)
	(__unbound_dll_entry_point): Declare them.
	(__legacy_support): New inline error notifier; implement it.
	(API_UNCHECKED, API_UNSUPPORTED): Define them.
	(ERROR_OLD_WIN_VERSION): Duplicate.

	* Makefile.in (libkernel32.a): Integrate...
	(k32entry.$OBJEXT, bound.$OBJECT): ...these; they provide...
	(__kernel32_entry_point, __bound_dll_entry_point): ...these; add
	build rules, as appropriate, incorporating...
	(NO_ALIGN_FLAGS): ...this new macro.

2021-05-09  Keith Marshall  <keith@users.osdn.me>

	Correct TreeView_GetItemRect() syntax; cf. MinGW-Issue #41041.

	* include/commctrl.h (TreeView_GetItemRect): Correct placement of
	parentheses around typecast pointer reference assignment.

2021-04-11  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.4.2 release.

	* All files (wsl-5.4.2-release): Tag assigned.

2021-02-19  Keith Marshall  <keith@users.osdn.me>

	Make <winnetwk.h> header effectively self-contained.

	* include/winnetwk.h: Tidy layout; assert copyright.
	(GCC system_header) [__GNUC__ >= 3]: Remove prerequisite condition.
	(windef.h): Include this, to support stand-alone use.
	(_BEGIN_C_DECLS, _END_C_DECLS): Use them.
	[UNICODE vs. ! UNICODE] (__AW_ALIAS__): Use it to declare...
	(NETRESOURCE, LPNETRESOURCE, CONNECTDLGSTRUCT, LPCONNECTDLGSTRUCT)
	(DISCDLGSTRUCT, LPDISCDLGSTRUCT, UNIVERSAL_NAME_INFO)
	(LPUNIVERSAL_NAME_INFO, REMOTE_NAME_INFO)
	(LPREMOTE_NAME_INFO): ...these.
	[UNICODE vs. ! UNICODE] (__AW_SUFFIXED__): Use it to declare...
	(PFNGETPROFILEPATH, PFNRECONCILEPROFILE, PFNPROCESSPOLICIES)
	(WNetAddConnection, WNetAddConnection2, WNetAddConnection3)
	(WNetCancelConnection, WNetCancelConnection2, WNetGetConnection)
	(WNetUseConnection, WNetSetConnection, WNetConnectionDialog1)
	(WNetDisconnectDialog1, WNetOpenEnum, WNetEnumResource)
	(WNetGetUniversalName, WNetGetUser, WNetGetProviderName)
	(WNetGetNetworkInformation, WNetGetResourceInformation)
	(WNetGetResourceParent, WNetGetLastError)
	(MultinetGetConnectionPerformance): ...these.

2021-02-13  Keith Marshall  <keith@users.osdn.me>

	Update support for Internet Explorer features selection macros.

	* include/sdkddkver.h (_WIN32_IE_IE90)
	(_WIN32_IE_IE100, _WIN32_IE_IE110): Define.

2021-02-13  Keith Marshall  <keith@users.osdn.me>

	Add support for Windows-10 features selection macros.

	* include/sdkddkver.h (_WIN32_WINNT_WIN10): Define.
	(NTDDI_WIN10, NTDDI_WINTHRESHOLD, NTDDI_WIN10_TH2, NTDDI_WIN10_RS1)
	(NTDDI_WIN10_RS2, NTDDI_WIN10_RS3, NTDDI_WIN10_RS4, NTDDI_WIN10_RS5)
	(NTDDI_WIN10_19H1): Likewise.

2021-02-12  Keith Marshall  <keith@users.osdn.me>

	Make <winperf.h> header effectively self-contained.

	* include/winperf.h: Tidy layout; assert copyright.
	(GCC system_header) [__GNUC__ >= 3]: Remove prerequisite condition.
	(winbase.h): Include this, to support stand-alone use.
	(_BEGIN_C_DECLS, _END_C_DECLS): Use them.

2021-02-12  Keith Marshall  <keith@users.osdn.me>

	Make <winspool.h> header effectively self-contained.

	* include/winspool.h: Tidy layout; assert copyright.
	(GCC system_header) [__GNUC__ >= 3]: Remove prerequisite condition.
	(winbase.h, wingdi.h): Include these, to support stand-alone use.
	[_WIN32_WINNT >= _WIN32_WINNT_WIN2K]: Always test symbolically.
	(_BEGIN_C_DECLS, _END_C_DECLS): Use them.
	[UNICODE vs. ! UNICODE] (__AW_ALIAS__): Use it to declare...
	(ADDJOB_INFO_1), PADDJOB_INFO_1, LPADDJOB_INFO_1)
	(DATATYPES_INFO_1, PDATATYPES_INFO_1, LPDATATYPES_INFO_1)
	(JOB_INFO_1, PJOB_INFO_1, LPJOB_INFO_1)
	(JOB_INFO_2, PJOB_INFO_2, LPJOB_INFO_2)
	(DOC_INFO_1, PDOC_INFO_1, LPDOC_INFO_1)
	(DOC_INFO_2, PDOC_INFO_2, LPDOC_INFO_2)
	(DRIVER_INFO_1, PDRIVER_INFO_1, LPDRIVER_INFO_1)
	(DRIVER_INFO_2, PDRIVER_INFO_2, LPDRIVER_INFO_2)
	(DRIVER_INFO_3, PDRIVER_INFO_3, LPDRIVER_INFO_3)
	(DRIVER_INFO_4, PDRIVER_INFO_4, LPDRIVER_INFO_4)
	(DRIVER_INFO_5, PDRIVER_INFO_5, LPDRIVER_INFO_5)
	(DRIVER_INFO_6, PDRIVER_INFO_6, LPDRIVER_INFO_6)
	(MONITOR_INFO_1, PMONITOR_INFO_1, LPMONITOR_INFO_1)
	(PORT_INFO_1, PPORT_INFO_1, LPPORT_INFO_1)
	(MONITOR_INFO_2, PMONITOR_INFO_2, LPMONITOR_INFO_2)
	(PORT_INFO_2, PPORT_INFO_2, LPPORT_INFO_2)
	(PORT_INFO_3, PPORT_INFO_3, LPPORT_INFO_3)
	(PRINTER_ENUM_VALUES, PPRINTER_ENUM_VALUES)
	(PRINTER_INFO_1, PPRINTER_INFO_1, LPPRINTER_INFO_1)
	(PRINTER_INFO_2, PPRINTER_INFO_2, LPPRINTER_INFO_2)
	(PRINTER_INFO_4, PPRINTER_INFO_4, LPPRINTER_INFO_4)
	(PRINTER_INFO_5, PPRINTER_INFO_5, LPPRINTER_INFO_5)
	(PRINTER_INFO_7, PPRINTER_INFO_7, LPPRINTER_INFO_7)
	(PRINTPROCESSOR_INFO_1, PPRINTPROCESSOR_INFO_1)
	(FORM_INFO_1, PFORM_INFO_1, LPFORM_INFO_1)
	(PRINTER_DEFAULTS, PPRINTER_DEFAULTS, LPPRINTER_DEFAULTS)
	(PROVIDOR_INFO_1, PPROVIDOR_INFO_1, LPROVIDOR_INFO_1)
	(PROVIDOR_INFO_2, PPROVIDOR_INFO_2, LPROVIDOR_INFO_2): ...these.
	[UNICODE vs. ! UNICODE] (__AW_SUFFIXED__): Use it to declare...
	(AddForm, AddJob, AddMonitor, AddPort, AddPrinter)
	(AddPrinterConnection, AddPrinterDriver, AddPrintProcessor)
	(AddPrintProvidor, AdvancedDocumentProperties, ConfigurePort)
	(DeleteForm, DeleteMonitor, DeletePort, DeletePrinterConnection)
	(DeletePrinterData, DeletePrinterDriver, DeletePrintProcessor)
	(DeletePrintProvidor, DocumentProperties, EnumForms, EnumJobs)
	(EnumMonitors, EnumPorts, EnumPrinterData, EnumPrinterDrivers)
	(EnumPrinters, EnumPrintProcessorDatatypes, EnumPrintProcessors)
	(GetDefaultPrinter, GetForm, GetJob, GetPrinter, GetPrinterData)
	(GetPrinterDriver, GetPrinterDriverDirectory, OpenPrinter)
	(GetPrintProcessorDirectory, PrinterMessageBox, ResetPrinter)
	(SetForm, SetJob, SetPrinter, SetPrinterData)
	(StartDocPrinter): ...these.

2021-02-09  Alexei Podtelezhnikov  <apodtele@gmail.com>

	Add missing <wingdi.h> definitions.

	* include/wingdi.h (BI_ALPHABITFIELDS, BI_CMYK, BI_CMYKRLE4)
	(BI_CMYKRLE8, DIB_PAL_INDICES, OUT_SCREEN_OUTLINE_PRECIS)
	(BS_MONOPATTERN, LAYOUT_LTR, LCS_sRGB, LCS_WINDOWS_COLOR_SPACE)
	(PROFILE_EMBEDDED, LCS_PROFILE_EMBEDDED, PROFILE_LINKED)
	(LCS_PROFILE_LINKED, LCS_GM_ABS_COLORIMETRIC): Define.

2021-01-25  Keith Marshall  <keith@users.osdn.me>

	Represent <winbase.h> file creation bit-flags in hexadecimal.

	* include/winbase.h (FILE_FLAG_OVERLAPPED)
	(FILE_FLAG_NO_BUFFERING, FILE_FLAG_RANDOM_ACCESS)
	(FILE_FLAG_SEQUENTIAL_SCAN, FILE_FLAG_DELETE_ON_CLOSE)
	(FILE_FLAG_BACKUP_SEMANTICS, FILE_FLAG_POSIX_SEMANTICS)
	(FILE_FLAG_OPEN_REPARSE_POINT, FILE_FLAG_OPEN_NO_RECALL): Use of
	decimal-value definitions needlessly obfuscates bit-mapped intent;
	convert all to their hexadecimal equivalents.

2020-07-23  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.4.1 release.

	* All files (wsl-5.4.1-release): Tag assigned.

2020-07-08  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.4 release.

	* All files (wsl-5.4-release): Tag assigned.

2020-07-06  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.3.4 release.

	* All files (wsl-5.3.4-release): Tag assigned.

2020-07-05  Keith Marshall  <keith@users.osdn.me>

	Revert typedef of socklen_t to signed int type.

	* include/ws2tcpip.h (socklen_t): Change from unsigned int to int.

	* include/wspiapi.h (__wspiapi_getnameinfo): In comparison...
	[len < sizeof(struct sockaddr)]: ...cast RHS to socklen_t, which is
	the type of len, to ensure type consistency.

2020-06-03  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.3.3 release.

	* All files (wsl-5.3.3-release): Tag assigned.

2020-05-28  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.3.2 release.

	* All files (wsl-5.3.2-release): Tag assigned.

2020-04-30  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.3.1 release.

	* All files (wsl-5.3.1-release): Tag assigned.

2020-03-28  Keith Marshall  <keith@users.osdn.me>

	Make <winsvc.h> header effectively self-contained.

	* include/winsvc.h: Tidy layout; assert copyright.
	Include <windef.h>, so supporting stand-alone inclusion.
	(pragma GCC system_header): Remove redundant GCC version guard.
	(_BEGIN_C_DECLS, _END_C_DECLS): Use them.
	(__AW_ALIAS__): Use it to selectively typedef...
	[UNICODE vs. ! UNICODE] (LPSERVICE_MAIN_FUNCTION)
	(SERVICE_FAILURE_ACTIONS, LPSERVICE_FAILURE_ACTIONS)
	(ENUM_SERVICE_STATUS_PROCESS, LPENUM_SERVICE_STATUS_PROCESS)
	(QUERY_SERVICE_LOCK_STATUS, LPQUERY_SERVICE_LOCK_STATUS)
	(QUERY_SERVICE_CONFIG, LPQUERY_SERVICE_CONFIG)
	(SERVICE_TABLE_ENTRY, LPSERVICE_TABLE_ENTRY)
	(SERVICE_DESCRIPTION, LPSERVICE_DESCRIPTION)
	(ENUM_SERVICE_STATUS, LPENUM_SERVICE_STATUS): ...these.
	(__AW_SUFFIXED__): Likewise, use it to selectively define...
	[UNICODE vs. ! UNICODE] (SERVICES_ACTIVE_DATABASE)
	(SERVICES_FAILED_DATABASE, SC_GROUP_IDENTIFIER)
	(CreateService, ChangeServiceConfig, ChangeServiceConfig2)
	(EnumDependentServices, EnumServicesStatus, EnumServicesStatusEx)
	(GetServiceDisplayName, GetServiceKeyName, OpenSCManager)
	(OpenService, QueryServiceConfig, QueryServiceConfig2)
	(QueryServiceLockStatus, RegisterServiceCtrlHandler)
	(StartService, StartServiceCtrlDispatcher)
	(RegisterServiceCtrlHandlerEx): ...these.
	(__AW_STRING_W__): Use it to derive definitions for...
	(SERVICES_ACTIVE_DATABASEW, SERVICES_FAILED_DATABASEW)
	(SC_GROUP_IDENTIFIERW): ...each of these, from...
	(SERVICES_ACTIVE_DATABASEA, SERVICES_FAILED_DATABASEA)
	(SC_GROUP_IDENTIFIERA): ...these, respectively.

2020-03-05  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.3 release.

	* All files (wsl-5.3-release): Tag assigned.

2020-01-20  Keith Marshall  <keith@users.osdn.me>

	Implement <wspiapi.h> sockets fall-back API.

	* tests/headers.at: Add...
	* include/wspiapi.h: ...this new file; it implements...
	(WspiapiGetAddrInfo, WspiapiGetNameInfo, WspiapiFreeAddrInfo):
	...these inline fall-back replacement implementations for...
	(getaddrinfo, getnameinfo, freeaddrinfo): ...these IETF RFC 3493
	functions, respectively, per hints in Microsoft online docs.

	* include/ws2tcpip.h: Tidy layout; assert copyright.
	(pragma GCC system_header): Remove redundant GCC version guard.
	(EAI_SYSTEM, EAI_OVERFLOW): New symbolic error codes; define them.
	(socklen_t): Correct typedef; was signed but negative is meaningless.
	(getnameinfo): Adjust prototype declaration to conform to RFC 3493.
	(__AW_SUFFIXED__): Use it to selectively map definitions for...
	[UNICODE vs. ! UNICODE] (gai_strerror): ...this function.
	(_BEGIN_C_DECLS, _END_C_DECLS): Use them.

2020-01-17  Keith Marshall  <keith@users.osdn.me>

	Preserve order of tests for integrity of header files.

	* tests/Makefile.in: Explicitly sort $wildcard output, within...
	(list_headers): ...this new function-style macro.
	(enum_headers, enum_header_subdirs): Use it.

	* tests/headers.at: Adjust to recent GNU make $sort order.

2020-01-15  Keith Marshall  <keith@users.osdn.me>

	Incorporate <winnls.h> updates for Vista and Windows-7.

	* include/winnls.h: Reorganize into logical definition groups.
	[_WIN32_WINNT >= _WIN32_WINNT_VISTA] (LOCALE_CUSTOM_DEFAULT)
	(LOCALE_CUSTOM_UI_DEFAULT, LOCALE_CUSTOM_UNSPECIFIED, LOCALE_SNAME)
	(LOCALE_SDURATION, LOCALE_SKEYBOARDSTOINSTALL, LOCALE_SSCRIPTS)
	(LOCALE_SNAN, LOCALE_SPOSINFINITY, LOCALE_SNEGINFINITY)
	(LOCALE_SISO3166CTRYNAME2, LOCALE_SISO639LANGNAME2)
	(LOCALE_SSHORTESTDAYNAME1, LOCALE_SSHORTESTDAYNAME2)
	(LOCALE_SSHORTESTDAYNAME3, LOCALE_SSHORTESTDAYNAME4)
	(LOCALE_SSHORTESTDAYNAME5, LOCALE_SSHORTESTDAYNAME6)
	(LOCALE_SSHORTESTDAYNAME7, CAL_SSHORTESTDAYNAME1)
	(CAL_SSHORTESTDAYNAME2, CAL_SSHORTESTDAYNAME3, CAL_SSHORTESTDAYNAME4)
	(CAL_SSHORTESTDAYNAME5, CAL_SSHORTESTDAYNAME6, CAL_SSHORTESTDAYNAME7)
	(CAL_UMALQURA, C3_HIGHSURROGATE, C3_LOWSURROGATE): New symbolic
	constants; define each as a manifest constant macro.
	[_WIN32_WINNT >= _WIN32_WINNT_WIN7] (CAL_SMONTHDAY)
	(CAL_SABBREVERASTRING): Likewise.
	[_WIN32_WINNT >= _WIN32_WINNT_VISTA] (GetCalendarInfoEx): New
	function; declare its prototype.

2020-01-14  Keith Marshall  <keith@users.osdn.me>

	Make <winnls.h> header effectively self-contained.

	* include/winnls.h: Tidy layout; assert copyright.
	Include <winbase.h>, so supporting stand-alone inclusion.
	(pragma GCC system_header): Remove redundant GCC version guard.
	(WINVER, _WIN32_WINNT): Always use symbolic version comparisons.
	(__AW_ALIAS__): Use it to selectively typedef...
	[UNICODE vs. ! UNICODE] (CPINFOEX, LPCPINFOEX, CURRENCYFMT)
	(LPCURRENCYFMT, NUMBERFMT, LPNUMBERFMT): ...each of these generic data
	types; delete redundant UNICODE vs. non-UNICODE variants.
	(__AW_SUFFIXED__): Likewise, use it to selectively define...
	[UNICODE vs. ! UNICODE] (CALINFO_ENUMPROC, CALINFO_ENUMPROCEX)
	(LANGUAGEGROUP_ENUMPROC, LANGGROUPLOCALE_ENUMPROC, LOCALE_ENUMPROC)
	(CODEPAGE_ENUMPROC, DATEFMT_ENUMPROC, DATEFMT_ENUMPROCEX)
	(TIMEFMT_ENUMPROC, UILANGUAGE_ENUMPROC, CompareString)
	(EnumCalendarInfo, EnumDateFormats, EnumSystemCodePages)
	(EnumSystemLocales, EnumTimeFormats, FoldString, GetCalendarInfo)
	(GetCPInfoEx, GetCurrencyFormat, GetDateFormat, GetGeoInfo)
	(GetLocaleInfo, GetNumberFormat, GetStringTypeEx, GetTimeFormat)
	(LCMapString, SetCalendarInfo, SetLocaleInfo, EnumCalendarInfoEx)
	(EnumDateFormatsEx, EnumSystemLanguageGroups, EnumLanguageGroupLocales)
	(EnumUILanguages): ...these generic names; delete redundant variants.
	(_BEGIN_C_DECLS, _END_C_DECLS): Use them.

2019-07-06  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.2.2 release.

	* All files (wsl-5.2.2-release): Tag assigned.

2019-06-07  Keith Marshall  <keith@users.osdn.me>

	Add missing definitions; fix MinGW-Bug #39129

	* include/winnt.h (PAGE_TARGETS_INVALID): Define it.
	(PAGE_TARGETS_NO_UPDATE): Likewise.

2019-05-03  Keith Marshall  <keith@users.osdn.me>

	Correct a typographic error; fix MinGW-Bug #39193

	* include/commctrl.h (ListView_SubItemHitTest): Balance parentheses;
	add a missing closing parenthesis.

2019-04-08  Keith Marshall  <keith@users.osdn.me>

	Correct a typographic error; fix MinGW-Bug #39117

	* include/commctrl.h (STATUSCUASSNAME): Correct misspelling...
	(STATUSCLASSNAME): ...to this.

2019-02-03  Keith Marshall  <keith@users.osdn.me>

	Clean up winsock default version selection stratagem.

	* include/winsock.h [_WINSOCK_H]: Defer definition until within new
	internal recursion breaking retest block; following evaluation of...
	[__USE_MINGW_WINSOCK_DEFAULT]: ...this, whence <winsock2.h> may be
	included, reproducing the original version selection logic from...
	* include/_winsock.h: ...here; file is now obsolete; delete it.

	* include/winsock2.h (__USE_MINGW_WINSOCK_DEFAULT): Undefine it,
	before including <winsock.h>

	* include/windows.h include/nspapi.h include/wsnetbs.h: Define...
	(__USE_MINGW_WINSOCK_DEFAULT): ...this, and then include <winsock.h>
	instead of deleted file <_winsock.h>

	* tests/headers.at: Regenerated.

2019-01-22  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.2.1 release.

	* All files (wsl-5.2.1-release): Tag assigned.

2019-01-22  Keith Marshall  <keith@users.osdn.me>

	Incorporate user-customized <features.h> configuration.

	* tests/Makefile.in (install-mingwrt-headers): Create <features.h>
	stub; this is an empty file, yielding the default configuration.

2018-12-23  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.2 release.

	* All files (wsl-5.2-release): Tag assigned.

2018-12-18  Keith Marshall  <keith@users.osdn.me>

	Make <winver.h> header effectively self-contained.

	* include/winver.h: Include <windef.h>

2018-11-23  Keith Marshall  <keith@users.osdn.me>

	Fix MinGW-Bug #2248 (SF ticket).

	* include/commctrl.h (NMPGSCROLL): Set packing to 1-byte alignment.
	(NMPGSCROLL.fwKeys): Change type from BOOL to WORD.

2018-11-23  Keith Marshall  <keith@users.osdn.me>

	Apply some more cosmetic layout adjustments.

	* include/commctrl.h: Keep 'typedef' and 'struct' on a single line,
	for each untagged aggregate type definition.

2018-11-18  Jelle Geerts  <heisenbug@users.osdn.me>

	Fix MinGW-Bug #38736 (OSDN ticket).

	* include/commctrl.h (DTM_SETFORMATW): Correct definition; was 0x1050,
	but should be equivalent to 0x1000 + 50, which is actually 0x1032.

2018-11-18  Keith Marshall  <keith@users.osdn.me>

	Make <commctrl.h> header effectively self-contained.

	* include/commctrl.h: Tidy layout; assert copyright.
	Include <winbase.h> and <prsht.h>; both are required to resolve
	inter-header dependencies, so achieving effective self-containment.
	Correctly parenthesize argument references in macro definitions.
	(pragma GCC system_header): Remove redundant GCC version guard.
	(_WIN32_WINNT, _WIN32_IE): Always use symbolic version comparisons.
	(SNDMSG): Remove definition; it is inherited from <prsht.h> anyway.
	(__AW_ALIAS__, __AW_SUFFIXED__, __AW_STRING_A__, __AW_STRING_W__):
	Use them; they facilitate maintenance of robust definitions for...
	[UNICODE vs. ! UNICODE]: ...generic symbols and strings.
	(_BEGIN_C_DECLS, _END_C_DECLS): Use them.

2018-11-16  Keith Marshall  <keith@users.osdn.me>

	Make <prsht.h> header effectively self-contained.

	* include/prsht.h: Tidy layout; assert copyright.
	Include <winuser.h> to resolve inter-header dependencies.
	Correctly parenthesize argument references in macro definitions.
	(pragma GCC system_header): Remove redundant GCC version guard.
	(_WIN32_WINNT, _WIN32_IE): Always use symbolic version comparisons.
	(SNDMSG, POSTMSG) [ifndef]: Remove guard condition; it prevents GCC
	from checking consistency of alternative definition sources.
	(__AW_SUFFIXED__): Use it; it improves robustness of...
	[UNICODE vs. ! UNICODE]: ...generic definitions.
	(_BEGIN_C_DECLS, _END_C_DECLS): Use them.

2018-10-29  Keith Marshall  <keith@users.osdn.me>

	Clean up <wincon.h>; consolidate its version dependencies.

	* include/wincon.h: Tidy layout; assert copyright.
	[_WIN32_WINNT]: Always compare it symbolically, with respect to...
	[_WIN32_WINNT_WIN2K, _WIN32_WINNT_WINXP, _WIN32_WINNT_VISTA]: ...each
	of these; group and consolidate respective version dependencies.
	(FOREGROUND_BLUE, FOREGROUND_GREEN, FOREGROUND_RED)
	(FOREGROUND_INTENSITY, BACKGROUND_BLUE, BACKGROUND_GREEN)
	(BACKGROUND_RED, BACKGROUND_INTENSITY, COMMON_LVB_LEADING_BYTE)
	(COMMON_LVB_TRAILING_BYTE, COMMON_LVB_GRID_HORIZONTAL)
	(COMMON_LVB_GRID_LVERTICAL, COMMON_LVB_GRID_RVERTICAL)
	(COMMON_LVB_REVERSE_VIDEO, COMMON_LVB_UNDERSCORE, CTRL_C_EVENT)
	(CTRL_BREAK_EVENT, CTRL_CLOSE_EVENT, CTRL_LOGOFF_EVENT)
	(CTRL_SHUTDOWN_EVENT, ENABLE_LINE_INPUT, ENABLE_ECHO_INPUT)
	(ENABLE_PROCESSED_INPUT, ENABLE_WINDOW_INPUT, ENABLE_MOUSE_INPUT)
	(ENABLE_INSERT_MODE, ENABLE_QUICK_EDIT_MODE, ENABLE_EXTENDED_FLAGS)
	(ENABLE_AUTO_POSITION, ENABLE_VIRTUAL_TERMINAL_INPUT)
	(ENABLE_PROCESSED_OUTPUT, ENABLE_WRAP_AT_EOL_OUTPUT)
	(ENABLE_VIRTUAL_TERMINAL_PROCESSING, DISABLE_NEWLINE_AUTO_RETURN)
	(ENABLE_LVB_GRID_WORLDWIDE, KEY_EVENT, MOUSE_EVENT)
	(WINDOW_BUFFER_SIZE_EVENT, MENU_EVENT, FOCUS_EVENT, CAPSLOCK_ON)
	(ENHANCED_KEY, RIGHT_ALT_PRESSED, LEFT_ALT_PRESSED)
	(RIGHT_CTRL_PRESSED, LEFT_CTRL_PRESSED, SHIFT_PRESSED, NUMLOCK_ON)
	(SCROLLLOCK_ON, FROM_LEFT_1ST_BUTTON_PRESSED)
	(FROM_LEFT_2ND_BUTTON_PRESSED, FROM_LEFT_3RD_BUTTON_PRESSED)
	(FROM_LEFT_4TH_BUTTON_PRESSED, RIGHTMOST_BUTTON_PRESSED, MOUSE_MOVED)
	(DOUBLE_CLICK, MOUSE_WHEELED, MOUSE_HWHEELED, CONSOLE_FULLSCREEN)
	(CONSOLE_FULLSCREEN_HARDWARE, CONSOLE_FULLSCREEN_MODE)
	(CONSOLE_WINDOWED_MODE, CONSOLE_NO_SELECTION)
	(CONSOLE_SELECTION_IN_PROGRESS, CONSOLE_SELECTION_NOT_EMPTY)
	(CONSOLE_MOUSE_SELECTION, CONSOLE_MOUSE_DOWN, HISTORY_NO_DUP_FLAG):
	Redefine, expressing all values in hexadecimal rather than decimal;
	this is consistent with Microsoft documentation, and it is also more
	logical, since all represent bit-flags, bit-fields, or bit-masks.

2018-10-24  Keith Marshall  <keith@users.osdn.me>

	Make <wincon.h> header effectively self-contained.

	* include/wincon.h [_WIN32_WINNT < 0x0600]: Include <windef.h>...
	[_WIN32_WINNT >= 0x0600]: ...but, Vista and later need <wingdi.h>
	[__GNUC__ >= 3]: Remove condition; used only in association with...
	(#pragma GCC system_header): ...this, it is redundant in this context.
	[_BEGIN_C_DECLS, _END_C_DECLS]: Use them as appropriate.

2018-10-24  David Gressett  <texasgaidheal@users.osdn.me>

	Improve WinXP/Vista console I/O support.

	* include/wincon.h (AddConsoleAlias, GetConsoleAlias)
	(GetConsoleAliases, GetConsoleAliasExes, GetConsoleAliasesLength)
	(GetConsoleAliasExesLength, GetConsoleOriginalTitle): New function
	name aliases; define them, mapping them conditionally to represent...
	[UNICODE]: ...their corresponding UTF-16LE function names, else...
	[!UNICODE]: ...their corresponding ASCII/DBCS function names.
	(COMMON_LVB_LEADING_BYTE, COMMON_LVB_TRAILING_BYTE
	(COMMON_LVB_GRID_HORIZONTAL, COMMON_LVB_GRID_LVERTICAL)
	(COMMON_LVB_GRID_RVERTICAL, COMMON_LVB_REVERSE_VIDEO)
	(COMMON_LVB_UNDERSCORE, ENABLE_VIRTUAL_TERMINAL_INPUT)
	(ENABLE_VIRTUAL_TERMINAL_PROCESSING, DISABLE_NEWLINE_AUTO_RETURN)
	(ENABLE_LVB_GRID_WORLDWIDE,(MOUSE_HWHEELED): Define them.
	(GetConsoleAliasA, GetConsoleAliasW, HandlerRoutine): Declare.
	(CONSOLE_FULLSCREEN, CONSOLE_FULLSCREEN_HARDWARE): Define when...
	[_WIN32_WINNT >= 0x0500]: ...this prevails; additionally...
	(GetConsoleFontSize): ...declare function.
	(CONSOLE_NO_SELECTION, CONSOLE_SELECTION_NOT_EMPTY)
	(CONSOLE_SELECTION_IN_PROGRESS, CONSOLE_MOUSE_SELECTION)
	(CONSOLE_MOUSE_DOWN): Define them; make them visible only when...
	[_WIN32_WINNT >= 0x0501]: ...this prevails.
	(struct _CONSOLE_FONT_INFO): Make it visible, only when...
	[_WIN32_WINNT >= 0x0501]: ...this prevails; when visible, map it to...
	(CONSOLE_FONT_INFO, PCONSOLE_FONT_INFO): ...these typedefs.
	(struct _CONSOLE_SELECTION_INFO): Declare it; visible only when...
	[_WIN32_WINNT >= 0x0501]: ...this prevails; when visible, map it to...
	(CONSOLE_SELECTION_INFO, PCONSOLE_SELECTION_INFO): ...these typedefs.
	[_WIN32_WINNT >= 0x0501] (AddConsoleAliasA, AddConsoleAliasW)
	(GetConsoleAliasesA, GetConsoleAliasesW, GetConsoleAliasExesA)
	(GetConsoleAliasExesW, GetConsoleAliasesLengthA)
	(GetConsoleAliasesLengthW, GetConsoleAliasExesLengthA)
	(GetConsoleAliasExesLengthW, GetConsoleSelectionInfo)
	(GetCurrentConsoleFont): Declare functions.
	[_WIN32_WINNT >= 0x0600] (HISTORY_NO_DUP_FLAG): Define it.
	(struct _CONSOLE_FONT_INFOEX): New structure; declare it only when...
	[_WIN32_WINNT >= 0x0600]: ...this prevails; when declared, map to...
	(CONSOLE_FONT_INFOEX, PCONSOLE_FONT_INFOEX): ...these typedefs.
	(CONSOLE_HISTORY_INFO, PCONSOLE_HISTORY_INFO): New typedefs; they
	map to an anonymous structure, and are visible only when...
	[_WIN32_WINNT >= 0x0600]: ...this prevails.
	(struct _CONSOLE_READCONSOLE_CONTROL): New structure; declare when...
	[_WIN32_WINNT >= 0x0600]: ...this prevails; when declared, map to...
	(CONSOLE_READCONSOLE_CONTROL, PCONSOLE_READCONSOLE_CONTROL): ...these.
	(struct _CONSOLE_SCREEN_BUFFER_INFOEX): New structure; declare when...
	[_WIN32_WINNT >= 0x0600]: ...this prevails; when declared, map to...
	(CONSOLE_SCREEN_BUFFER_INFOEX, PCONSOLE_SCREEN_BUFFER_INFOEX):
	...these typedefs.
	[_WIN32_WINNT >= 0x0600] (GetConsoleHistoryInfo)
	(GetConsoleOriginalTitleA, GetConsoleOriginalTitleW)
	(GetConsoleScreenBufferInfoEx, GetCurrentConsoleFontEx)
	(SetConsoleHistoryInfo, SetConsoleScreenBufferInfoEx)
	(SetCurrentConsoleFontEx): Declare functions.

2018-09-03  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.1.1 release.

	* All files (wsl-5.1.1-release): Tag assigned.

2018-07-29  Keith Marshall  <keith@users.osdn.me>

	Don't restrict <winerror.h> exposure when including <winsock.h>

	* include/winerror.h [__WINSOCK_H_SOURCED__]: Remove filters.
	(__WINSOCK_V1_ERRORS__, __WINSOCK_V2_ERRORS__): Do not define; delete
	all dependent filter references.

2018-07-11  Keith Marshall  <keith@users.osdn.me>

	Make <wincrypt.h> header effectively self-contained.

	* include/wincrypt.h: Include <winbase.h>

2018-07-11  Keith Marshall  <keith@users.osdn.me>

	Correct <wincrypt.h> typographic errors; fix issue [#38391]

	* include/wincrypt.h (CALG_TLS1PRF): Delete symbolic reference to...
	(ALG_CLASS_DHASH): ...this; there is no such symbol; replace it with...
	(ALG_CLASS_HASH): ...this, which represents the correct reference.
	(struct _CRYPTOAPI_BLOB): Delete extraneous "typedef" keyword; this
	struct definition is not directly associated with any type name.
	(struct _SSL_EXTRA_CERT_CHAIN_POLICY_PARA): Likewise.

2018-02-26  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.1 release.

	* All files (wsl-5.1-release): Tag assigned.

2018-02-24  Keith Marshall  <keith@users.osdn.me>

	Make <iptypes.h> header effectively self-contained.

	* include/iptypes.h: Assert copyright; tidy layout.
	Include <windef.h>; it is required for self-containment.
	(__need_time_t): Define for selective inclusion of <sys/types.h>
	(_BEGIN_C_DECLS, _END_C_DECLS): Use them as appropriate.
	(_WIN32_WINNT): Always compare it symbolically.
	(__dhcp_time_t): New temporary data type macro; define it...
	[_WIN64]: ...as equivalent to __time64_t, otherwise...
	[!_WIN64]: ...equivalent to __time32_t, and then...
	(struct _IP_ADAPTER_INFO): ...use it as the data type for...
	(LeaseObtained, LeaseExpires): ...these fields.

2017-12-20  Keith Marshall  <keith@users.osdn.me>

	Make <winreg.h> header effectively self-contained.

	* include/winreg.h: Include <winbase.h>, thus achieving effective
	self-containment; since this also indirectly includes <_mingw.h>,
	there is no longer any need to include it directly.

2017-12-20  Keith Marshall  <keith@users.osdn.me>

	Clean up, following issue [#2262] patch application.

	* include/winreg.h: Tidy layout; correct copyright assertion.
	(_BEGIN_C_DECLS, _END_C_DECLS): Use them, as appropriate.
	[UNICODE] (__AW): Do not use deleted macro; replace it with...
	[UNICODE] (__AW_ALIAS__): ...this, for conditional typedef mapping...
	[UNICODE] (VALENT, PVALENT): ...of these; similarly replace with...
	[UNICODE] (__AW_SUFFIXED__): ...this, to define function mappings...
	[UNICODE] (AbortSystemShutdown, InitiateSystemShutdown)
	(RegConnectRegistry, RegCreateKey, RegCreateKeyEx, RegDeleteKey)
	(RegDeleteValue, RegEnumKey, RegEnumKeyEx, RegEnumValue, RegLoadKey)
	(RegOpenKey, RegOpenKeyEx, RegQueryInfoKey, RegQueryMultipleValues)
	(RegQueryValue, RegQueryValueEx, RegReplaceKey, RegRestoreKey)
	(RegSaveKey, RegSetValue, RegSetValueEx, RegUnLoadKey, RegSaveKeyEx)
	(RegDeleteKeyTransacted, RegDeleteKeyValue, RegDeleteTree, RegGetValue)
	(RegLoadMUIString, RegOpenKeyTransacted, RegSetKeyValue)
	(RegDeleteKeyEx, RegCopyTree, RegCreateKeyTransacted): ...for these.
	(RegDeleteKeyEx, RegDeleteKeyExA, RegDeleteKeyExW): Fix regression;
	all "4.x" branches specified these incorrectly, dependent on...
	[_WIN32_WINNT >= _WIN32_WINNT_WIN2K]: ...this condition, whereas the
	"legacy" branch, whence the "5.x" branches are propagated, correctly
	required an alternative condition which is the equivalent of...
	[_WIN32_WINNT >= _WIN32_WINNT_WS03]: ...this; revert it.

2017-12-20  Sebastián Puebla  <spuebla@users.sourceforge.net>

	Update registry management API, per issue [#2262].

	* include/winreg.h: Merge changes from 4.1-dev branch.
	(REG_LATEST_FORMAT, REG_NO_COMPRESSION, REG_OPTION_BACKUP_RESTORE)
	(REG_STANDARD_FORMAT, RRF_RT_ANY, RRF_RT_DWORD, RRF_RT_QWORD)
	(RRF_RT_REG_BINARY, RRF_RT_REG_DWORD, RRF_RT_REG_EXPAND_SZ)
	(RRF_RT_REG_MULTI_SZ, RRF_RT_REG_NONE, RRF_RT_REG_QWORD, RRF_RT_REG_SZ)
	(RRF_NOEXPAND, RRF_SUBKEY_WOW6464KEY, RRF_SUBKEY_WOW6432KEY)
	(RRF_ZEROONFAILURE): New manifest constants; define them.
	(RegDisablePredefinedCache, RegOpenCurrentUser, RegOpenUserClassesRoot)
	(RegOverridePredefKey): Add previously omitted function prototypes.
	[_WIN32_WINNT >= _WIN32_WINNT_WINXP] (RegSaveKeyEx): Define...
	[!defined UNICODE] (__AW): ...mapping it for SBCS/MBCS case, or...
	[defined UNICODE] (__AW): ...for UTF-16LE case to either one of...
	(RegSaveKeyExA, RegSaveKeyExW): ...these, respectively, and...
	[_WIN32_WINNT >= _WIN32_WINNT_WINXP]: ...declare function prototypes.
	[_WIN32_WINNT >= _WIN32_WINNT_WS03] (RegDisableReflectionKey)
	(RegEnableReflectionKey, RegQueryReflectionKey): Declare prototypes.
	[_WIN32_WINNT >= _WIN32_WINNT_VISTA] (RegCopyTreeA, RegCopyTreeW)
	(RegCreateKeyTransactedA, RegCreateKeyTransactedW)
	(RegDeleteKeyTransactedA, RegDeleteKeyTransactedW)
	(RegDeleteKeyValueA, RegDeleteKeyValueW)
	(RegDeleteTreeA, RegDeleteTreeW, RegDisablePredefinedCacheEx)
	(RegGetValueA, RegGetValueW, RegLoadMUIStringA, RegLoadMUIStringW)
	(RegOpenKeyTransactedA, RegOpenKeyTransactedW)
	(RegSetKeyValueA, RegSetKeyValueW): Declare prototypes.
	[_WIN32_WINNT >= _WIN32_WINNT_VISTA] (RegCopyTree)
	(RegCreateKeyTransacted, RegDeleteKeyTransacted, RegDeleteKeyValue)
	(RegDeleteTree, RegGetValue, RegLoadMUIString, RegOpenKeyTransacted)
	(RegSetKeyValue): Define, mapping each to its respective function...
	[!defined UNICODE] (__AW): ...for the SBCS/MBCS case, or...
	[defined UNICODE] (__AW): ...for the UTF-16LE case.

	* lib/kernel32.def (RegDeleteTreeA@8, RegDeleteTreeW@8)
	(RegDisablePredefinedCacheEx@0, RegGetValueA@28, RegGetValueW@28)
	(RegLoadMUIStringA@28, RegLoadMUIStringW@28, RegSaveKeyExA@16)
	(RegSaveKeyExW@16): Remove them; relocate them to...
	* lib/advapi32.def (RegDeleteTreeA@8, RegDeleteTreeW@8)
	(RegDisablePredefinedCacheEx@0, RegGetValueA@28, RegGetValueW@28)
	(RegLoadMUIStringA@28, RegLoadMUIStringW@28, RegSaveKeyExA@16)
	(RegSaveKeyExW@16): ...their correct location, here.
	(RegCopyTreeA@12, RegCopyTreeW@12, RegQueryReflectionKey@8)
	(RegCreateKeyTransactedA@44, RegCreateKeyTransactedW@44)
	(RegDeleteKeyTransactedA@24, RegDeleteKeyTransactedW@24)
	(RegDeleteKeyValueA@12, RegDeleteKeyValueW@12)
	(RegDisableReflectionKey@4, RegEnableReflectionKey@4)
	(RegOpenKeyTransactedA@28, RegOpenKeyTransactedW@28)
	(RegSetKeyValueA@24, RegSetKeyValueW@24): Add these.

2017-12-16  Keith Marshall  <keith@users.osdn.me>

	Provide default definition for _WIN32_IE feature test macro.

	* include/sdkddkver.h [!defined _WIN32_IE]: Define it, with...
	(_WIN32_IE_IE50): ...this default value.

	* include/commctrl.h (_WIN32_IE): Delete definition hint; it offered
	a conflicting proposal for the default value.

2017-12-06  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.0.2 release.

	* All files (wsl-5.0.2-release): Tag assigned.

2017-11-28  Keith Marshall  <keith@users.osdn.me>

	Make <wsnetbs.h> header effectively self-contained.

	* include/wsnetbs.h: Assert copyright; tidy layout; include
	"_winsock.h", so making this header effectively self-contained, and
	thus relieving the user of a responsibility for ensuring that some
	other appropriate WinSock header has been included first.

2017-11-28  Keith Marshall  <keith@users.osdn.me>

	Factor <winsock.h> duplicate content out of <winsock2.h>

	* include/winsock2.h: Remove all declarations and definitions which
	are identically specified in <winsock.h>, but keep them in scope by...
	[! defined _WINSOCK_H]: ...including <winsock.h> itself; override any
	declarations and definitions therefrom, which introduce conflicts.
	[defined _WINSOCK_H]: Diagnose misuse; suppress all further
	definitions and declarations.

	* include/winsock.h (SOMAXCONN): Add comment; note disparity between
	WinSock v1.1 and WinSock v2, the latter of which will override when
	correctly included by <winsock2.h>

2017-11-24  Keith Marshall  <keith@users.osdn.me>

	Make <winsock.h> and <winsock2.h> duplicate code congruent.

	* include/winsock.h (SOMAXCONN): Move definition into...
	[!__INSIDE_MSYS__]: ...this guarded scope.

	* include/winsock2.h: Rearrange as necessary.
	[_BEGIN_C_DECLS, _END_C_DECLS]: Keep them balanced.
	(_USE_SYS_TYPES_FD_SET): Define and use, as in <winsock.h>
	[!_WINSOCK_ANOMALOUS_TYPEDEFS] (FD_SET): Declare function, not type.
	[!_WINSOCK_ANOMALOUS_TYPEDEFS] (PFD_SET, LPFD_SET): Suppress typedefs.
	(FD_SET, FD_ISSET, FD_CLR, FD_ZERO): Reimplement, as in <winsock.h>
	(FD_READ_BIT, FD_WRITE_BIT, FD_OOB_BIT, FD_ACCEPT_BIT)
	(FD_CONNECT_BIT, FD_CLOSE_BIT, FD_QOS_BIT, FD_GROUP_QOS_BIT)
	(FD_ROUTING_INTERFACE_CHANGE_BIT, FD_ADDRESS_LIST_CHANGE_BIT)
	(FD_MAX_EVENTS): Enumerate them, as in <winsock.h>
	[!(defined __INSIDE_CYGWIN__ || defined __INSIDE_MSYS__)]: Recast...
	[!defined __INSIDE_MSYS__]: ...as this, throughout.
	(gethostname): Update function prototype, adding...
	(WINSOCK_API_LINKAGE): ...this DLL import control attribute.

	* include/ws2spi.h: Tidy layout; assert copyright.
	[_BEGIN_C_DECLS, _END_C_DECLS]: Use them, as appropriate.
	(LPFD_SET): Delete all type references; use...
	(fd_set *): ...this instead.

2017-11-14  Keith Marshall  <keith@users.osdn.me>

	Establish default selection for WinSock API declaration.

	* include/windows.h include/nspapi.h: Include...
	* include/_winsock.h: ...this new system private header; it selects...
	[_WIN32_WINNT >= _WIN32_WINNT_NT4]: ...WinSock v2 API declarations, as
	provided by conditional inclusion of <winsock2.h>, otherwise...
	[_WIN32_WINNT < _WIN32_WINNT_NT4]: ...WinSock v1.1 API declarations,
	as provided by inclusion of <winsock.h>

	* tests/headers.at <_winsock.h>: Add reference.

2017-11-14  Keith Marshall  <keith@users.osdn.me>

	Update gethostname() declaration; drop Cygwin specificity.

	* include/winsock.h (gethostname): Declare unconditionally; add...
	(WINSOCK_API_LINKAGE): ...this DLL import control attribute.
	[!(defined __INSIDE_CYGWIN__ || defined __INSIDE_MSYS__)]: Recast...
	[!defined __INSIDE_MSYS__]: ...as this, throughout.

2017-11-09  Keith Marshall  <keith@users.osdn.me>

	Normalize fd_set event macros for <winsock2.h> compatibility.

	* include/winsock.h (FD_READ, FD_WRITE, FD_OOB, FD_ACCEPT, FD_CONNECT)
	(FD_CLOSE): Redefine them, deriving respective values as shifts by...
	(FD_READ_BIT, FD_WRITE_BIT, FD_OOB_BIT, FD_ACCEPT_BIT, FD_CONNECT_BIT)
	(FD_CLOSE_BIT): ...this new enumerated count sequence, applying each
	count to a bit flag with value of 1, in each case respectively.
	[_WINSOCK2_H]: Extend shift count enumeration, to include...
	(FD_QOS_BIT, FD_GROUP_QOS_BIT, FD_ROUTING_INTERFACE_CHANGE_BIT)
	(FD_ADDRESS_LIST_CHANGE_BIT): ...these additional counts; hence...
	[_WINSOCK2_H] (FD_QOS, FD_GROUP_QOS, FD_ROUTING_INTERFACE_CHANGE)
	[_WINSOCK2_H] (FD_ADDRESS_LIST_CHANGE): ...define each of these.
	(FD_MAX_EVENTS): Define unconditionally; it represents a shift count
	of 1 greater than the offset of the last defined flag; hence...
	(FD_ALL_EVENTS): ...derive this mask for all event flags.

2017-11-09  Keith Marshall  <keith@users.osdn.me>

	Filter potential WinSock v2 conflicts out of <winsock.h>

	* include/winsock.h [_WINSOCK2_H] <mswsock.h>: Do not include it.
	[_WINSOCK2_H] (IP_MULTICAST_IF, IP_MULTICAST_TTL, IP_MULTICAST_LOOP)
	(IP_ADD_MEMBERSHIP, IP_DROP_MEMBERSHIP, IP_DEFAULT_MULTICAST_TTL)
	(IP_DEFAULT_MULTICAST_LOOP, IP_MAX_MEMBERSHIPS, struct ip_mreq): Do
	not define any of these; they are not compatible with WinSock v2.
	[_WINSOCK2_H] (SOMAXCONN): Do not define it; it will be defined
	appropiately in <winsock2.h>

2017-11-09  Keith Marshall  <keith@users.osdn.me>

	Filter out <winsock.h> typedef anomalies.

	* include/winsock.h (FD_SET, PFD_SET, LPFD_SET): If user defines...
	[_WINSOCK_ANOMALOUS_TYPEDEFS]: ...this new feature test macro, expose
	them as type definitions, but warn of potential conflict with...
	[!_WINSOCK_ANOMALOUS_TYPEDEFS] (FD_SET): ...this POSIX.1 mandated
	function; declare its prototype.

2017-11-08  Keith Marshall  <keith@users.osdn.me>

	Overhaul WinSock fd_set content management macros.

	* include/winsock.h (FD_SET, FD_ISSET, FD_CLR, FD_ZERO): Replace the
	original implementations of each of these macros, redirecting to...
	(__FD_SET, __FD_ISSET, __FD_CLR, __FD_ZERO): ...these new, equivalent
	inline functions, respectively; these are more robust, and correct a
	defect in the original FD_SET macro implementation, whereby duplicate
	descriptors could be added to an fd_set array, but would not then be
	removed by the corresponding FD_CLR macro.

	* tests/winsock.at (MINGW_AT_CHECK_WINSOCK): Ensure that all test
	programs are linked with -lwsock32 or -lws2_32, as appropriate; the
	__FD_SET and __FD_ISSET functions are dependent on the __WSAFDIsSet()
	function, which is implemented in each of these libraries.

2017-11-07  Keith Marshall  <keith@users.osdn.me>

	Identify features which have been deprecated in WinSock v2.

	* include/winsock.h (__WINSOCK2_DEPRECATED): Define as nothing.
	* include/winsock2.h (__WINSOCK2_DEPRECATED): Define as equivalent...
	(__MINGW_ATTRIB_DEPRECATED): ...to this.

	* include/winsock.h include/winsock2.h: Qualify...
	(WSAIsBlocking, WSAUnhookBlockingHook, WSASetBlockingHook)
	(WSACancelBlockingCall): ...each of these function prototypes, with...
	(__WINSOCK2_DEPRECATED): ...this attribute.

2017-11-07  Keith Marshall  <keith@users.osdn.me>

	Adopt system naming convention for USE_SYS_TYPES_FD_SET macro.

	* include/winsock.h (USE_SYS_TYPES_FD_SET): Deprecate it; use...
	(_USE_SYS_TYPES_FD_SET): ...this alternative; it is named to conform
	with preferred convention for system feature test macros.

2017-11-06  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Use WINSOCK_API_LINKAGE consistently in WinSock headers.

	* include/winsock.h (WINSOCK_API_LINKAGE): Define, and prefix to...
	(accept, bind, closesocket, connect, ioctlsocket, inet_addr, inet_ntoa)
	(getpeername, getsockname, getsockopt, listen, recv, recvfrom, send)
	(sendto, setsockopt, shutdown, socket, gethostbyaddr, gethostbyname)
	(getservbyport, getservbyname, getprotobynumber, getprotobyname)
	(WSAStartup, WSACleanup, WSASetLastError, WSAGetLastError)
	(WSAIsBlocking, WSAUnhookBlockingHook, WSASetBlockingHook)
	(WSACancelBlockingCall, WSAAsyncGetServByName, WSAAsyncGetServByPort)
	(WSAAsyncGetProtoByName, WSAAsyncGetProtoByNumber, WSAAsyncSelect)
	(WSAAsyncGetHostByName, WSAAsyncGetHostByAddr, WSACancelAsyncRequest)
	(htonl, ntohl, htons, ntohs, select): ...these function prototypes.

	* include/winsock2.h (WINSOCK_API_LINKAGE): Remove it from...
	(LPFN_WSASTARTUP): ...this typedef; it is inappropriate.

2017-10-30  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Refactor <wtypes.h> vs. <nspapi.h> and WinSock headers.

	* include/wtypes.h: Tidy layout; assert copyright.
	[_BEGIN_C_DECLS, _END_C_DECLS]: Use them, as appropriate.
	[__NSPAPI_H_SOURCED__]: Restrict exposure of declared content to...
	[!__BLOB_DATA_TYPE_DEFINED] (BLOB, PBLOB, LPBLOB): ...these; define...
	(__BLOB_DATA_TYPE_DEFINED__): ...this internal guard; it renames...
	(__BLOB_T_DEFINED): ...this; do not define...
	(_WTYPES_H): ...this external guard.

	* include/nspapi.h: Tidy layout; assert copyright.
	[_BEGIN_C_DECLS, _END_C_DECLS]: Use them, as appropriate.
	(__CSADDR_T_DEFINED): Do not define; it is no longer required.
	[__WINSOCK2_H_SOURCED__]: Restrict exposure of declared content to...
	(struct _CSADDR_INFO): ...this, as an incomplete type, along with...
	(CSADDR_INFO, PCSADDR_INFO, LPCSADDR_INFO): ...these typedefs; also...
	(SOCKET_ADDRESS, PSOCKET_ADDRESS, LPSOCKET_ADDRESS): ...define fully.
	[__WINSOCK2_H_SOURCED__] (_NSPAPI_H): Do not define external guard.
	[!__WINSOCK2_H_SOURCED__] (struct _CSADDR_INFO): Define fully.
	(__BLOB_T_DEFINED, BLOB, PBLOB, LPBLOB): Do not define; instead...
	(__NSPAPI_H_SOURCED__): ...define this, temporarily; include wtypes.h
	[!__WINSOCK2_H_SOURCED__ && _WIN32_WINNT >= WIN2K]: Include winsock2.h
	[!__WINSOCK2_H_SOURCED__ && _WIN32_WINNT < WIN2K]: Include winsock.h
	[UNICODE vs. !UNICODE]: Discriminate generic symbol names, using...
	(__AW_SUFFIXED__): ...this, to facilitate definition of each of...
	(SetService, GetAddressByName, _SERVICE_INFO): ...these, and...
	(__AW_ALIAS__): ...this, for definition of each of...
	(SERVICE_INFO, LPSERVICE_INFO): ...these.

	* include/winsock2.h (__WINSOCK2_H_SOURCED__): Define it temporarily.
	(__CSADDR_T_DEFINED, struct _CSADDR_INFO, CSADDR_INFO, PCSADDR_INFO)
	(LPCSADDR_INFO, __BLOB_T_DEFINED, BLOB, PBLOB, LPBLOB): Do not define;
	include nspapi.h selectively, to acquire them.

2017-09-23  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Factor <winerror.h> duplicate content out of winsock headers.

	* include/winsock.h include/winsock2.h [!defined WSABASEERR]: Delete
	conditional block, and all of its content; selectively include...
	* include/winerror.h [__WINSOCK_H_SOURCED__]: ...this instead.
	[__WINSOCK_H_SOURCED__] (_WINERROR_H): Do not define it.
	(__WINSOCK_V1_ERRORS__, __WINSOCK_V2_ERRORS__): New temporary macros;
	define them, to segregate WSA error messages applicable to WinSock v2
	only, from those applicable to both WinSock v1.1 and WinSock v2.
	(__WSA_ERRNO): New macro; use it to redefine all WSA specific error
	codes, except WSABASEERR, relative to WSABASEERR itself.

2017-09-15  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Factor <sys/time.h> duplicate content out of winsock headers.

	* include/winsock.h include/winsock2.h [_TIMEVAL_DEFINED]: Delete
	conditional block, and all its content; include <sys/time.h> instead.
	(__WINSOCK_H_SOURCED__): New macro; define it temporarily, only while
	processing this header, such that only selected content from other
	internally referenced headers is exposed.

2017-09-09  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Source BSD non-standard type definitions from mingwrt header.

	* include/winsock.h include/winsock2.h [_BSDTYPES_DEFINED]: Delete
	conditional block, and its entire type definition content; include...
	* include/sys/bsdtypes.h: ...this common file instead; it defines...
	(u_char, u_int, u_long, u_short): ...these non-standard data types.

2017-09-07  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Correct misuse of __INSIDE_MSYS__ feature test.

	* include/winsock2.h [!__INSIDE_MSYS__]: One of several instances
	omits "defined" operator; it should be expressed consistently as...
	[! defined __INSIDE_MSYS__]: ...this; correct it.

2017-09-07  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Prepare for <winsock.h> vs. <winsock2.h> refactoring.

	* include/winsock.h: Tidy layout; assert copyright.
	(_BEGIN_C_DECLS, _END_C_DECLS): Use them to avoid C++ name mangling.

	* include/winsock2.h: Assert copyright; tidy layout, ensuring that all
	sections, which are common with <winsock.h>, are laid out congruently.
	(_BEGIN_C_DECLS, _END_C_DECLS): Use them to avoid C++ name mangling.
	(SD_RECEIVE, SD_SEND, SD_BOTH): Delete duplicate constant definitions.
	(SO_DONTLINGER, MSG_MAXIOVLEN): Likewise, delete duplicate definitions.
	(__AW_ALIAS__, __AW_SUFFIXED__): Use them, to avoid reproduction of...
	[UNICODE]: ...alternative typedefs, and function name aliases...
	[!UNICODE]: ...versus this case.

2017-08-28  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Resolve secondary issue arising from MinGW-Bug [#2350]

	* include/winuser.h (GetTitleBarInfo)
	[_WIN32_WINDOWS >= _WIN32_WINDOWS_98]: Remove exposure restriction;
	it conflicted with current MSDN documentation, so now falls within...
	[_WIN32_WINNT >= Win2K || _WIN32_WINDOWS >= Win98]: ...this.

2017-08-28  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Resolve MinGW-Bug [#2350]

	* include/winuser.h (GetTitleBarInfo): Move prototype after...
	(PTITLEBARINFO): ...this type definition; it is used as a function
	argument type, so must be defined beforehand.

2017-08-21  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Extend testsuite to cover winsock fd_set macro operations.

	* tests/winsock.at: New file; it implements appropriate tests, and
	enables use of "-k winsock", "-k winsock2", and "-k fd_set" autotest
	keywords to invoke them, (e.g. make check TESTSUITEFLAGS='-k fd_set').

	* tests/testsuite.at.in (winsock.at): Integrate it.
	(MINGW_AT_CHECK_RUN): Accept a variant list of libraries when linking.
	(MINGW_AT_LINK_LIBS_DEFAULT): New macro; it establishes the initial
	default list of libraries, or resets the list to this initial default.
	(MINGW_AT_LINK_LIBS): New macro; it establishes an augmented list of
	library specifications, to be used until subsequently reset.

2017-07-30  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Prepare and tag for release of MinGW.org WSL-5.0.1

	* All files (wsl-5.0.1-release): Tag assigned.

2017-07-12  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Automate testsuite dependency generation.

	* tests/Makefile.in (testsuite) [$srcdir/*.at]: Automatically
	enumerate all such wildcard matches as prerequisites, instead of...
	(headers.at): ...this sole explicit dependency.

2017-06-20  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Make <winnt.h> header effectively self-contained.

	* include/winnt.h (_WINNT_H): Defer definition unless included via...
	(windef.h): ...this; include it, to enforce inclusion order, then...
	[_WINNT_H]: ...re-evaluate it, to avoid recursive inclusion loop.

2017-06-12  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Consolidate <winuser.h> version specific conditionals.

	* include/winuser.h: Reorganize file content; group manifest constant
	definitions into one nested collection of conditional blocks, with one
	block per Windows version evolution; do likewise for type definitions
	and function prototypes which are always exposed, and separately...
	[! defined NOGDI]: ...for those which may be suppressed, when GDI
	support is not required.

2017-06-06  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Make <winuser.h> header effectively self-contained.

	* include/winuser.h (stdarg.h): Include it, in addition to...
	[NOGDI] (windef.h): ...this, directly or otherwise indirectly via...
	[!NOGDI] (wingdi.h): ...this, for effective self-containment.

2017-06-04  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Consolidate <wingdi.h> version specific conditionals.

	* include/wingdi.h: Reorganize file content; group manifest constant
	definitions into a single nested collection of conditional blocks, for
	those definitions which are common to both Win9x and WinNT, with one
	block per Windows version evolution, sorting alphabetically within
	each block; do likewise for additional manifest constant definitions
	which are specific to WinNT, and also for data type definitions and
	function prototypes.

2017-06-03  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Tidy, and make <wingdi.h> header effectively self-contained.

	* include/wingdi.h: Tidy layout; assert copyright.
	(windef.h): Include it; this achieves self-containment.
	[_BEGIN_C_DECLS, _END_C_DECLS]: Use them.
	[UNICODE vs. !UNICODE]: Discriminate generic symbol names, using...
	(__AW_ALIAS__): ...this, when defining each of...
	(DEVMODE, PDEVMODE, LPDEVMODE, DOCINFO, LPDOCINFO, LOGCOLORSPACE)
	(LOGFONT, PLOGFONT, LPLOGFONT, EXTLOGFONT, PEXTLOGFONT, LPEXTLOGFONT)
	(LPLOGCOLORSPACE, TEXTMETRIC, PTEXTMETRIC, LPTEXTMETRIC, GCP_RESULTS)
	(PPOLYTEXT, LPPOLYTEXT, NEWTEXTMETRIC, PNEWTEXTMETRIC, LPNEWTEXTMETRIC)
	(LPENUMLOGFONTEX, ENUMLOGFONTEXDV, PENUMLOGFONTEXDV, LPENUMLOGFONTEXDV)
	(OUTLINETEXTMETRIC, POUTLINETEXTMETRIC, LPOUTLINETEXTMETRIC, POLYTEXT)
	(LPGCP_RESULTS, DISPLAY_DEVICE, PDISPLAY_DEVICE, LPDISPLAY_DEVICE)
	(NEWTEXTMETRICEX, ENUMLOGFONT, LPENUMLOGFONT, ENUMLOGFONTEX): ...these.
	(__AW_SUFFIXED__): Similarly, use this when declaring each of...
	(FONTENUMPROC, ICMENUMPROC, AddFontResource, AddFontResourceEx,
	(CopyEnhMetaFile, CopyMetaFile, CreateColorSpace, CreateEnhMetaFile)
	(CreateDC, CreateFont, CreateFontIndirect, CreateIC, CreateMetaFile)
	(CreateScalableFontResource, DeviceCapabilities, EnumFontFamilies)
	(EnumFontFamiliesEx, EnumFonts, EnumICMProfiles, ExtTextOut)
	(GetCharABCWidths, GetCharABCWidthsFloat, GetCharacterPlacement)
	(GetCharWidth32, GetCharWidth, GetCharWidthFloat, GetEnhMetaFile)
	(GetEnhMetaFileDescription, GetGlyphOutline, GetICMProfile)
	(GetKerningPairs, GetLogColorSpace, GetMetaFile, GetObject)
	(GetOutlineTextMetrics, GetTextExtentExPoint, GetTextExtentPoint)
	(GetTextExtentPoint32, GetTextFace, GetTextMetrics, PolyTextOut,
	(RemoveFontResource, RemoveFontResourceEx, ResetDC, SetICMProfile)
	(StartDoc, TextOut, UpdateICMRegKey, wglUseFontBitmaps)
	(wglUseFontOutlines, GetGlyphIndices): ...these.

2017-05-31  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Declare CONDITION_VARIABLE API, per feature request [#2314]

	* include/winbase.h [_WIN32_WINNT >= _WIN32_WINNT_VISTA]
	(CONDITION_VARIABLE, PCONDITION_VARIABLE): Define data types, and...
	(InitializeConditionVariable, SleepConditionVariableCS)
	(SleepConditionVariableSRW, WakeAllConditionVariable)
	(WakeConditionVariable): ...declare prototypes.

2017-05-29  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Declare SRWLOCK API, to support feature request [#2314]

	* include/winbase.h [_WIN32_WINNT >= _WIN32_WINNT_VISTA]
	(SRWLOCK, *PSRWLOCK): Define these data types, and declare...
	(InitializeSRWLock, AcquireSRWLockExclusive, AcquireSRWLockShared)
	(ReleaseSRWLockExclusive, ReleaseSRWLockShared): ...these prototypes.
	[_WIN32_WINNT >= _WIN32_WINNT_WIN7] (TryAcquireSRWLockExclusive)
	(TryAcquireSRWLockShared): Declare additional prototypes.

2017-03-24  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Resolve potential <winbase.h> vs. <winerror.h> inconsistency.

	* include/winerror.h: Tidy layout; assert copyright.

	* include/winbase.h (WAIT_TIMEOUT): Redefine; make it identical to...
	* include/winerror.h (WAIT_TIMEOUT): ...this equivalent; remove...
	[!defined WAIT_TIMEOUT]: ...this conditional redefinition guard from
	both locations; it permitted inconsistency between the two.

2017-03-24  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Consolidate <winbase.h> version specific conditionals.

	* include/winbase.h: Reorganize file content; group manifest constant
	definitions into one nested collection of conditional blocks, with one
	block per Windows version evolution, sorting alphabetically within each
	block; do likewise for data type definitions and function prototypes.

2017-03-20  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Tidy, and make <winbase.h> header effectively self-contained.

	* include/w32api.h (__AW_ALIAS__): Rename original implementation...
	(__AW_ALIAS_EX__): ...as this, retaining its encapsulation of...
	(__AW_EXTENDED__): ...this; subsequently reimplement...
	(__AW_ALIAS__): ...this, with original name, now encapsulating...
	(__AW_SUFFIXED__): ...this.

	* include/dbt.h (__AW_ALIAS__): Replace all references with...
	(__AW_ALIAS_EX__): ...this renamed alternative, when defining...
	(DEV_BROADCAST_DEVICEINTERFACE, PDEV_BROADCAST_DEVICEINTERFACE)
	(DEV_BROADCAST_PORT, PDEV_BROADCAST_PORT): ...these.

	* include/winbase.h: Tidy layout; assert copyright.
	(stdarg.h, windef.h): Include them, to achieve self-containment.
	[_BEGIN_C_DECLS, _END_C_DECLS]: Use them, as appropriate.
	[UNICODE vs. ! UNICODE]: Replace separated declarations; use...
	[__AW_ALIAS__]: ...this, to correctly specify each of...
	(STARTUPINFO, LPSTARTUPINFO, WIN32_FIND_DATA, PWIN32_FIND_DATA)
	(LPWIN32_FIND_DATA, HW_PROFILE_INFO, LPHW_PROFILE_INFO, ACTCTX)
	(PACTCTX, PCACTCTX): ...these generic typedefs, and...
	[__AW_SUFFIXED__]: ...this, to correctly map each of...
	(ENUMRESLANGPROC, ENUMRESNAMEPROC, ENUMRESTYPEPROC, AddAtom)
	(AccessCheckAndAuditAlarm, BackupEventLog, BeginUpdateResource)
	(BuildCommDCB, BuildCommDCBAndTimeouts, CheckNameLegalDOS8Dot3)
	(CallNamedPipe, ClearEventLog, CommConfigDialog, CopyFile, CopyFileEx)
	(CreateActCtx, CreateDirectory, CreateDirectoryEx, CreateEvent)
	(CreateFile, CreateFileMapping, CreateHardLink, CreateJobObject)
	(CreateMailslot, CreateMutex, CreateNamedPipe, CreateProcess)
	(CreateProcessAsUser, CreateSemaphore, CreateSymbolicLink)
	(CreateWaitableTimer, DefineDosDevice, DeleteFile, EncryptFile)
	(DeleteVolumeMountPoint, DnsHostnameToComputerName, EndUpdateResource)
	(EnumResourceLanguages, EnumResourceNames, EnumResourceTypes)
	(ExpandEnvironmentStrings, FatalAppExit, FileEncryptionStatus)
	(FindActCtxSectionString, FindAtom, FindFirstChangeNotification)
	(FindFirstFile, FindFirstFileEx, FindFirstVolume, FindNextFile)
	(FindFirstVolumeMountPoint, FindNextVolume, FindNextVolumeMountPoint)
	(FindResource, FindResourceEx, FormatMessage, FreeEnvironmentStrings)
	(GetAtomName, GetBinaryType, GetCommandLine, GetCompressedFileSize)
	(GetComputerName, GetComputerNameEx, GetCurrentDirectory)
	(GetDefaultCommConfig, GetDiskFreeSpace, GetDiskFreeSpaceEx)
	(GetDllDirectory, GetDriveType, GetEnvironmentStrings)
	(GetEnvironmentVariable, GetFileAttributes, GetFileAttributesEx)
	(GetFileSecurity, GetFinalPathNameByHandle, GetFullPathName)
	(GetLogicalDriveStrings, GetLongPathName, GetModuleFileName)
	(GetModuleHandle, GetModuleHandleEx, GetNamedPipeHandleState)
	(GetPrivateProfileInt, GetPrivateProfileSection)
	(GetPrivateProfileSectionNames, GetPrivateProfileString)
	(GetPrivateProfileStruct, GetProfileInt, GetProfileSection)
	(GetProfileString, GetShortPathName, GetStartupInfo)
	(GetSystemDirectory, GetSystemWindowsDirectory, GetTempFileName)
	(GetSystemWow64Directory, GetTempPath, GetUserName, GetVersionEx)
	(GetVolumeInformation, GetVolumeNameForVolumeMountPoint)
	(GetVolumePathName, GetVolumePathNamesForVolumeName, GlobalAddAtom)
	(GetWindowsDirectory, GlobalFindAtom, GlobalGetAtomName)
	(IsBadStringPtr, LoadLibrary, LoadLibraryEx, LogonUser)
	(LookupAccountName, LookupAccountSid, LookupPrivilegeDisplayName)
	(LookupPrivilegeName, LookupPrivilegeValue, lstrcat, lstrcmp)
	(lstrcmpi, lstrcpy, lstrcpyn, lstrlen, MoveFile, MoveFileEx)
	(MoveFileWithProgress, ObjectCloseAuditAlarm, ObjectDeleteAuditAlarm)
	(ObjectOpenAuditAlarm, ObjectPrivilegeAuditAlarm, OpenBackupEventLog)
	(OpenEvent, OpenEventLog, OpenFileMapping, OpenMutex, OpenSemaphore)
	(OutputDebugString, PrivilegedServiceAuditAlarm, QueryDosDevice)
	(ReadEventLog, RegisterEventSource, RemoveDirectory, ReplaceFile)
	(ReportEvent, SearchPath, SetComputerName, SetCurrentDirectory)
	(SetDefaultCommConfig, SetDllDirectory, SetEnvironmentVariable)
	(SetFileAttributes, SetFileSecurity, SetFileShortName, SetVolumeLabel)
	(SetFirmwareEnvironmentVariable, SetVolumeMountPoint, UpdateResource)
	(VerifyVersionInfo, WaitNamedPipe, WritePrivateProfileSection)
	(WritePrivateProfileString, WritePrivateProfileStruct)
	(WriteProfileSection, WriteProfileString): ...these, and add...
	(GetCurrentHwProfile, OpenWaitableTimer, SetComputerNameEx)
	(GetFirmwareEnvironmentVariable): ...these previously missing generic
	function name aliases.

2017-03-14  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Refactor mingwrt and w32api common makefile content.

	* Makefile.in (w32api-srcdist-config-files): Rename it...
	(w32api-srcdist-common-files): ...as this phoney build rule.
	(shared_include_file): New macro; define it, and include named file.
	(configure, config.status, Makefile, config.status.missing, _mingw.h)
	(w32api.h, PACKAGE_VERSION_SCRIPT, PACKAGE_VERSION_FORMAT): Factor
	out; relocate them to new file in common parent directory...
	* ../Makefile.comm: ...here.

2017-03-12  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Correct a copyright notice update omission.

	* configure.ac: Extend copyright date range to include 2017.  Also
	clean up superfluous trailing whitespace.

2017-03-09  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Fix generated header file dependencies.

	* Makefile.in (_mingw.h, w32api): Make them depend on changes in...
	[VERSION.m4]: ...this; package version changes are no longer made...
	[configure.ac]: ...here; delete associated prerequisite reference.
	(distclean-local): Delete them.

2017-03-08  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Prepare and tag for release of w32api-5.0 package set.

	* All files (wsl-5.0-release): Tag assigned.

2017-02-21  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Implement basic test suite infrastructure.

	* tests: New subdirectory; it hosts...
	* tests/Makefile.in tests/testsuite.at.in tests/atlocal.in
	* tests/headers.at: ...these new files; they implement the basic test
	suite infrastructure, initially comprising header integrity checks.

	* configure.ac (AC_PROG_CXX): Check it.
	(AC_CONFIG_TESTDIR): Configure tests subdirectory.
	(AC_CHECK_PROG): Check for autom4te; configure fall back if missing.
	(AC_CONFIG_FILES): Generate tests/atlocal, tests/testsuite.at.tmp, and
	tests/Makefile.

	* Makefile.in (check test tests): New rules; all are synonymous.
	(check-recursive): New rule; invoked by each of the preceding three.
	(w32api-srcdist-testsuite-files): New rule; implement and use it...
	(w32api-srcdist-files): ...here.

2017-02-14  Alexander Krisak  <akrisak@users.sourceforge.net>

	Add missing constant definition, per issue [#2249].

	* include/winnt.h (JOB_OBJECT_LIMIT_KILL_ON_JOB_CLOSE): Define it.

2017-02-10  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Avoid unnecessary duplication of configuration files.

	* Makefile.in (vpath install-sh): Define it; it matches...
	(vpath %.m4): ...this; add $top_srcdir/..; search it first; delete
	rule for creating duplicate file reference links in $top_srcdir.
	(configure): Add '-I ..' option, when running autoconf.
	(w32api-srcdist-files): Rename it as...
	(w32api-srcdist-package-files): ...this; remove dependencies on...
	(aclocal.m4 VERSION.m4 install-sh): ...these; reinstate them in...
	(w32api-srcdist-config-files): ...this new distributable files
	enumeration goal; add it as one new prerequisite of...
	(w32api-srcdist-files): ...this repurposed goal; also depends on...
	(w32api-srcdist-package-files): ...this; populate it using...
	(SRCDIST_ADD): ...this macro; redefine it accordingly.

2016-12-08  Jerzy Tarasiuk  <jz_fuw@users.sourceforge.net>

	Correct typo in <ddk/ntdddisk.h>; fix bug [#2323]

	* include/ddk/ntdddisk.h (IOCTL_DISK_BASE): Correct definition;
	it was previously transcribed incorrectly, as being equivalent to...
	(FILE_TYPE_DISK): ...this, but it should have been equivalent to...
	(FILE_DEVICE_DISK): ...this.

2016-12-08  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Rationalize <winuser.h> ANSI vs. UNICODE definition strategy.

	* include/winuser.h [UNICODE, !UNICODE]: Replace individual pairs of
	alternative generic symbol mapping definitions, and typedefs, with...
	(__AW_SUFFIXED__): ...one such macro expansion per pair; collate with
	their respective ANSI and UNICODE specific references.

2016-11-26  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Deprecate obsolete <winable.h> and <pbt.h> headers.

	* Makefile.in (%.h.in): Generalize vpath definition.
	(obsolete_headers, obsolete_header_script, w32api_dist_headers)
	(w32api_generated_headers, replace_headers, macro_name): New macros.
	(install-w32api-headers): Add dependency on w32api_dist_headers.
	(%.h): New static pattern rule; it generates generic dependants of...
	* include/obsolete.h.in: ...this new template for obsolete headers.

	* include/winable.h include/pbt.h: Delete them; they are obsolete;
	replace them by install-time generated generic stubs.

2016-11-25  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Update <winuser.h> and <dbt.h>; fix issue [#2317].

	* include/winuser.h: Tidy layout; add copyright notice.
	[WINVER, _WIN32_WINDOWS, _WIN32_WINNT]: Compare them symbolically.
	(__WINUSER_H_SOURCED__): New internal macro; define it, to facilitate
	selective inclusion of content from other headers; delete when done.
	(BSM_ALLCOMPONENTS, BSF_ALLOWSFW, BSM_APPLICATIONS, BSM_ALLDESKTOPS)
	(BSM_INSTALLABLEDRIVERS, BSM_NETDRIVER, BSM_VXDS, BSF_FLUSHDISK)
	(BSF_FORCEIFHUNG, BSF_IGNORECURRENTTASK, BSF_LUID, BSF_NOHANG)
	(BSF_NOTIMEOUTIFNOTHUNG, BSF_POSTMESSAGE, BSF_QUERY, BSF_RETURNHDESK)
	(BSF_SENDNOTIFYMESSAGE): Delete; do not define them locally; retrieve
	them selectively from <dbt.h>, where they are properly defined.
	[WINVER >= WIN2K/WIN98] (BlockInput): Add missing declaration.
	(KillTimer, TIMERPROC): Declare timer event parameters as UINT_PTR;
	formerly UINT, which doesn't match 64-bit size required for Win64.
	(SetTimer): Likewise; also declare similar return type.
	(WINEVENTPROC): Add missing CALLBACK attribute.
	(_BEGIN_C_DECLS, _END_C_DECLS): Use them.

	* include/w32api.h (__AW_ALIAS__): New macro; define it.
	* include/sdkddkver.h (_WIN32_WINNT_NT4SP3): New macro; define it.

	* include/dbt.h: Tidy layout; add copyright notice.
	(_BEGIN_C_DECLS, _END_C_DECLS): Also prefer them here.
	[__WINUSER_H_SOURCED__] (_DBT_H): Do not define; expose only...
	(BSM_ALLCOMPONENTS, BSF_ALLOWSFW, BSM_APPLICATIONS, BSM_ALLDESKTOPS)
	(BSM_INSTALLABLEDRIVERS, BSM_NETDRIVER, BSM_VXDS, BSF_FLUSHDISK)
	(BSF_FORCEIFHUNG, BSF_IGNORECURRENTTASK, BSF_LUID, BSF_NOHANG)
	(BSF_NOTIMEOUTIFNOTHUNG, BSF_POSTMESSAGE, BSF_QUERY, BSF_RETURNHDESK)
	(BSF_SENDNOTIFYMESSAGE): ...these, to be duplicated in <winuser.h>
	(__AW_ALIAS__): Use it to define ANSI/UNICODE specific aliases for...
	(DEV_BROADCAST_PORT, DEV_BROADCAST_DEVICEINTERFACE): ...these generic
	structure typedef names, and their respectively corresponding...
	(PDEV_BROADCAST_PORT, PDEV_BROADCAST_DEVICEINTERFACE): ...pointer
	type names.

2016-09-17  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Fix a minor ISO-C++11 conformity issue.

	* include/winnt.h (GetCurrentFiber): Insert spaces, as required
	by ISO-C++11, between concatenated string literal elements.
	(GetFiberData, NtCurrentTeb): Likewise.

2016-08-01  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Merge w32api-3.18.1 legacy updates to 5.0-active branch.

	* include/ddk/winddk.h: Update per issue [#2307] resolution.
	* include/ddk/ntdddisk.h include/ddk/ntddstor.h: Likewise.

2016-07-21  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Prepare and tag all files for release of w32api-3.18.1

	* configure.ac (AC_INIT): Increment patch level to 3.18.1

2016-07-21  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Resolve improper macro expansion issue [#2307].

	* include/ddk/winddk.h (__FILE_AM_BUFFERED, __FILE_RD_BUFFERED)
	(__FILE_RW_BUFFERED): Redefine, encapsulating the expansion of each
	dependent macro WITHIN the expansion of each of these; hence...

	* include/ddk/ntdddisk.h (IOCTL_DISK_GET_DRIVE_GEOMETRY)
	(IOCTL_DISK_FORMAT_TRACKS_EX, IOCTL_DISK_REASSIGN_BLOCKS)
	(IOCTL_DISK_GET_MEDIA_TYPES, IOCTL_DISK_CONTROLLER_NUMBER)
	(IOCTL_DISK_GET_DRIVE_LAYOUT, IOCTL_DISK_SET_DRIVE_LAYOUT)
	(IOCTL_DISK_GET_PARTITION_INFO, IOCTL_DISK_SET_PARTITION_INFO)
	(IOCTL_DISK_GET_DRIVE_GEOMETRY_EX, IOCTL_DISK_UPDATE_DRIVE_SIZE)
	(IOCTL_DISK_VERIFY, IOCTL_DISK_FORMAT_TRACKS, IOCTL_DISK_PERFORMANCE)
	(IOCTL_DISK_CREATE_DISK, IOCTL_DISK_RESERVE, IOCTL_DISK_IS_WRITABLE)
	(IOCTL_DISK_GET_PARTITION_INFO_EX, IOCTL_DISK_SET_PARTITION_INFO_EX)
	(IOCTL_DISK_GET_CACHE_INFORMATION, IOCTL_DISK_SET_CACHE_INFORMATION)
	(IOCTL_DISK_INTERNAL_SET_VERIFY, IOCTL_DISK_INTERNAL_CLEAR_VERIFY)
	(IOCTL_DISK_GET_DRIVE_LAYOUT_EX, IOCTL_DISK_SET_DRIVE_LAYOUT_EX)
	(IOCTL_DISK_GROW_PARTITION, IOCTL_DISK_DELETE_DRIVE_LAYOUT)
	(IOCTL_DISK_GET_LENGTH_INFO, IOCTL_DISK_PERFORMANCE_OFF)
	(IOCTL_DISK_CHECK_VERIFY, IOCTL_DISK_FIND_NEW_DEVICES)
	(SMART_GET_VERSION, SMART_RCV_DRIVE_DATA, SMART_SEND_DRIVE_COMMAND):
	...adjust these dependent macro definitions accordingly.

	* include/ddk/ntddstor.h (IOCTL_STORAGE_CHECK_VERIFY)
	(IOCTL_STORAGE_CHECK_VERIFY2, IOCTL_STORAGE_MEDIA_REMOVAL)
	(IOCTL_STORAGE_EJECTION_CONTROL, IOCTL_STORAGE_MCN_CONTROL)
	(IOCTL_STORAGE_GET_DEVICE_NUMBER, IOCTL_STORAGE_PREDICT_FAILURE)
	(IOCTL_STORAGE_GET_MEDIA_TYPES, IOCTL_STORAGE_GET_MEDIA_TYPES_EX)
	(IOCTL_STORAGE_GET_MEDIA_SERIAL_NUMBER, IOCTL_STORAGE_QUERY_PROPERTY)
	(IOCTL_STORAGE_RELEASE, IOCTL_STORAGE_FIND_NEW_DEVICES)
	(IOCTL_STORAGE_RESET_BUS, IOCTL_STORAGE_RESET_DEVICE)
	(IOCTL_STORAGE_EJECT_MEDIA, IOCTL_STORAGE_LOAD_MEDIA)
	(IOCTL_STORAGE_LOAD_MEDIA2, IOCTL_STORAGE_RESERVE): Likewise.

2016-07-19  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Update install-sh to match mingw.org/build-aux package.

	* install-sh: Delete it; use version in parent directory instead,
	recreating local copy, (as symlink, if supported), on demand.

2016-07-17  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Eliminate redundant configuration files.

	* aclocal.m4 VERSION.m4: Delete them; restore them on demand, via...
	* Makefile.in ($top_srcdir/../%): ...this symlink dependency rule.

	* configure.ac (AC_PROG_LN_S): Add configuration check.

2016-07-16  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Discard redundant config.guess and config.sub files.

	* config.guess config.sub: Delete them; they are no longer required.
	* Makefile.in (SRCDIST_ADD): Remove related references.

2016-07-16  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Merge recent legacy branch updates to 5.0-active branch.

	* Makefile.in include/ddk/ntifs.h include/ddk/winddk.h
	* include/sdkddkver.h include/setupapi.h include/windows.h
	* include/winnt.h include/winuser.h include/winver.h
	* include/wtsapi32.h lib/wtsapi32.def: Updated.

2016-07-14  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Prepare and tag all files for release of w32api-3.18.

2016-07-04  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Do not pass MAKEFLAGS explicitly, when invoking recursive make.

	* Makefile.in (install-strip, uninstall): Delete explicit $(MAKEFLAGS)
	references from $(MAKE) command lines; make passes them implicitly.

2016-06-04  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Backport MemoryBarrier() implementation from 4.0-dev branch.

	* include/winnt.h (MemoryBarrier): Implement it; this is a rework of
	Earnie's original inline implementation, but declared 'static' to fix
	issue [#1661]; it is further modified, to avoid the broken pre-Vista
	fallback identified by issue [#2131], and to remove references to...
	(__faststorefence, __mf): ...these MSVC intrinsics, replaced by...
	[defined __ATOMIC_SEQ_CST] (__atomic_thread_fence): ...this, or...
	[GCC >= 4.4] (__sync_synchronize): ...this, as appropriate, falling
	back to inline assembly code when necessary.

	* include/ddk/winddk.h (KeMemoryBarrier): Delegate it to...
	(MemoryBarrier): ...this, so avoiding the potential to emit invalid
	code, for hosts which do not support the SSE2 'mfence' instruction.

2016-06-03  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Merge further W32API updates from Cygwin CVS.
	Incorporated selected changes from 2012-08-01 to 2012-08-04.

	* include/setupapi.h include/winuser.h include/winver.h
	* include/wtsapi32.h lib/wtsapi32.def: Merged and updated.

2016-06-02  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Update mapping of GCC to MSVC host identification macros.

	* include/windows.h: Assert copyright; tidy layout.
	(_M_IX86, _ALPHA_, _PPC_, _MIPS_, _68K_): Delete duplicate defines.
	[!_WINUSER_H, !_WINNLS_H, !_WINVER_H, !_WINNETWK_H, !_WINREG_H]
	[!_WINSVC_H]: Do not explicitly test these here; they are properly
	managed implicitly, by GCC, when including the associated headers.

	* include/winnt.h: Assert copyright; tidy layout.
	(_BEGIN_C_DECLS, _END_C_DECLS): Use these, as appropriate.
	(__aligned__, __always_inline__, __selectany__): Prefer these...
	(aligned, always_inline, selectany): ...to these attribute forms.
	(CONTEXT) [_ALPHA_, _PPC_, MIPS, ARM]: Change selector macros to...
	[_M_ALPHA, _M_PPC, _M_MRX000, _M_ARM]: ...these, respectively.
	(GetCurrentFiber, GetFiberData, NtCurrentTeb): Redefine in terms of...
	(__tib_fiber_data__, __tib_self_refptr__): ...these adaptive macros...
	[!_WIN64]: ...to accommodate 32-bit, or otherwise 64-bit Windows.
	(_ALPHA_, _PPC_, _MIPS_, _68K_): Delete these redundant macros...
	(_M_IX86): ...also removing this, but relocate it to...
	* include/sdkddkver.h (_M_IX86): ...here; augment it with...
	(_M_IX86_FP, _M_X64, _M_AMD64, _M_IA64): ...these; define them as
	appropriate.

	* include/ddk/ntifs.h [!_ALPHA_]: Augment test; rather consider...
	[!_ALPHA_ && !_M_ALPHA]: ...this, for structure alignment control.

2016-05-23  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Merge W32API updates, from Cygwin CVS, into legacy branch.
	Incorporate changes since release of w32api-3.17, until 2012-07-06.

	* include/shobjidl.h lib/shobjidl-uuid.c: New files, added per LRN's
	2012-04-28 commit to Cygwin CVS.

	* include/gdiplus/gdiplustypes.h include/imagehlp.h
	* include/routprot.h include/shlwapi.h include/userenv.h
	* include/winbase.h include/wincon.h include/windef.h
	* include/winerror.h include/wingdi.h include/winnt.h
	* include/winsock.h include/winsock2.h include/winuser.h: Updated to
	match Cygwin CVS state, as of 2012-07-06.

	* include/wincrypt.h: Updated to remove duplicate manifest constant
	definitions, as identified per Chris Sutcliffe's 2012-01-03 commit to
	Cygwin CVS; merge with my 2015-09-29 commit; additionally, remove...
	(szOID_RSA_emailAddr, szOID_RSA_unstructAddr, szOID_RSA_unstructName)
	(CRYPT_ARCHIVABLE, CRYPT_NOHASHOID, CRYPT_VERIFYCONTEXT): ...extra
	copies of these further duplicated definitions, identified during
	the merging operation.

2016-05-12  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Synchronize package version management with MinGW Runtime.

	* VERSION.m4: New file; link it to keep in sync with identically named
	file in top level composite package source directory; it defines...
	(__VERSION__): ...this new composite package version macro.

	* aclocal.m4: Link it, to keep in sync with identically named files in
	top level composite source and sibling mingwrt sub-package directories.
	(__VERSION__): New macro; include VERSION.m4 to define it.
	(__BUG_REPORT_URL__): New macro; define it.

	* configure.ac (AC_INIT): Assign package version and bug report URL...
	(__VERSION__, __BUG_REPORT_URL__): ...from these, as defined through
	automatic inclusion of aclocal.m4

	* Makefile.in (configure): Add dependency on VERSION.m4

2016-05-04  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Eliminate redundant <parts/winioctl.h> header.

	* include/parts/winioctl.h: Delete it; distribute its content...
	* include/ddk/winddk.h include/ddk/ntddstor.h include/ddk/ntdddisk.h:
	...among these, separating it into discrete sections based on...
	[__need_ddk_winddk_includes, __need_ddk_ntddstor_includes]
	[__need_ddk_ntdddisk_includes]: ...these selectors, respectively.
	[__WINIOCTL_H_SOURCED__]: Expose only those sections; do not define...
	(_DDK_WINDDK_H, _DDK_NTDDSTOR_H, _DDK_NTDDDISK_H): ...these.

	* include/winioctl.h (__WINIOCTL_H_SOURCED__): Define it; include each
	of <ddk/winddk.h>, <ddk/ntddstor.h>, and <ddk/ntdddisk.h>

2016-05-03  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Enforce consistent specification of package version.

	* include/w32api.h: Rename as...
	* include/w32api.h.in: ...this build-time template file.
	(__W32API_VERSION): Redefine it, in terms of...
	(%PACKAGE_VERSION_LONG%): ...this substitution template.
	(__W32API_MAJOR_VERSION, __W32API_MINOR_VERSION)
	(__W32API_PATCHLEVEL): Likewise, redefine them in terms of...
	(%PACKAGE_VERSION_MAJOR%, %PACKAGE_VERSION_MINOR%)
	(%PACKAGE_VERSION_PATCH%): ...these.

	* configure.ac (AC_CONFIG_SRCDIR): Adjust for renamed file.
	(MINGW_AC_CONFIG_EXTRA_SRCDIR): Likewise, for similarly renamed
	mingwrt/include/_mingw.h.in file.

	* Makefile.in (all-w32api-libs): Add dependency on...
	(w32api.h, _mingw.h): ...these; add rule to generate them, using...
	(PACKAGE_VERSION_SCRIPT, PACKAGE_VERSION_FORMAT): ...these new macros;
	they apply appropriate substitutions to the renamed template files.
	(install-w32api-headers): Explicitly add w32api.h

2015-11-14  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Refactor for Windows DDK synchronization; fix MinGW-Bug [#1954].

	* include/parts/winioctl.h: New file; it provides infrastructure for
	sharing of common code between DDK headers and primary <winioctl.h>
	(__IOCTL_STORAGE_, __IOCTL_DISK_, __FILE_RW_ACCESS, __FILE_AM_BUFFERED)
	(__FILE_RD_BUFFERED, __FILE_RW_BUFFERED): New internal convenience
	macros; they facilitate more consise expression of factored out IOCTL
	and FSCTL macros; define them.

	* include/ddk/ntddk.h: Assert copyright; tidy layout.
	(__NTDDK_H): Multiple inclusion guard macro, renamed to...
	(_DDK_NTDDK_H): ...this; it provides better indication of location.
	(_BEGIN_C_DECLS, _END_C_DECLS): Use them.

	* include/ddk/winddk.h: Assert copyright; tidy layout.
	(__WINDDK_H): Multiple inclusion guard macro, renamed to...
	(_DDK_WINDDK_H): ...this; it provides better indication of location.
	[!defined _DDK_NTDDK_H]: Forbid direct inclusion; emit diagnostic.
	(_BEGIN_C_DECLS, _END_C_DECLS): Use them.
	(METHOD_BUFFERED, METHOD_IN_DIRECT, METHOD_OUT_DIRECT)
	(METHOD_NEITHER): Redefine as enumeration; factor it out.
	(FILE_ANY_ACCESS, FILE_SPECIAL_ACCESS, FILE_READ_ACCESS)
	(FILE_WRITE_ACCESS): Likewise.
	(CTL_CODE, DEVICE_TYPE_FROM_CTL_CODE): Factor out.
	[defined _DRIVE_LAYOUT_INFORMATION_MBR_DEFINED]: Delete guard.
	(struct _DRIVE_LAYOUT_INFORMATION_MBR, DRIVE_LAYOUT_INFORMATION_MBR)
	(PDRIVE_LAYOUT_INFORMATION_MBR): Factor out, without guard.
	(struct _DRIVE_LAYOUT_INFORMATION_GPT, DRIVE_LAYOUT_INFORMATION_GPT)
	(PDRIVE_LAYOUT_INFORMATION_GPT): Factor out.
	(struct _PARTITION_INFORMATION_MBR, PARTITION_INFORMATION_MBR)
	(PPARTITION_INFORMATION_MBR): Likewise.
	(FILE_DEVICE_BEEP, FILE_DEVICE_CD_ROM, FILE_DEVICE_CD_ROM_FILE_SYSTEM)
	(FILE_DEVICE_CONTROLLER, FILE_DEVICE_DATALINK, FILE_DEVICE_DFS)
	(FILE_DEVICE_DISK, FILE_DEVICE_DISK_FILE_SYSTEM)
	(FILE_DEVICE_FILE_SYSTEM, FILE_DEVICE_INPORT_PORT)
	(FILE_DEVICE_KEYBOARD, FILE_DEVICE_MAILSLOT, FILE_DEVICE_MIDI_IN)
	(FILE_DEVICE_MIDI_OUT, FILE_DEVICE_MOUSE)
	(FILE_DEVICE_MULTI_UNC_PROVIDER, FILE_DEVICE_NAMED_PIPE)
	(FILE_DEVICE_NETWORK, FILE_DEVICE_NETWORK_BROWSER)
	(FILE_DEVICE_NETWORK_FILE_SYSTEM, FILE_DEVICE_NULL)
	(FILE_DEVICE_PARALLEL_PORT, FILE_DEVICE_PHYSICAL_NETCARD)
	(FILE_DEVICE_PRINTER, FILE_DEVICE_SCANNER)
	(FILE_DEVICE_SERIAL_MOUSE_PORT, FILE_DEVICE_SERIAL_PORT)
	(FILE_DEVICE_SCREEN, FILE_DEVICE_SOUND, FILE_DEVICE_STREAMS)
	(FILE_DEVICE_TAPE, FILE_DEVICE_TAPE_FILE_SYSTEM, FILE_DEVICE_TRANSPORT)
	(FILE_DEVICE_UNKNOWN, FILE_DEVICE_VIDEO, FILE_DEVICE_VIRTUAL_DISK)
	(FILE_DEVICE_WAVE_IN, FILE_DEVICE_WAVE_OUT, FILE_DEVICE_8042_PORT)
	(FILE_DEVICE_NETWORK_REDIRECTOR, FILE_DEVICE_BATTERY)
	(FILE_DEVICE_BUS_EXTENDER, FILE_DEVICE_MODEM, FILE_DEVICE_VDM)
	(FILE_DEVICE_MASS_STORAGE, FILE_DEVICE_SMB, FILE_DEVICE_KS)
	(FILE_DEVICE_CHANGER, FILE_DEVICE_SMARTCARD, FILE_DEVICE_ACPI)
	(FILE_DEVICE_DVD, FILE_DEVICE_FULLSCREEN_VIDEO)
	(FILE_DEVICE_DFS_FILE_SYSTEM, FILE_DEVICE_DFS_VOLUME)
	(FILE_DEVICE_SERENUM, FILE_DEVICE_TERMSRV, FILE_DEVICE_KSEC)
	(FILE_DEVICE_FIPS): Redefine as enumeration; factor it out.
	(enum _PARTITION_STYLE, PARTITION_STYLE): Factor out; add...
	(PARTITION_STYLE_RAW): ...this new enumeration state; previously, it
	was defined only when including this enumeration from winioctl.h
	(struct _CREATE_DISK_MBR, CREATE_DISK_MBR, PCREATE_DISK_MBR)
	(struct _CREATE_DISK_GPT, CREATE_DISK_GPT, PCREATE_DISK_GPT)
	(struct _CREATE_DISK, CREATE_DISK, PCREATE_DISK): Factor out;
	include parts/winioctl.h

	* include/ddk/ntddstor.h: Assert copyright; tidy layout.
	(__NTDDSTOR_H): Multiple inclusion guard macro, renamed to...
	(_DDK_NTDDSTOR_H): ...this; to provide better indication of location.
	(_BEGIN_C_DECLS, _END_C_DECLS): Use them.
	(struct _STORAGE_BUS_TYPE, STORAGE_BUS_TYPE, PSTORAGE_BUS_TYPE)
	(IOCTL_STORAGE_BASE, IOCTL_STORAGE_RESERVE, IOCTL_STORAGE_RELEASE)
	(IOCTL_STORAGE_CHECK_VERIFY, IOCTL_STORAGE_CHECK_VERIFY2)
	(IOCTL_STORAGE_MEDIA_REMOVAL, IOCTL_STORAGE_EJECT_MEDIA)
	(IOCTL_STORAGE_LOAD_MEDIA, IOCTL_STORAGE_LOAD_MEDIA2)
	(IOCTL_STORAGE_EJECTION_CONTROL, IOCTL_STORAGE_FIND_NEW_DEVICES)
	(IOCTL_STORAGE_GET_MEDIA_TYPES, IOCTL_STORAGE_GET_MEDIA_TYPES_EX)
	(IOCTL_STORAGE_GET_MEDIA_SERIAL_NUMBER, IOCTL_STORAGE_PREDICT_FAILURE)
	(IOCTL_STORAGE_QUERY_PROPERTY, IOCTL_STORAGE_GET_DEVICE_NUMBER)
	(IOCTL_STORAGE_RESET_BUS, IOCTL_STORAGE_RESET_DEVICE)
	(IOCTL_STORAGE_MCN_CONTROL): Factor out; include parts/winioctl.h

	* include/ddk/ntdddisk.h: Assert copyright; tidy layout.
	(__NTDDDISK_H): Multiple inclusion guard macro, renamed to...
	(_DDK_NTDDDISK_H): ...this; to provide better indication of location.
	(_BEGIN_C_DECLS, _END_C_DECLS): Use them.
	(IOCTL_DISK_BASE, IOCTL_DISK_GET_LENGTH_INFO)
	(IOCTL_DISK_IS_WRITABLE, IOCTL_DISK_REASSIGN_BLOCKS)
	(IOCTL_DISK_FIND_NEW_DEVICES, IOCTL_DISK_GET_MEDIA_TYPES)
	(IOCTL_DISK_GET_DRIVE_LAYOUT, IOCTL_DISK_SET_DRIVE_LAYOUT)
	(IOCTL_DISK_GET_PARTITION_INFO, IOCTL_DISK_SET_PARTITION_INFO)
	(IOCTL_DISK_GET_DRIVE_LAYOUT_EX, IOCTL_DISK_SET_DRIVE_LAYOUT_EX)
	(IOCTL_DISK_GET_DRIVE_GEOMETRY, IOCTL_DISK_GET_DRIVE_GEOMETRY_EX)
	(IOCTL_DISK_CREATE_DISK, IOCTL_DISK_VERIFY, IOCTL_DISK_CHECK_VERIFY)
	(IOCTL_DISK_GET_PARTITION_INFO_EX, IOCTL_DISK_SET_PARTITION_INFO_EX)
	(IOCTL_DISK_GET_CACHE_INFORMATION, IOCTL_DISK_SET_CACHE_INFORMATION)
	(IOCTL_DISK_DELETE_DRIVE_LAYOUT, IOCTL_DISK_GROW_PARTITION)
	(IOCTL_DISK_FORMAT_TRACKS, IOCTL_DISK_FORMAT_TRACKS_EX)
	(IOCTL_DISK_PERFORMANCE, IOCTL_DISK_PERFORMANCE_OFF)
	(IOCTL_DISK_UPDATE_DRIVE_SIZE, IOCTL_DISK_RESERVE): Factor out; all of
	these macros are now defined in parts/winioctl.h; include it.
	(PARTITION_ENTRY_UNUSED, PARTITION_FAT_12, PARTITION_XENIX_1)
	(PARTITION_XENIX_2, PARTITION_FAT_16, PARTITION_EXTENDED)
	(PARTITION_HUGE, PARTITION_IFS, PARTITION_OS2BOOTMGR, PARTITION_FAT32)
	(PARTITION_FAT32_XINT13, PARTITION_XINT13, PARTITION_XINT13_EXTENDED)
	(PARTITION_PREP, PARTITION_LDM, PARTITION_UNIX, PARTITION_NTFT)
	(VALID_NTFT): Redefine as enumeration; factor it out.
	(IsRecognizedPartition, IsContainerPartition): Factor out.
	(enum _MEDIA_TYPE, MEDIA_TYPE, PMEDIA_TYPE): Factor out, adding...
	(F3_200Mb_512, F3_240M_512, F3_32M_512): ...these new state values.
	(enum _DETECTION_TYPE, DETECTION_TYPE): Factor out.
	(struct _DISK_INT13_INFO, DISK_INT13_INFO, PDISK_INT13_INFO)
	(struct _DISK_EX_INT13_INFO, DISK_EX_INT13_INFO, PDISK_EX_INT13_INFO)
	(struct _DISK_DETECTION_INFO, DISK_DETECTION_INFO, PDISK_DETECTION_INFO)
	(struct _DISK_GEOMETRY_EX, DISK_GEOMETRY_EX, PDISK_GEOMETRY_EX)
	(struct _DISK_GEOMETRY, DISK_GEOMETRY, PDISK_GEOMETRY)
	(DiskGeometryGetPartition, DiskGeometryGetDetect): Factor out.
	(struct _PARTITION_INFORMATION): Change field data types for...
	(HiddenSectors, PartitionNumber): ...these, from DWORD to ULONG...
	(PartitionType): ...and this from BYTE to UCHAR, to keep consistent
	with Windows DDK convention, then factor out struct, together with...
	(PARTITION_INFORMATION, PPARTITION_INFORMATION): ...these.
	(struct _PARTITION_INFORMATION_GPT, struct _DISK_PARTITION_INFO)
	(PARTITION_INFORMATION_GPT, *PPARTITION_INFORMATION_GPT)
	(DISK_PARTITION_INFO, *PDISK_PARTITION_INFO): Factor out.
	(struct _GET_LENGTH_INFORMATION)
	(GET_LENGTH_INFORMATION, PGET_LENGTH_INFORMATION)
	(struct _DISK_PERFORMANCE, DISK_PERFORMANCE, PDISK_PERFORMANCE)
	(struct _DISK_PERFORMANCE_EX, DISK_PERFORMANCE_EX, PDISK_PERFORMANCE_EX)
	(struct _FORMAT_PARAMETERS, struct _FORMAT_EX_PARAMETERS)
	(FORMAT_PARAMETERS, PFORMAT_PARAMETERS, FORMAT_EX_PARAMETERS)
	(PFORMAT_EX_PARAMETERS): Factor out.
	(struct _REASSIGN_BLOCKS): Change field data types for...
	(Reserved, Count): ...these fields, from WORD to USHORT, and...
	(BlockNumber): ...this from DWORD to ULONG, per Windows DDK
	convention, then factor out the struct definition, together with...
	(REASSIGN_BLOCKS, PREASSIGN_BLOCKS): ...these associated typedefs.
	(struct _SET_PARTITION_INFORMATION, SET_PARTITION_INFORMATION)
	(PSET_PARTITION_INFORMATION): Factor out.
	(struct _VERIFY_INFORMATION): Change field data type for...
	(Length): ...this field, from DWORD to ULONG, per DDK convention, then
	factor out the entire struct definition, together with...
	(VERIFY_INFORMATION, PVERIFY_INFORMATION): ...these associated typedefs.
	(DISK_CACHE_RETENTION_PRIORITY): Factor out enumerated typedef.
	(struct _DISK_CACHE_INFORMATION, struct _DISK_GROW_PARTITION)
	(DISK_CACHE_INFORMATION, PDISK_CACHE_INFORMATION, DISK_GROW_PARTITION)
	(PDISK_GROW_PARTITION): Factor out.

	* include/winioctl.h: Assert copyright; tidy layout; incorporate
	definitions from Windows DDK headers, by including parts/winioctl.h;
	delete duplicate definitions already identified as having been factored
	out from ddk/winddk.h, ddk/ntddstor.h, and ddk/ntdddisk.h; accept type
	compatible changes from DWORD to ULONG, WORD to USHORT, and BYTE to
	UCHAR, resulting in no significant changes, except that...
	(struct _DISK_PERFORMANCE): ...this is extended, by addition of...
	(IdleTime, SplitCount, QueryTime, StorageDeviceNumber)
	(StorageManagerName): ...these previously missing fields, originally
	appropriately defined in ddk/ntdddisk.h, thus fixing bug [#1954].
	(_BEGIN_C_DECLS, _END_C_DECLS): Use them.

2015-10-22  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Windows application module version information API updates.

	* include/winver.h: Assert copyright; tidy layout.
	(_BEGIN_C_DECLS, _END_C_DECLS): Use these, as appropriate.
	(__AW_SUFFIXED__): Use throughout, to identify generic functions
	having both ANSI and UTF-16LE specific alternative implementations.
	[NTDDI_VERSION >= NTDDI_VISTA] (GetFileVersionInfoEx): New function.
	[NTDDI_VERSION >= NTDDI_VISTA] (GetFileVersionInfoSizeEx): Likewise;
	note that both are generic, with ANSI and UTF-16LE implementations,
	but the ANSI implementations are missing from MSVCRT.DLL when...
	[NTDDI_VERSION < NTDDI_WIN8]: ...this.

	* lib/version.def (GetFileVersionInfoExA, GetFileVersionInfoExW)
	(GetFileVersionInfoSizeExA, GetFileVersionInfoSizeExW): Add symbols.

2015-10-22  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Revert a failed experimental macro construct.

	* include/w32api.h (__W32API_DEPRECATED_ALIAS): Delete this; it bloats
	code, and doesn't work in the C preprocessor conditional context where
	its associated constant definitions are most likely to be required.
	(Windows95, Windows98, WindowsME, WindowsNT4, Windows2000, WindowsXP)
	(Windows2003, WindowsVista, IE3, IE301, IE302, IE4, IE401, IE5, IE5a)
	(IE5b, IE501, IE55, IE56, IE6, IE601, IE602, IE7): Redefine as macros,
	now in terms of their preferred equivalents from <sdkddkver.h>

2015-09-29  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Code clean-up; fix MinGW-Bug [#2263].

	* include/w32api.h (__AW_SUFFIXED__): New macro; define it.
	(__AW_EXTENDED__, __AW_STRING_A__, __AW_STRING_W__): Likewise.
	(__AW__WCHAR_T__): Likewise; this is a helper for __AW_STRING_W__.

	* include/wincrypt.h: Assert copyright; tidy layout; replace all C++
	style comments, using ISO-C conforming style; remove all redundant
	parameter names from function prototype declarations, throughout.
	(pragma GCC system_header): Remove pointless conditional guard.
	(_BEGIN_C_DECLS, _END_C_DECLS): Use to wrap extern "C" declarations.
	[WINVER >= 0x500, WINVER >= 0x501]: Replace conditionals with...
	[WINVER >= _WIN32_WINNT_WIN2K, WINVER >= _WIN32_WINNT_WINXP]: ...these
	alternatives, respectively; they offer improved self-documentation.
	(MS_DEF_PROV, MS_ENHANCED_PROV, MS_STRONG_PROV, MS_SCARD_PROV)
	(MS_DEF_RSA_SIG_PROV, MS_DEF_RSA_SCHANNEL_PROV, MS_DEF_DSS_PROV)
	(MS_DEF_DSS_DH_PROV, MS_ENH_DSS_DH_PROV, MS_DEF_DH_SCHANNEL_PROV)
	(MS_ENH_RSA_AES_PROV): Redefine as __AW_EXTENDED__ derivatives.
	(MS_DEF_PROV_W, MS_ENHANCED_PROV_W, MS_STRONG_PROV_W, MS_SCARD_PROV_W)
	(MS_DEF_RSA_SIG_PROV_W, MS_DEF_RSA_SCHANNEL_PROV_W, MS_DEF_DSS_PROV_W)
	(MS_DEF_DSS_DH_PROV_W, MS_ENH_DSS_DH_PROV_W, MS_DEF_DH_SCHANNEL_PROV_W)
	(MS_ENH_RSA_AES_PROV_W): Redefine; use __AW_STRING_W__ to derive them
	from their __AW_STRING_A__ equivalent string constant definitions.
	(GET_ALG_CLASS): Redefine, expressing result in terms of...
	(ALG_CLASS_ALL): ...this manifest bit mask; also redefined, preferring
	a hexadecimal expression of the mask value over the former decimal.
	(GET_ALG_TYPE, GET_ALG_SID): Similarly, use hexadecimal mask values.
	(ALG_CLASS_SIGNATURE, ALG_CLASS_MSG_ENCRYPT, ALG_CLASS_DATA_ENCRYPT)
	(ALG_CLASS_HASH, ALG_CLASS_KEY_EXCHANGE, ALG_TYPE_DSS, ALG_TYPE_RSA)
	(ALG_TYPE_BLOCK, ALG_TYPE_STREAM, ALG_TYPE_DH, ALG_TYPE_SECURECHANNEL)
	(CRYPT_UPDATE_KEY, CRYPT_NEWKEYSET, CRYPT_DELETEKEYSET, CRYPT_SILENT)
	(CRYPT_MACHINE_KEYSET, CRYPT_USER_PROTECTED, CRYPT_CREATE_SALT)
	(CRYPT_EXPORTABLE, CRYPT_ENCRYPT, CRYPT_DECRYPT, CRYPT_EXPORT)
	(CRYPT_READ, CRYPT_WRITE, CRYPT_MAC, CERT_TRUST_IS_NOT_TIME_VALID)
	(CERT_TRUST_IS_NOT_TIME_NESTED, CERT_TRUST_IS_REVOKED)
	(CERT_TRUST_IS_NOT_SIGNATURE_VALID, CERT_TRUST_IS_NOT_VALID_FOR_USAGE)
	(CERT_TRUST_IS_UNTRUSTED_ROOT, CERT_TRUST_REVOCATION_STATUS_UNKNOWN)
	(CERT_TRUST_IS_CYCLIC, CERT_TRUST_CTL_IS_NOT_SIGNATURE_VALID)
	(CERT_TRUST_IS_PARTIAL_CHAIN, CERT_TRUST_CTL_IS_NOT_TIME_VALID)
	(CERT_TRUST_CTL_IS_NOT_VALID_FOR_USAGE, CERT_TRUST_IS_SELF_SIGNED)
	(CERT_TRUST_HAS_EXACT_MATCH_ISSUER, CERT_TRUST_HAS_KEY_MATCH_ISSUER)
	(CERT_TRUST_HAS_NAME_MATCH_ISSUER, CERT_TRUST_IS_COMPLEX_CHAIN)
	(CERT_CHAIN_POLICY_BASE, CERT_CHAIN_POLICY_AUTHENTICODE)
	(CERT_CHAIN_POLICY_AUTHENTICODE_TS, CERT_CHAIN_POLICY_SSL)
	(CERT_CHAIN_POLICY_BASIC_CONSTRAINTS, CERT_CHAIN_POLICY_NT_AUTH)
	(CERT_NAME_STR_REVERSE_FLAG, CERT_NAME_STR_DISABLE_IE4_UTF8_FLAG)
	(CERT_NAME_STR_CRLF_FLAG, CERT_NAME_STR_ENABLE_UTF8_UNICODE_FLAG)
	(CERT_NAME_STR_ENABLE_T61_UNICODE_FLAG, CERT_NAME_STR_NO_PLUS_FLAG)
	(CERT_NAME_STR_NO_QUOTING_FLAG, CERT_NAME_STR_SEMICOLON_FLAG)
	(CERT_FIND_CERT_ID, CERT_FIND_CTL_USAGE, CERT_FIND_ENHKEY_USAGE)
	(CERT_FIND_EXISTING, CERT_FIND_HASH, CERT_FIND_ISSUER_ATTR)
	(CERT_FIND_ISSUER_NAME, CERT_FIND_ISSUER_OF, CERT_FIND_KEY_IDENTIFIER)
	(CERT_FIND_KEY_SPEC, CERT_FIND_MD5_HASH, CERT_FIND_PROPERTY)
	(CERT_FIND_PUBLIC_KEY, CERT_FIND_SHA1_HASH, CERT_FIND_SIGNATURE_HASH)
	(CERT_FIND_SUBJECT_ATTR, CERT_FIND_SUBJECT_CERT, CERT_FIND_SUBJECT_NAME)
	(CERT_FIND_SUBJECT_STR_A, CERT_FIND_SUBJECT_STR_W)
	(CERT_FIND_ISSUER_STR_A, CERT_FIND_ISSUER_STR_W)
	(CERT_FIND_OR_ENHKEY_USAGE_FLAG, CERT_FIND_OPTIONAL_ENHKEY_USAGE_FLAG)
	(CERT_FIND_NO_ENHKEY_USAGE_FLAG, CERT_FIND_VALID_ENHKEY_USAGE_FLAG)
	(CERT_FIND_EXT_ONLY_ENHKEY_USAGE_FLAG, CERT_UNICODE_IS_RDN_ATTRS_FLAG)
	(CERT_CASE_INSENSITIVE_IS_RDN_ATTRS_FLAG, CERT_CHAIN_FIND_BY_ISSUER)
	(CERT_CHAIN_FIND_BY_ISSUER_COMPARE_KEY_FLAG)
	(CERT_CHAIN_FIND_BY_ISSUER_COMPLEX_CHAIN_FLAG)
	(CERT_CHAIN_FIND_BY_ISSUER_CACHE_ONLY_FLAG)
	(CERT_CHAIN_FIND_BY_ISSUER_CACHE_ONLY_URL_FLAG)
	(CERT_CHAIN_FIND_BY_ISSUER_LOCAL_MACHINE_FLAG)
	(CERT_CHAIN_FIND_BY_ISSUER_NO_KEY_FLAG)
	(CERT_SYSTEM_STORE_LOCAL_MACHINE): All represent bit-mapped values;
	express them in hexadecimal, in preference to original decimal form.
	(CERT_FIND_SUBJECT_STR, CERT_FIND_ISSUER_STR): Redefine them as
	__AW_EXTENDED__ macros, for UNICODE/non-UNICODE cases respectively.
	(szOID_CRL_DIST_POINTS): Correct defective definition; value should be
	a string literal, but was missing delimiting quotes; insert them.
	(CertNameToStr, CertOpenSystemStore, CertGetNameString, CryptSignHash)
	(CryptAcquireContext, CryptVerifySignature, CryptGetDefaultProvider)
	(CryptEnumProviders, CryptSetProvider): Define as __AW_SUFFIXED__
	aliases for each of the UNICODE/non-UNICODE cases respectively.
	(CryptEnumProvidersA): Correct prototype declaration; 5th parameter
	was declared as type LPTSTR, but should be type LPSTR.
	(CryptEnumProvidersW): Likewise; 5th parameter should be type LPWSTR.
	(CryptGetDefaultProviderW): Likewise; 4th parameter was declared as
	type LPSTR, but should be type LPWSTR.
	[defined MINGW_TENTATIVE_ASSUMPTIONS] (X509_ANY_STRING)
	(X509_CRL_REASON_CODE, X509_DSS_PUBLICKEY, X509_UNICODE_ANY_STRING)
	(struct _CERT_ALT_NAME_ENTRY): Add tentative definitions.

2015-09-22  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Correct defect in build system compilation rule.

	* Makefile.in (scrnsavw.$OBJEXT): Do not use $^ to represent the
	source file; it expands to also include prerequisite header files,
	which should not appear on the compilation command line.  Rewrite
	rule in static pattern format, and use $< instead.

2015-08-02  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Build system corrections for GCC build time support.

	* configure.ac (AC_PROG_CC): Don't use this; we need...
	(MINGW_AC_PROG_CC_COMPILE_ONLY): ...this alternative, to support
	building with only a stage 1 partially built GCC installation.

	* Makefile.in (install-headers): New make objective; map it to...
	(install-w32api-headers): ...this, for which it is a logical alias.

2015-07-16  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Overhaul and streamline build system configuration.

	* configure.in: Delete obsolete file; replace with...
	* configure.ac: New file; rewritten per current autoconf conventions.

	* Makefile.in: Rewritten; adapted from current mingwrt configuration,
	it now processes the entire build without using separate sub-makes.

	* lib/Makefile.in: Sub-make configuration not required now; delete it.
	* lib/ddk/Makefile.in lib/directx/Makefile.in: Likewise; delete them.

2015-07-14  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Remove unused aclocal.m4 configuration file.

	* aclocal.m4: Delete it; it provides no content used by this package.

2015-07-14  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Adapt platform feature checks to NTDDI_VERSION conventions.

	* include/sdkddkver.h: New file; merge from 4.0-dev branch.
	(_WIN32_WINNT_WINBLUE): New manifest constant for Windows-8.1.
	(WINNTVER): Prefer bitwise shift to division; adjust accordingly.
	[_WIN32_WINNT != OSVER(NTDDI_VERSION)]: Bad comparison; correct to...
	[_WIN32_WINNT != WINNTVER(NTDDI_VERSION)]: ...this.

	* include/w32api.h: Assert copyright; include sdkddkver.h.
	(__W32API_VERSION): Increment to 3.18; adopt new encoding format.
	(__W32API_MAJOR_VERSION, __W32API_MINOR_VERSION): Adjust consistently.
	(__W32API_PATCH_LEVEL): New macro; define with initial value of zero.
	(__W32API_DEPRECATED_ALIAS): New macro; define it; use to redefine...
	(Windows95, Windows98, WindowsME, WindowsNT4, Windows2000, WindowsXP)
	(Windows2003, WindowsVista, IE3, IE301, IE302, IE4, IE401, IE5, IE5a)
	(IE5b, IE501, IE55, IE56, IE6, IE601, IE602, IE7): ...these; replace
	macro definitions by long integer constants, and mark as deprecated.
	(UNICODE, _UNICODE): Keep these consistent; use logic factored out of
	mingwrt/include/_mingw.h, whence we similarly relocate...
	(_EXTERN_C, _BEGIN_C_DECLS, _END_C_DECLS): ...these.

	* include/windef.h: Assert copyright; include w32api.h, whence we
	infer default assignments, per included sdkddkver.h, for each of...
	(WINVER, _WIN32_WINNT): ...these; delete local defines.
	(_BEGIN_C_DECLS, _END_C_DECLS): Use them.

2015-06-16  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Remove generated configure script from revision control.

	* configure: Delete from SCM; maintainer must regenerate it, when
	required, as SCM will now ignore it.

2012-08-04  Earnie Boyd  <earnie@users.sourceforge.net>

	Cosmetic adjustment to match MSDN documentation.

	* include/winver.h (VerQueryValueA, VerQueryValueW): Declare type
	of parameter #1 to be LPCVOID, in preference to formerly specified,
	and functionally equivalent, 'const LPVOID'.

2012-08-01  Stephan Jorek  <sjorek@users.sourceforge.net>

	Correct typos, as identified by issue [#1534].

	* include/setupapi.h (SetupCancelTemporary): Should be...
	(SetupCancelTemporarySourceList): ...this; complete truncated name.
	(SetupFreeA, SetupFreeW): Likewise, complete these respectively to...
	(SetupFreeSourceListA, SetupFreeSourceListW): ...these, and...
	(SetupQueryA, SetupQueryW): ...these respectively to...
	(SetupQuerySourceListA, SetupQuerySourceListW): ...these.
	(SetupDiGetWizardage): Misspelled; correct it to...
	(SetupDiGetWizardPage): ...this.

2012-08-01  Earnie Boyd  <earnie@users.sourceforge.net>

	Declare WTSVirtualChannel API functions per issue [#1342].

	* include/wtsapi32.h [_WIN32_WINNT >= 0x500]
	(WTSVirtualChannelOpen, WTSVirtualChannelQuery, WTSVirtualChannelRead)
	(WTSVirtualChannelPurgeInput, WTSVirtualChannelPurgeOutput)
	(WTSVirtualChannelWrite, WTSVirtualChannelClose): Declare them.
	[_WIN32_WINNT >= 0x600] (WTSVirtualchannelOpenEx): Likewise.

	* lib/wtsapi32.def (WTSVirtualChannelOpenEx@12): Add reference.

2012-08-01  Earnie Boyd  <earnie@users.sourceforge.net>

	Correct MENUITEMINFO structure definition per issue [#1659].

	* include/winuser.h (tagMENUITEMINFOA, tagMENUITEMINFOW): dwItemData
	field was defined as type DWORD; correct it to type ULONG_PTR.

2012-07-06  Corinna Vinschen  <corinna@vinschen.de>

	Extend visibility of winsock definitions when building Cygwin.

	* include/winsock.h [__INSIDE_CYGWIN__]: Expose definitions of...
	(IP_OPTIONS, SO_DEBUG, SO_ACCEPTCONN, SO_REUSEADDR, SO_KEEPALIVE)
	(SO_DONTROUTE, SO_BROADCAST, SO_USELOOPBACK, SO_LINGER, SO_OOBINLINE)
	(SO_DONTLINGER, SO_SNDBUF, SO_RCVBUF, SO_SNDLOWAT, SO_RCVLOWAT)
	(SO_SNDTIMEO, SO_RCVTIMEO, SO_ERROR, SO_TYPE): ...these; however...
	[__INSIDE_MSYS__]: ...keep them hidden.

	* include/winsock2.h [__INSIDE_CYGWIN__]: Likewise, expose...
	(AF_MAX, _SS_MAXSIZE, _SS_ALIGNSIZE, _SS_PAD1SIZE, _SS_PAD2SIZE)
	(struct sockaddr, struct sockaddr_storage): ...these, whereas...
	[__INSIDE_MSYS__]: ...also keep them hidden.

2012-04-29  Jan Ringos  <tringi@users.sf.net>

	Correct version guard for WinXP minimum requirement.

	* include/winbase.h (GetModuleHandleEx): Function unsupported for...
	[_WIN32_WINNT >= 0x500]: ...this; it isn't in Win2K, so should be...
	[_WIN32_WINNT >= 0x501]: ...this; correct it accordingly.
	(GetModuleHandleExA, GetModuleHandleExW): Likewise.

2012-04-28  LRN  <l_r_nightmare@users.sf.net>

	Add missing <shobjidl.h> and associated UUID implementation.

	* include/shobjidl.h lib/shobjidl-uuid.c: New files.
	* lib/Makefile.in (UUID_SOURCES, UUID_OBJS): Add references.

2012-03-19  Ben Greear  <greear@users.sf.net>

	Adjust header file definition order, to fix issue [#1570].

	* include/routprot.h (IP_LOCAL_BINDING): Must be defined before...
	(IP_ADAPTER_BINDING_INFO): ...this; adjust order of definition.

2012-01-03  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	Add missing return value, flagged by 'make test'.

	* include/gdiplus/gdiplustypes.h (Gdiplus::GdiplusAbort::Abort):
	Return NO_ERROR in virtual definition.

2012-01-03  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	Remove duplicate definitions, identified by 'make test'.

	* include/wincrypt.h (CRYPT_NEWKEYSET, CRYPT_DELETEKEYSET)
	(CRYPT_MACHINE_KEYSET, CRYPT_EXPORTABLE, CRYPT_USER_PROTECTED)
	(CRYPT_SILENT, CRYPT_CREATE_SALT, CRYPT_UPDATE_KEY, CRYPT_NO_SALT)
	(CRYPT_PREGEN, CRYPT_RECIPIENT, CRYPT_INITIATOR, CRYPT_ONLINE)
	(CRYPT_SF, CRYPT_CREATE_IV, CRYPT_KEK, CRYPT_DATA_KEY)
	(CRYPT_VOLATILE, CRYPT_SGCKEY): Delete second instance of each.

	* include/winerror.h (CRYPT_E_REVOKED): Delete; it is already
	correctly defined (per MSDN) in <wincrypt.h>

2012-01-03  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Correct misuse of #ifdef, identified by 'make test'.

	* include/shlwapi.h (enum ASSOCSTR, enum ASSOCDATA): Fix typos;
	/#ifdef _WIN32_IE >= 0x0600/s/#ifdef/#if/

2011-12-22  Corinna Vinschen  <corinna@vinschen.de>

	Replace more incorrectly named manifest constants.

	* include/winnt.h (JOB_OBJECT_LIMIT_BREAKAWAY_OK)
	(JOB_OBJECT_LIMIT_SILENT_BREAKAWAY_OK): Define; make aliases for...
	(JOB_OBJECT_BREAKAWAY_OK, JOB_OBJECT_SILENT_BREAKAWAY): ...these old
	definitions respectively; retain for backward compatibility only.

2011-12-22  Corinna Vinschen  <corinna@vinschen.de>

	Add missing PROCESS_QUERY_LIMITED_INFORMATION.

	* include/winnt.h (PROCESS_QUERY_LIMITED_INFORMATION): Define it.

2011-08-19  Corinna Vinschen  <corinna@vinschen.de>

	Add missing MAPVK manifest constant definitions.

	* include/winuser.h (MAPVK_VK_TO_VSC, MAPVK_VSC_TO_VK): Define them.
	(MAPVK_VK_TO_CHAR, MAPVK_VSC_TO_VK_EX, MAPVK_VK_TO_VSC_EX): Likewise.

2011-08-05  Corinna Vinschen  <corinna@vinschen.de>

	Correct some misspelled manifest constant names.

	* include/winnt.h (IMAGE_DLL_CHARACTERISTICS_NX_COMPAT): Should be...
	(IMAGE_DLLCHARACTERISTICS_NX_COMPAT): ...this; define correctly; also
	alias to original misspelling, to maintain backward compatibility.
	(IMAGE_DLL_CHARACTERISTICS_FORCE_INTEGRITY): Likewise; should be...
	(IMAGE_DLLCHARACTERISTICS_FORCE_INTEGRITY): ...this; define and alias.
	(IMAGE_DLL_CHARACTERISTICS_DYNAMIC_BASE): Likewise; should be...
	(IMAGE_DLLCHARACTERISTICS_DYNAMIC_BASE): ...this; define and alias.

2011-07-29  Corinna Vinschen  <corinna@vinschen.de>

	Add a missing Win2K sockets IOCTL feature.

	* include/winsock2.h (SIO_UDP_CONNRESET): Define.

2011-05-22  Albrecht Schlosser  <vms-news@go4more.de>

	Fix an incorrectly typed structure member.

	* include/wingdi.h (GCP_RESULTSW): lpClass field defined as LPWSTR;
	should be LPSTR; correct it.

2011-05-15  Corinna Vinschen  <corinna@vinschen.de>

	Add another missing manifest constant definition.

	* include/winbase.h (STACK_SIZE_PARAM_IS_A_RESERVATION): Define.

2011-04-21  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Avoid pollution of user namespace; fix MinGW-Bug [#1531].

	* include/windef.h (PACKED): Delete macro definition; its name is not
	reserved, and may thus conflict with a user defined name; replace it...
	* include/wincon.h (KEY_EVENT_RECORD): ...at this sole point of use;
	use __attribute__((packed)) directly instead.

2011-04-21  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	Fix bad typedef, per MinGW-Bug [#1529].

	* include/imagehlp.h (PREAD_PROCESS_MEMORY_ROUTINE): Corrected, to
	conform with MSDN reference, as identified by Safety0ff.

2011-04-04  Corinna Vinschen  <corinna@vinschen.de>

	Add a missing manifest constant definition.

	* include/winnt.h (DOMAIN_ALIAS_RID_REMOTE_DESKTOP_USERS): Define.

2011-03-29  Corinna Vinschen  <corinna@vinschen.de>

	Win2K and Vista userenv updates.

	* include/userenv.h [_WIN32_WINNT >= 0x0500] (DeleteProfile)
	(GetAllUsersProfileDirectory, GetDefaultUserProfileDirectory)
	(ExpandEnvironmentStringsForUser): Define function aliases.
	[_WIN32_WINNT >= 0x0500] (DeleteProfileA, DeleteProfileW)
	(GetAllUsersProfileDirectoryA, GetAllUsersProfileDirectoryW)
	(GetDefaultUserProfileDirectoryA, GetDefaultUserProfileDirectoryW
	(ExpandEnvironmentStringsForUserA, ExpandEnvironmentStringsForUserW)
	(GetProfileType): Declare function prototypes.
	[_WIN32_WINNT >= 0x0600] (CreateProfile): Declare function prototype.
	[_WIN32_WINNT >= 0x0500] (PT_TEMPORARY, PT_ROAMING, PT_MANDATORY):
	New manifest constants; define them.

2011-03-25  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* Makefile.in: Increment CYGRELEASE to 2.

2011-03-25  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* lib/Makefile.in: Include GDIPLUS_HEADERS in dist target.

2011-03-11  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* include/w32api.h: Increment version to 3.17.
	* Makefile.in: Ditto.

2011-03-07  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* include/winbase.h (PSAPI_WORKING_SET_BLOCK)
	(PSAPI_WORKING_SET_INFORMATION): Move from here...
	* include/psapi.h (PSAPI_WORKING_SET_BLOCK)
	(PSAPI_WORKING_SET_INFORMATION): ...to here.

2011-03-05  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* include/w32api.h: Increment version to 3.16.
	* Makefile.in: Ditto.

2011-03-05  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/commctrl.h (NMTCKEYDOWN): Define.

2011-03-05  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/wtsapi32.h (WTSSendMessageA, WTSSendMessageW, WTSSendMessage):
	Define.

2011-03-05  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/winbase.h (PSAPI_WORKING_SET_BLOCK,
	PSAPI_WORKING_SET_INFORMATION): Define.

2011-03-05  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/winbase.h (__GNUC_EXTENSION): Define, replacing __MINGW_EXTENSION.

2011-03-05  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/kernel32.def (FreeLibraryAndExitThread): Fix definition.

2011-03-04  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/winbase.h (FILE_ENCRYPTABLE, FILE_IS_ENCRYPTED, FILE_READ_ONLY,
	FILE_ROOT_DIR, FILE_SYSTEM_ATTR, FILE_SYSTEM_DIR, FILE_SYSTEM_NOT_SUPPORT,
	FILE_UNKNOWN, FILE_USER_DISALLOWED): Define.

2011-03-04  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/winioctl.h (_DRIVE_LAYOUT_INFORMATION_MBR): Add
	_DRIVE_LAYOUT_INFORMATION_MBR_DEFINED guard.
	* include/ddk/winddk.h (_DRIVE_LAYOUT_INFORMATION_MBR): Ditto.

2011-03-04  Seth Jackson  <sethj@users.sourceforge.net>

	* include/winnt.h (PAGE_WRITECOMBINE): Define.
	* include/winbase.h (THREAD_MODE_BACKGROUND_BEGIN, THREAD_MODE_BACKGROUND_END): Define.

2011-03-04  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/winbase.h (__MINGW_EXTENSION): Define.
	(OVERLAPPED): Add __MINGW_EXTENSION around nameless union /
	struct to correct issue with -std=c99.

2011-03-02  Corinna Vinschen  <corinna@vinschen.de>

	* include/ddk/winddk.h (TIMER_INFORMATION_CLASS): Define.
	(TIMER_BASIC_INFORMATION): Define.
	(NtQueryTimer): Define.
	(ZwQueryTimer): Define.

2010-12-27  David Byron  <dbyron0@users.sourceforge.net>

	* include/winioctl.h (STORAGE_BUS_TYPE): Define.

2010-12-27  Seth Jackson  <sethj@users.sourceforge.net>

	* include/winbase.h (GetComputerNameEx): Define.

2010-12-27  Ryan Lortie  <desrt@desrt.ca>

	* include/winbase.h (TzSpecificLocalTimeToSystemTime): Define.

2010-12-27  Markus Koenig  <basilo@users.sourceforge.net>

	* include/gdiplus/gdipluspixelformats.h (PixelFormatIndexed,
	PixelFormatGDI, PixelFormatAlpha, PixelFormatPAlpha,
	PixelFormatExtended, PixelFormatCanonical, PixelFormatUndefined,
	PixelFormatDontCare, PixelFormat1bppIndexed, PixelFormat4bppIndexed,
	PixelFormat8bppIndexed, PixelFormat16bppGrayScale,
	PixelFormat16bppRGB555, PixelFormat16bppRGB565, PixelFormat16bpp1555,
	PixelFormat24bppRGB, PixelFormat32bppRGB, PixelFormat32bppARGB,
	PixelFormat32bppPARGB, PixelFormat48bppRGB, PixelFormat64bppARGB,
	PixelFormat64bppPARGB, PixelFormatMax): Fix definition.

2010-10-20  Seth Jackson  <sethj@users.sourceforge.net>

	* include/commctrl.h (TC_ITEMHEADER[AW]): Rename to TCITEMHEADER[AW].
	Add defines for backward compatibility.

2010-12-27  Johann Hanne  <jonnyh33@users.sourceforge.net>

	* include/oaidl.h (GetTypeComp, GetTypeComp, IsMatchingType): Fix defintion.
	* include/objidl.h (AddConnection, ReleaseConnection): Ditto.
	* include/winbase.h (EnumResourceLanguagesA, EnumResourceLanguagesW,
	EnumResourceNamesA, EnumResourceNamesW, EnumResourceTypesA,
	EnumResourceTypesW): Ditto.
	* include/winnt.h (_SYSTEM_POWER_CAPABILITIES): Ditto.

2010-12-27  Seth Jackson  <sethj@users.sourceforge.net>

	* include/basetsd.h: (INT8, UINT8, INT16, UINT16): Define.

2010-12-27  Paul Sokolovsky  <pfalcon@users.sf.net>

	* include/bdatypes.h: Add missing semicolons.

2010-08-26  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* include/w32api.h: Increment version to 3.15.
	* Makefile.in: Ditto.

2010-08-26  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* Makefile.in: Update naming convention and compression format (lzma),
	leaving existing naming convention and compression format as is for Cygwin.

2010-08-25  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/oleacc.h (STATE_SYSTEM_HASPOPUP, STATE_SYSTEM_NORMAL,
	STATE_SYSTEM_PROTECTED): Define.

	Thank you to Marcus von Appen for reporting the issue.

2010-08-25  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/winuser.h (CF_DIBV5): Define.
	(CF_MAX): Adjust accordingly.

	Thank you to Lenard Lindstrom for reporting the issue.

2010-08-25  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/sspi.h (QuerySecurityContextToken): Define.
	* lib/secur32.def: Regenerate using gendef on a Win7 machine.

	Thank you to Magnus Hagander for reporting the issue.

2010-08-25  Ali Sabil  <asabil@users.sourceforge.net>

	* include/ocidl.h: Define COBJMACROS for IPropertyBag and IPropertyBag2.

2010-08-25  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/shlwapi (ASSOCDATA): Update definition.

	Thank you to Frederic Deschamps for reporting the issue.

2010-08-25  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/winbase.h (COPY_FILE_OPEN_SOURCE_FOR_WRITE,
	COPY_FILE_ALLOW_DECRYPTED_DESTINATION, COPY_FILE_COPY_SYMLINK,
	COPY_FILE_NO_BUFFERING): Define.

	Thank you to Roland Schwingel for reporting the issue.

2010-08-25  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/winuser.h (HHOOK): Move definition from here...
	* include/windef.h: ...to here, as per MSDN.

	Thank you to Samuel Thibault for reporting the issue.

2010-08-25  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/winbase.h (GetEnvironmentStrings, GetEnvironmentStringsA): Per
	MSDN, change return type to LPCH.
	(GetEnvironmentStringsW): Per MSDN, change return type to LPWCH.

	Thank you to Emmanuel Stapf for reporting the issue.

2010-08-24  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/prsht.h (SNDMDG, POSTMSG): Fix typo.
	* include/windowsx.h (SNDMSG): Ditto.

2010-08-24  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/prsht.h (SNDMSG, POSTMSG): Define macros and use throughout.

	Thank you to Ozkan Sezer for reporting the issue.

2010-08-24  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/windowsx.h (SNDMSG): Define macro and use throughout.

	Thank you to Chris Oldwood for reporting the issue.

2010-08-24  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/oleacc.h (AccessibleObjectFromEvent): Correct definition.

	Thank you to Rick Walsh for reporting the issue.

2010-08-24  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/winbase.h (MoveFileWithProcessA, MoveFileWithProgressW): Define.

2010-08-24  Vinky  <rabbit_vinky@users.sourceforge.net>

	* include/winbase.h (OVERLAPPED): Correct definition.

2010-08-24  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/winnt.h (IMAGE_NT_HEADERS32, IMAGE_NT_HEADERS64): Correct
	definition.

	Thank you to Pasi Ruokola for reporting the issue.

2010-08-24  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/exdisp.h (get_RegisterAsBrowser): Fix typo.

	Thank you to cheznonnon for reporting the issue.

2010-08-24  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/ws2_32.def: Regenerate using gendef on a Win7 machine.

2010-08-24  Ozkan Sezer  <sezero@users.sourceforge.net>

	* winnt.h: Fix several SUBLANG ID errors (ref:
	http://msdn.microsoft.com/en-us/library/dd318693(VS.85).aspx).
	(SUBLANG_UI_CUSTOM_DEFAULT): 0x05, not 0x03.
	(SUBLANG_HAUSA_NIGERIA): Bad ID name, correct one is ...
	(SUBLANG_HAUSA_NIGERIA_LATIN): ... this.
	(SUBLANG_INUKTITUT_CANADA_LATIN): 0x02, not 0x01.
	(SUBLANG_IRISH_IRELAND): 0x02, not 0x01.
	(SUBLANG_LAO_LAO_PDR): Bad ID name, correct one is ...
	(SUBLANG_LAO_LAO): ... this.
	(SUBLANG_LOWER_SORBIAN_GERMANY): 0x02, not 0x01.
	(SUBLANG_SAMI_SKOLT_FINLAND): 0x08, not 0x03.
	(SUBLANG_SAMI_INARI_FINLAND): 0x09, not 0x03.
	(SUBLANG_SYRIAC_SYRIA): define as SUBLANG_SYRIAC (what MSDN mentions).
	(SUBLANG_TIGRIGNA_ERITREA): 0x02, not 0x01.
	(SUBLANG_BENGALI_INDIA): 0x01, not 0x00.
	(SUBLANG_BENGALI_BANGLADESH): 0x02, not 0x01.
	(SUBLANG_PUNJABI_INDIA): 0x01, not 0x00.
	(SUBLANG_PUNJABI_PAKISTAN): not defined in MSDN.
	(SUBLANG_ROMANIAN_ROMANIA): 0x01, not 0x00.
	(SUBLANG_ROMANIAN_MOLDOVA): not defined in MSDN.

2010-08-24  LRN  <lrn1986@gmail.com>

	* include/mmreg.h (MPEGLAYER3WAVEFORMAT, WAVE_FORMAT_UNKNOWN,
	WAVE_FORMAT_PCM, WAVE_FORMAT_ADPCM, WAVE_FORMAT_IEEE_FLOAT,
	WAVE_FORMAT_VSELP, WAVE_FORMAT_IBM_CVSD, WAVE_FORMAT_ALAW,
	WAVE_FORMAT_MULAW, WAVE_FORMAT_OKI_ADPCM, WAVE_FORMAT_DVI_ADPCM,
	WAVE_FORMAT_MEDIASPACE_ADPCM, WAVE_FORMAT_SIERRA_ADPCM,
	WAVE_FORMAT_G723_ADPCM, WAVE_FORMAT_DIGIFIX, WAVE_FORMAT_DIALOGIC_OKI_ADPCM,
	WAVE_FORMAT_MEDIAVISION_ADPCM, WAVE_FORMAT_CU_CODEC,
	WAVE_FORMAT_YAMAHA_ADPCM, WAVE_FORMAT_SONARC,
	WAVE_FORMAT_DSPGROUP_TRUESPEECH, WAVE_FORMAT_ECHOSC1,
	WAVE_FORMAT_AUDIOFILE_AF36, WAVE_FORMAT_APTX, WAVE_FORMAT_AUDIOFILE_AF10,
	WAVE_FORMAT_PROSODY_1612, WAVE_FORMAT_LRC, WAVE_FORMAT_DOLBY_AC2,
	WAVE_FORMAT_GSM610, WAVE_FORMAT_MSNAUDIO, WAVE_FORMAT_ANTEX_ADPCME,
	WAVE_FORMAT_CONTROL_RES_VQLPC, WAVE_FORMAT_DIGIREAL, WAVE_FORMAT_DIGIADPCM,
	WAVE_FORMAT_CONTROL_RES_CR10, WAVE_FORMAT_NMS_VBXADPCM,
	WAVE_FORMAT_ROLAND_RDAC, WAVE_FORMAT_ECHOSC3, WAVE_FORMAT_ROCKWELL_ADPCM,
	WAVE_FORMAT_ROCKWELL_DIGITALK, WAVE_FORMAT_XEBEC, WAVE_FORMAT_G721_ADPCM,
	WAVE_FORMAT_G728_CELP, WAVE_FORMAT_MSG723, WAVE_FORMAT_MPEG,
	WAVE_FORMAT_RT24, WAVE_FORMAT_PAC, WAVE_FORMAT_MPEGLAYER3,
	WAVE_FORMAT_LUCENT_G723, WAVE_FORMAT_CIRRUS, WAVE_FORMAT_ESPCM,
	WAVE_FORMAT_VOXWARE, WAVE_FORMAT_CANOPUS_ATRAC, WAVE_FORMAT_G726_ADPCM,
	WAVE_FORMAT_G722_ADPCM, WAVE_FORMAT_DSAT, WAVE_FORMAT_DSAT_DISPLAY,
	WAVE_FORMAT_VOXWARE_BYTE_ALIGNED, WAVE_FORMAT_VOXWARE_AC8,
	WAVE_FORMAT_VOXWARE_AC10, WAVE_FORMAT_VOXWARE_AC16,
	WAVE_FORMAT_VOXWARE_AC20, WAVE_FORMAT_VOXWARE_RT24,
	WAVE_FORMAT_VOXWARE_RT29, WAVE_FORMAT_VOXWARE_RT29HW,
	WAVE_FORMAT_VOXWARE_VR12, WAVE_FORMAT_VOXWARE_VR18,
	WAVE_FORMAT_VOXWARE_TQ40, WAVE_FORMAT_SOFTSOUND, WAVE_FORMAT_VOXWARE_TQ60,
	WAVE_FORMAT_MSRT24, WAVE_FORMAT_G729A, WAVE_FORMAT_MVI_MV12,
	WAVE_FORMAT_DF_G726, WAVE_FORMAT_DF_GSM610, WAVE_FORMAT_ISIAUDIO,
	WAVE_FORMAT_ONLIVE, WAVE_FORMAT_SBC24, WAVE_FORMAT_DOLBY_AC3_SPDIF,
	WAVE_FORMAT_ZYXEL_ADPCM, WAVE_FORMAT_PHILIPS_LPCBB, WAVE_FORMAT_PACKED,
	WAVE_FORMAT_RHETOREX_ADPCM, WAVE_FORMAT_IRAT, WAVE_FORMAT_VIVO_G723,
	WAVE_FORMAT_VIVO_SIREN, WAVE_FORMAT_DIGITAL_G723,
	WAVE_FORMAT_CREATIVE_ADPCM, WAVE_FORMAT_CREATIVE_FASTSPEECH8,
	WAVE_FORMAT_CREATIVE_FASTSPEECH10, WAVE_FORMAT_QUARTERDECK,
	WAVE_FORMAT_FM_TOWNS_SND, WAVE_FORMAT_BTV_DIGITAL, WAVE_FORMAT_VME_VMPCM,
	WAVE_FORMAT_OLIGSM, WAVE_FORMAT_OLIADPCM, WAVE_FORMAT_OLICELP,
	WAVE_FORMAT_OLISBC, WAVE_FORMAT_OLIOPR, WAVE_FORMAT_LH_CODEC,
	WAVE_FORMAT_NORRIS, WAVE_FORMAT_ISIAUDIO,
	WAVE_FORMAT_SOUNDSPACE_MUSICOMPRESS, WAVE_FORMAT_DVM, WAVE_FORMAT_RAW_AAC1,
	WAVE_FORMAT_MPEG_HEAAC, WAVE_FORMAT_MPEG_ADTS_AAC, WAVE_FORMAT_DRM,
	WAVE_FORMAT_DTS, WAVE_FORMAT_WMAVOICE9, WAVE_FORMAT_WMASPDIF,
	WAVE_FORMAT_WMAUDIO_LOSSLESS, WAVE_FORMAT_WMAUDIO2, WAVE_FORMAT_WMAUDIO3,
	WAVE_FORMAT_MPEG_LOAS, WAVE_FORMAT_RAW_SPORT, WAVE_FORMAT_ESST_AC3,
	WAVE_FORMAT_DTS2): Define.
	* include/msacm.h (HACMDRIVERID, HACMDRIVER, HACMSTREAM, HACMOBJ,
	ACMSTREAMHEADER, WAVEFILTER, acmDriverAddA, acmDriverAddW, acmDriverRemove,
	acmMetrics, acmStreamOpen, acmStreamSize, acmStreamPrepareHeader,
	acmStreamUnprepareHeader, acmStreamReset, acmStreamClose, acmStreamConvert):
	Define.

2010-08-23  LRN  <lrn1986@gmail.com>

	* include/winbase.h (SYMBOLIC_LINK_FLAG_DIRECTORY, FILE_NAME_NORMALIZED,
	FILE_NAME_OPENED, VOLUME_NAME_DOS, VOLUME_NAME_GUID, VOLUME_NAME_NONE,
	VOLUME_NAME_NT, FILE_BASIC_INFO, FILE_STANDARD_INFO, FILE_NAME_INFO,
	FILE_STREAM_INFO, FILE_COMPRESSION_INFO, FILE_ATTRIBUTE_TAG_INFO,
	FILE_ID_BOTH_DIR_INFO, FILE_REMOTE_PROTOCOL_INFO, FILE_INFO_BY_HANDLE_CLASS,
	GetFileInformationByHandleEx, GetFinalPathNameByHandleA,
	GetFinalPathNameByHandleW): Define.

2010-08-22  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/CheckConflicts.sh: New file.

2010-08-21  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/kernel32.def (CopyLZFile, GetExpandedNameA, GetExpandedNameW, LZClose,
	LZCopy, LZInit, LZOpenFileA, LZOpenFileW, LZRead, LZSeek, OpenProcessToken,
	OpenThreadToken, RegCloseKey, RegCreateKeyExA, RegCreateKeyExW,
	RegDeleteKeyExA, RegDeleteKeyExW, RegDeleteValueA, RegDeleteValueW,
	RegEnumKeyExA, RegEnumKeyExW, RegEnumValueA, RegEnumValueW, RegFlushKey,
	RegGetKeySecurity, RegLoadKeyA, RegLoadKeyW, RegNotifyChangeKeyValue,
	RegOpenCurrentUser, RegOpenKeyExA, RegOpenKeyExW, RegOpenUserClassesRoot,
	RegQueryInfoKeyA, RegQueryInfoKeyW, RegQueryValueExA, RegQueryValueExW,
	RegRestoreKeyA, RegRestoreKeyW, RegSetKeySecurity, RegSetValueExA,
	RegSetValueW, RegUnLoadKeyA, RegUnLoadKeyW, RtlCaptureStackBackTrace,
	RtlFillMemory, RtlMoveMemory, RtlZeroMemory, SetThreadToken): Remove
	conflicting definition.
	* lib/th32.def: Remove.
	* lib/ntdll.def (RtlUnwind): Remove conflicting definition.
	* lib/version.def (VerLanguageNameA, VerLanguageNameW): Remove conflicting
	definition.

2010-08-21  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/kernel32.def (CreateProcessAsUserW): Remove definition.

2010-08-20  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/kernel32.def: Regenerate using gendef on a Win7 machine.

2010-08-19  Corinna Vinschen  <corinna@vinschen.de>

	* include/winnt.h: Define FILE_ATTRIBUTE_VIRTUAL.  Change
	FILE_ATTRIBUTE_VALID_FLAGS accordingly.
	* include/ddk/winddk.h: Ditto.

2010-08-18  Ladislav Michl  <ladis@users.sourceforge.net>

	* include/winbase.h (SYMBOLIC_LINK_FLAG_DIRECTORY, CreateSymbolicLinkW,
	CreateSymbolicLinkA, CreateSymbolicLink): Define

2010-07-22  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/kernel32.def(FatalExit): Correct definiton.

2010-07-22  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/basetyps.h (REFGUID, REFIID, REFCLSID, REFFMTID): Revert change
	from 2010-07-17 since it breaks several applications.

2010-07-21  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/kernel32.def: Regenerate using gendef.

2010-07-20  Ozkan Sezer  <sezero@users.sourceforge.net>

	* include/commctrl.h (LVIF_GROUPID): Fix definition.

2010-07-20  Michael James  <james.me@gmail.com>

	* include/commctrl.h (LVIF_COLUMNS): Fix definition.

2010-07-17  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/winnt.h (HEAP_MAKE_TAG_FLAGS, VALID_INHERIT_FLAGS): Correct
	definition.
	* include/rpcndr.h (NdrUnMarshConfStringHdr, NdrUnMarshCCtxtHdl,
	NdrMarshSCtxtHdl): Ditto.
	* include/basetyps.h (REFGUID, REFIID, REFCLSID, REFFMTID): Remove macro
	definition in favour of typedef definition.

	Thank you to Yuta Tomino for reporting the issues.

2010-07-08  Markus Koenig  <basilo@users.sourceforge.net>

	* include/gdiplus.h: New file.
	* include/gdiplus/gdiplus.h: New file.
	* include/gdiplus/gdiplusbase.h: New file.
	* include/gdiplus/gdiplusbrush.h: New file.
	* include/gdiplus/gdipluscolor.h: New file.
	* include/gdiplus/gdipluscolormatrix.h: New file.
	* include/gdiplus/gdipluseffects.h: New file.
	* include/gdiplus/gdiplusenums.h: New file.
	* include/gdiplus/gdiplusflat.h: New file.
	* include/gdiplus/gdiplusgpstubs.h: New file.
	* include/gdiplus/gdiplusgraphics.h: New file.
	* include/gdiplus/gdiplusheaders.h: New file.
	* include/gdiplus/gdiplusimageattributes.h: New file.
	* include/gdiplus/gdiplusimagecodec.h: New file.
	* include/gdiplus/gdiplusimaging.h: New file.
	* include/gdiplus/gdiplusimpl.h: New file.
	* include/gdiplus/gdiplusinit.h: New file.
	* include/gdiplus/gdipluslinecaps.h: New file.
	* include/gdiplus/gdiplusmatrix.h: New file.
	* include/gdiplus/gdiplusmem.h: New file.
	* include/gdiplus/gdiplusmetafile.h: New file.
	* include/gdiplus/gdiplusmetaheader.h: New file.
	* include/gdiplus/gdipluspath.h: New file.
	* include/gdiplus/gdipluspen.h: New file.
	* include/gdiplus/gdipluspixelformats.h: New file.
	* include/gdiplus/gdiplusstringformat.h: New file.
	* include/gdiplus/gdiplustypes.h: New file.
	* lib/gdiplus.c: New file containing GDI+ variable definitions
	and GUIDs.
	* lib/gdiplus.def: New file.
	* lib/Makefile.in: Add gdiplus.o to EXTRA_OBJS,
	add gdiplus.c to SOURCES.
	* lib/test.c: Include gdiplus.h.

2010-06-28  Rick Rankin  <rrankin1424-mingw@yahoo.com>

	* include/psapi.h (PROCESS_MEMORY_COUNTERS_EX, PERFORMANCE_INFORMATION,
	GetPerformanceInfo): Define.
	* lib/psapi.def (GetPerformanceInfo): Define.
	* include/wincrypt.h (CryptEnumProvidersA, CryptEnumProvidersW,
	CryptEnumProviders): Define.

2010-02-17  LRN  <lrn1986@gmail.com>

	* include/shlguid.h (IID_IFolderView): Define.
	* include/shlobj.h (IFolderView interface): Define.
	* lib/shell32.c (IID_IFolderView): Export.

2010-01-26  Chris Sutcliffe  <ir0n3h4d@users.sourceforge.net>

	* include/shldisp.h (AUTOCOMPLETEOPTIONS): Add version guard around
	ACO_WORD_FILTER and ACO_NOPREFIXFILTERING.

2010-01-26  Chris Sutcliffe  <ir0n3h4d@users.sourceforge.net>

	* include/shldisp.h (AUTOCOMPLETEOPTIONS): Add enum.

2009-20-10  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/shlobj.h (SHParseDisplayName): Fix definition.

2009-20-10  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* include/w32api.h: Increment version to 3.14.
	* Makefile.in: Ditto.

2009-20-10  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/shlobj.h (SHParseDisplayName): Define.

	Thanks to James Roberts-Thomson for the report.

2009-20-10  Chris Sutcliffe  <ir0n3h4d@users.sourceforge.net>

	* include/wingdi.h (ENHMFENUMPROC): Correct definition.

	Thanks to Alexander Vassilev for the report.

2009-20-10  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/iprtrmib.h (MIB_IPADDRROW): Correct definition.

	Thanks to Thomas Denk for the report.

2009-20-10  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/winbase.h (UnmapViewOfFile): Correct definition.

	Thanks to Dimitry Sibiryakov for the report.

2009-20-10  Aleksey Chernov  <virxkane@users.sourceforge.net>

	* include/sspi.h: Include ntsecapi.h to correct postgresql build error.

2009-20-10  Heiko Hund  <heiko@ist.eigentlich.net>

	* include/commctrl.h (GetMUILanguage, InitMUILanguage): Add prototypes.
	* lib/comctl32.def (GetMUILanguage, InitMUILanguage): Define.

2009-20-10  Michael James  <james.me@gmail.com>

	* include/wingdi.h (CLEARTYPE_QUALITY): Define.
	* include/winuser.h (WM_KEYLAST): Alternative definition when _WIN32_WINNT
	>= 0x0501.
	(WM_UNICHAR,UNICODE_NOCHAR): Define.
	* lib/comctl32.def (DefSubclassProc@16,GetWindowSubclass@16,
	RemoveWindowSubclass@12): Add exports.
	* lib/gdi32.def (GetDCBrushColor@4,GetDCPenColor@4): Add exports.

2009-20-10  Jarkko Sakkinen  <jarkko.sakkinen@iki.fi>

	* include/winuser.h (WM_TOUCHMOVE, WM_TOUCHDOWN, WM_TOUCHUP,
	TOUCHEVENTF_DOWN, TOUCHEVENTF_INRANGE, TOUCHEVENTF_MOVE,
	TOUCHEVENTF_NOCOALESCE, TOUCHEVENTF_PALM, TOUCHEVENTF_PEN,
	TOUCHEVENTF_PRIMARY, TOUCHEVENTF_UP, TOUCHEVENTMASKF_CONTACTAREA,
	TOUCHEVENTMASKF_EXTRAINFO, TOUCHEVENTMASKF_TIMEFROMSYSTEM, TOUCHINPUT,
	CloseTouchInputHandle, GetTouchInputInfo, IsTouchWindow,
	RegisterTouchWindow, UnregisterTouchWindow): Define.
	* lib/user32.def (CloseTouchInputHandle, GetTouchInputInfo, IsTouchWindow,
	RegisterTouchWindow, UnregisterTouchWindow): Define.

2009-20-10  Dmitry Potapov  <dpotapov@users.sourceforge.net>

	* include/winver.h (VerQueryValue[AW]): Correct definition.

2009-20-10  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/shlobj.h (SHARD): Add enum.
	(SHARD_PATH): Define based on UNICODE.

	Thanks to Jacek Caban for the report.

2009-14-09  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/wingdi.h (_devicemodeW, _devicemodeA): Correct definition.

	Thanks to Bruno Martinez for the report.

2009-14-09  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/shlobj.h (IDO_SHGIOI_SHARE, IDO_SHGIOI_LINK, IDO_SHGIOI_SLOWFILE,
	IDO_SHGIOI_DEFAULT, SHGetIconOverlayIndexW, SHGetIconOverlayIndexA,
	SHGetIconOverlayIndex): Define.

	Thanks to Tim Kosse for the report.

2009-13-09  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/wincon.h (AttachConsole): Correct guard.

	Thanks to Alexander Shaduri for the report.

2009-13-09  Robert Moerland  <rjmoerland@users.sourceforge.net>

	* include/wininet.h (NTERNET_CACHE_ENTRY_INFOW): Correct definition.
	(DeleteUrlCacheEntryW, DeleteUrlCacheEntryA): Define.

2009-13-09  Jacky Lai  <crazyjacky@users.sourceforge.net>

	* include/winerror.h: Fix typos in macro names.

2009-13-09  Jan Nijtmans  <nijtmans@users.sourceforge.net>

	* include/winuser.h (SendMessageTimeoutA, SendMessageTimeoutW): Correct
	definition.

2009-11-09  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/winnt.h (PROCESS_SUSPEND_RESUME): Define.

2009-10-29  Charles Wilson  <mingw@cwilson.fastmail.fm>

	Honor DESTDIR for winsup/mingw and winsup/w32api.
	Detect and report error if installation paths are win32
	format, but DESTDIR is non-empty.

	* Makefile.in (install, uninstall): Use FLAGS_TO_PASS
	when invoking make in subdirs.
	* lib/Makefile.in (DESTDIR): Honor per convention.
	(need-DESTDIR-compatibility): New macro; define it and a
	corresponding rule.
	(fail-DESTDIR-compatibility): New dependency goal.
	(install-libraries, install-headers, uninstall-libraries,
	uninstall-headers): Require need-DESTDIR-compatibility.
	* lib/ddk/Makefile.in: Ditto.
	* lib/directx/Makefile.in: Ditto.

2009-10-04  Corinna Vinschen  <corinna@vinschen.de>

	* include/winbase.h (CreateRestrictedToken): Declare for >= Win 2000.
	_WIN32_WINNT >= 0x0500.
	(DISABLE_MAX_PRIVILEGE, SANDBOX_INERT, LUA_TOKEN,
	WRITE_RESTRICTED): Define.
	(IsTokenRestricted): Declare for >= Win 2000.

2009-08-30  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/wtsapi32.h (WTSQuerySessionInformationA,
	WTSQuerySessionInformationW, WTSQuerySessionInformation, WTSFreeMemory):
	Moved to (_WIN32_WINNT >= 0x0500) guard.
	(thanks to Pierre Ossman)

2009-08-09  Andy Koppe  <andy.koppe@gmail.com>

	* include/winnls.h (IS_HIGH_SURROGATE, IS_LOW_SURROGATE,
	IS_SURROGATE_PAIR): Define.

2009-07-27  Corinna Vinschen  <corinna@vinschen.de>

	* include/winnt.h (FILE_SUPPORTS_HARD_LINKS,
	FILE_SUPPORTS_EXTENDED_ATTRIBUTES, FILE_SUPPORTS_OPEN_BY_FILE_ID,
	FILE_SUPPORTS_USN_JOURNALS): Define.  Add comment.
	* include/ddk/ntifs.h: Ditto.
	(FILE_SEQUENTIAL_WRITE_ONCE, FILE_SUPPORTS_TRANSACTIONS): Define.

2009-07-21  Corinna Vinschen  <corinna@vinschen.de>

	* lib/msimg32.def (GetDCBrushColor, GetDCPenColor): Move entry points
	from here...
	* lib/gdo32.dll: ...to here.

2009-07-01  Corinna Vinschen  <corinna@vinschen.de>

	* lib/comctl32.def (StrCSpnA@8, StrCSpnIA@8, StrCSpnW@8, StrChrA@8,
	StrChrIA@8, StrChrIW@8, StrChrW@8, StrCmpNA@12, StrCmpNIA@12,
	StrCmpNIW@12, StrCmpNW@12, StrRChrA@12, StrRChrIA@12, StrRChrW@12,
	StrRStrIA@12, StrRStrIW@12, StrStrA@8, StrStrIA@8, StrStrIW@8,
	StrStrW@8, StrToIntA@4, StrToIntW@4): Remove erroneously defined
	entry points.

2009-06-24  Corinna Vinschen  <corinna@vinschen.de>

	* include/wtsapi32.h (WTSQueryUserToken, WTSEnumerateSessionsW,
	WTSEnumerateSessionsA): Add function prototypes.
	(struct _WTS_SESSION_INFOW, struct _WTS_SESSION_INFOA): Add typedefs.
	(WTS_SESSION_INFO, PWTS_SESSION_INFO, WTSEnumerateSessions): Add
	defines dependent on UNICODE setting.

2009-06-07  Corinna Vinschen  <corinna@vinschen.de>

	* include/ddk/ntapi.h: Add NtXxx equivalent to ZwXxx where missing
	and vice versa.
	* include/ddk/ntifs.h: Ditto.
	* include/ddk/winddk.h: Ditto.
	* lib/ntdll.def (NtPlugPlayControl, NtQueryInstallUILanguage,
	ZwPlugPlayControl, ZwQueryInstallUILanguage): Add entry points defined
	in header, but missing in lib.  Omit NT4-only entry points.

2009-05-01  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/shellapi.h (SHIL_LARGE, SHIL_SMALL, SHIL_EXTRALARGE,
	SHIL_SYSSMALL, SHIL_JUMBO, SHIL_LAST SHIL_JUMBO, SHGetImageList): Define.
	* lib/shell32.def (SHGetImageList): Define.

2009-02-18  Corinna Vinschen  <corinna@vinschen.de>

	* winnt.h: Add Vista token security extensions.
	(SID_HASH_SIZE): Define.
	(TOKEN_MANDATORY_POLICY_OFF, TOKEN_MANDATORY_POLICY_NO_WRITE_UP,
	TOKEN_MANDATORY_POLICY_NEW_PROCESS_MIN,
	TOKEN_MANDATORY_POLICY_VALID_MASK): Define.
	(SID_HASH_ENTRY): Define.
	(struct _SID_AND_ATTRIBUTES_HASH): Define.
	(struct _TOKEN_LINKED_TOKEN): Define.
	(struct _TOKEN_MANDATORY_LABEL): Define.
	(struct _TOKEN_MANDATORY_POLICY): Define.
	(struct _TOKEN_ELEVATION): Define.
	(struct _TOKEN_ACCESS_INFORMATION): Define.
	(enum _TOKEN_INFORMATION_CLASS): Conditionally define new Vista token
	information enumeration values.

2009-02-09  Corinna Vinschen  <corinna@vinschen.de>

	* include/winioctl.h (FSCTL_ALLOW_EXTENDED_DASD_IO): Copy definition
	from ddk/ntifs.h.

2009-02-06  Linton Miller  <Linton.Miller@trivininc.com>

	* include/wtsapi32.h (WTS_CURRENT_SESSION): Fix definition.

2009-01-19  Corinna Vinschen  <corinna@vinschen.de>

	* include/winbase.h (enum _DEP_SYSTEM_POLICY_TYPE): Fix version guard.

2009-01-11  Henry Nestler  <henry@bigfoot.de>

	* lib/ddk/ntoskrnl.def: Enable ZwQueryEaFile, ZwSetEaFile, NtQueryEaFile,
	NtSetEaFile.

2009-01-07  Corinna Vinschen  <corinna@vinschen.de>

	* include/winbase.h (SCS_64BIT_BINARY): Define.

2008-12-05  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* include/w32api.h: Increment version to 3.13.
	* Makefile.in: Ditto.

2008-12-05  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* lib/glut.def: remove.
	* lib/glut32.def: ditto.

2008-11-11  Corinna Vinschen  <corinna@vinschen.de>

	* include/winbase.h (PROCESS_DEP_ENABLE,
	PROCESS_DEP_DISABLE_ATL_THUNK_EMULATION): Define for >= Vista SP1.
	(enum _DEP_SYSTEM_POLICY_TYPE): Ditto.
	(GetProcessDEPPolicy, GetSystemDEPPolicy, SetProcessDEPPolicy): Ditto.

2008-10-09  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* include/mmsystem.h (sndAlias): Correct GCC4 warning.

2008-10-04  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* include/shellapi.h (NOTIFYICON_VERSION_4): Define.

2008-09-25  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* include/vfw.h (capSendMessage): Rename to __capSendMessage.

2008-09-24  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* include/vfw.h (WM_CAP_SET_CALLBACK_ERRORA, WM_CAP_SET_CALLBACK_ERRORW,
	WM_CAP_SET_CALLBACK_STATUS, WM_CAP_SET_CALLBACK_YIELD,
	WM_CAP_SET_CALLBACK_FRAMEA, WM_CAP_SET_CALLBACK_FRAMEW,
	WM_CAP_SET_CALLBACK_VIDEOSTREAM, WM_CAP_SET_CALLBACK_WAVESTREAM,
	WM_CAP_GET_USER_DATA, WM_CAP_SET_USER_DATA, WM_CAP_DRIVER_CONNECT,
	WM_CAP_DRIVER_DISCONNECT, WM_CAP_DRIVER_GET_NAMEA, WM_CAP_DRIVER_GET_NAMEW,
	WM_CAP_DRIVER_GET_VERSIONA, WM_CAP_DRIVER_GET_VERSIONW,
	WM_CAP_DRIVER_GET_CAPS, WM_CAP_FILE_SET_CAPTURE_FILEA,
	WM_CAP_FILE_SET_CAPTURE_FILEW, WM_CAP_FILE_GET_CAPTURE_FILEA,
	WM_CAP_FILE_GET_CAPTURE_FILEW, WM_CAP_FILE_ALLOCATE, WM_CAP_FILE_SAVEASA,
	WM_CAP_FILE_SAVEASW, WM_CAP_FILE_SET_INFOCHUNK, WM_CAP_FILE_SAVEDIBA,
	WM_CAP_FILE_SAVEDIBW, WM_CAP_EDIT_COPY, WM_CAP_SET_AUDIOFORMAT,
	WM_CAP_GET_AUDIOFORMAT, WM_CAP_DLG_VIDEOFORMAT, WM_CAP_DLG_VIDEOSOURCE,
	WM_CAP_DLG_VIDEODISPLAY, WM_CAP_GET_VIDEOFORMAT, WM_CAP_SET_VIDEOFORMAT,
	WM_CAP_DLG_VIDEOCOMPRESSION, WM_CAP_SET_PREVIEW, WM_CAP_SET_OVERLAY,
	WM_CAP_SET_PREVIEWRATE, WM_CAP_SET_SCALE, WM_CAP_GET_STATUS,
	WM_CAP_SET_SCROLL, WM_CAP_GRAB_FRAME, WM_CAP_GRAB_FRAME_NOSTOP,
	WM_CAP_SEQUENCE, WM_CAP_SEQUENCE_NOFILE, WM_CAP_SET_SEQUENCE_SETUP,
	WM_CAP_GET_SEQUENCE_SETUP, WM_CAP_SET_MCI_DEVICEA, WM_CAP_SET_MCI_DEVICEW,
	WM_CAP_GET_MCI_DEVICEA, WM_CAP_GET_MCI_DEVICEW, WM_CAP_STOP, WM_CAP_ABORT,
	WM_CAP_SINGLE_FRAME_OPEN, WM_CAP_SINGLE_FRAME_CLOSE, WM_CAP_SINGLE_FRAME,
	WM_CAP_PAL_OPENA, WM_CAP_PAL_OPENW, WM_CAP_PAL_SAVEA, WM_CAP_PAL_SAVEW,
	WM_CAP_PAL_PASTE, WM_CAP_PAL_AUTOCREATE, WM_CAP_PAL_MANUALCREATE,
	WM_CAP_SET_CALLBACK_CAPCONTROL): Define using WM_USER.
	(capSendMessage): Don't undef.

2008-09-21  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* incude/sspi.h: include subauth.h to fix issue of UNICODE_STRING being
	undefined.

2008-09-13  mega-squall  <mega-squall@users.sf.net>

	* include/winnt.h (SUBLANG_BENGALI_INDIA, SUBLANG_PUNJABI_INDIA,
	SUBLANG_ROMANIAN_ROMANIA): Correct definition.
	(SUBLANG_BENGALI_BANGLADESH, SUBLANG_PUNJABI_PAKISTAN,
	SUBLANG_ROMANIAN_MOLDOVA): Define.

2008-09-11  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* include/shlwapi.h (ASSOCSTR): Update enum.

2008-09-07  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* include/w32api.h: Increment version to 3.12.
	* Makefile.in: Ditto.

2008-09-07  Michael Hentschel  <mikeh42@users.sourceforge.net>

	* include/shlwapi.h (STIF_DEFAULT, STIF_SUPPORT_HEX): Define.

2008-09-07  alsemm  <alsemm@users.sourceforge.net>

	* include/mlang.h (IMLangFontLink2::MapFont): Fix definition.

2008-09-07  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/ws2tcpip.h (IPV6_MREQ): Fix typo.
	Thanks to Richard Hughes for report.

2008-09-06  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* Makefile.in: Adjust to new naming standard for MinGW while maintaining old
	naming standard for Cygwin.

2008-08-30  Bo Yang  <techrazy@users.sourceforge.net>

	* include/sspi.h: Fix PSecurityFunctionTableW structure.

2008-08-29  Andy Grover  <andy.grover@oracle.com>

	* include/ddk/scsi.h: Define READ_TOC formats.
	* lib/ddk/scsiport.def (ScsiPortGetDeviceBase): Fix export.

2008-08-29  Andy Grover  <andy.grover@oracle.com>

	* include/ddk/ndis.h (NDIS_MINIPORT_MAJOR_VERSION, NDIS_MINIPORT_MINOR_VERSION,
	struct NDIS_TASK_OFFLOAD_HEADER, PROTOCOL_RESERVED_SIZE_IN_PACKET,
	NdisGetFirstBufferFromPacketSafe, NdisMIndicateReceivePacket,
	NdisSetPacketPoolProtocolId, NdisMInitializeTimer, NdisMSetPeriodicTimer,
	NdisMCancelTimer): Define.
	(enum NDIS_ENCAPSULATION, struct NDIS_ENCAPSULATION_FORMAT): move in file.
	(struct _NDIS_PACKET): Define using _ANONYMOUS_UNION and ANONYMOUS_STRUCT to
	eliminate warnings.
	(NdisReinitializePacket): Rename from NdisReinitializePacketCounts.
	* lib/ddk/ndis.def (NdisInitAnsiString, NdisInitUnicodeString, NdisMCancelTimer,
	NdisMInitializeTimer, NdisMSetPeriodicTimer, NdisSetPacketPoolProtocolId):
	Export.

2008-08-29  Andy Grover  <andy.grover@oracle.com>

	* include/ddk/winddk.h (RtlStringCbCopyA, RtlStringCbPrintfA,
	RtlStringCbVPrintfA): define in terms of POSIX string functions.

2008-08-29  Andy Grover  <andy.grover@oracle.com>

	* include/ddk/winddk.h (KeRaiseIrql): Define.
	(KfRaiseIrql, KfLowerIrql): remove incorrect definitions.

2008-08-29  Andy Grover  <andy.grover@oracle.com>

	* include/ddk/winddk.h (KeFlushQueuedDpcs, KeMemoryBarrier): Define.
	(KeGetCurrentProcessorNumber): Fix incorrect member reference.
	(InterlockedIncrement, InterlockedDecrement): fix warning.
	* lib/ddk/ntoskrnl.def (KeFlushQueuedDpcs, KeMemoryBarrier): Export.
	(KeNumberProcessors): Export.

2008-08-22  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/shlwapi.h (ASSOCF_INIT_NOREMAPCLSID, ASSOCF_INIT_BYEXENAME,
	ASSOCF_OPEN_BYEXENAME, ASSOCF_INIT_DEFAULTTOSTAR,
	ASSOCF_INIT_DEFAULTTOFOLDER, ASSOCF_NOUSERSETTINGS, ASSOCF_NOTRUNCATE,
	ASSOCF_VERIFY, ASSOCF_REMAPRUNDLL, ASSOCF_NOFIXUPS, ASSOCF_IGNOREBASECLASS,
	ASSOCF_INIT_IGNOREUNKNOWN): Define.

2008-08-22  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/commctrl.h (LVN_MARQUEEBEGIN): Define.

	Thanks to Tim Kosse <botg at users dot sf dot net>.

2008-08-22  Bo Yang  <techrazy@users.sourceforge.net>

	* include/winnt.h (OWNER_SECURITY_INFORMATION, GROUP_SECURITY_INFORMATION,
	DACL_SECURITY_INFORMATION, SACL_SECURITY_INFORMATION): Correct.
	* include/winnt.h (OWNER_SECURITY_INFORMATION, GROUP_SECURITY_INFORMATION,
	DACL_SECURITY_INFORMATION, SACL_SECURITY_INFORMATION,
	LABEL_SECURITY_INFORMATION, UNPROTECTED_SACL_SECURITY_INFORMATION,
	UNPROTECTED_DACL_SECURITY_INFORMATION, PROTECTED_SACL_SECURITY_INFORMATION,
	PROTECTED_DACL_SECURITY_INFORMATION): Define.

2008-08-19  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/wtsapi32.h (_WTS_INFO_CLASS, _WTS_CONNECTSTATE_CLASS,
	WTSQuerySessionInformation, WTSFreeMemory): Define.

2008-07-25  Bo Yang  <techrazy@users.sourceforge.net>

	* lib/gdi32.def (SetLayout): Export.

2008-07-25  Bo Yang  <techrazy@users.sourceforge.net>

	* include/wincrypt.h (struct _CRYPT_KEY_PROV_PARAM,
	struct _CRYPT_KEY_PROV_INFO, CertGetCertificateContextProperty,
	CryptEnumKeyIdentifierProperties, CryptAcquireCertificatePrivateKey,
	CertCreateCertificateContext, CryptGetKeyIdentifierProperty,
	CertSetCertificateContextProperty, CertCompareCertificateName,
	CryptSetKeyIdentifierProperty, CertOIDToAlgId, CryptGetDefaultProviderA,
	CryptGetDefaultProviderW and many corresponding macroes): Define.
	* lib/crypt32.def (Export the above 11 functions): Export.
	* include/winerror.h (CRYPT_E_NOT_FOUND and other crypt related
	macroes): Define.


2008-07-24  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/winuser.h (MENUGETOBJECTINFO, MNGO_NOINTERFACE, MNGO_NOERROR,
	MNGOF_TOPGAP, MNGOF_BOTTOMGAP): Define.

2008-07-24  techrazy  <techrazy@users.sourceforge.net>

	* include/wingdi.h (OUT_PS_ONLY_PRECIS): Define.

2008-07-24  Corinna Vinschen  <corinna@vinschen.de>

	* include/lmaccess.h (struct _USER_INFO_4): Define.
	(struct _USER_INFO_23): Define.
	(struct _GROUP_INFO_3): Define.

2008-07-14  Corinna Vinschen  <corinna@vinschen.de>

	* include/iphlpapi.h (GetExtendedTcpTable): Add prototype.
	* include/iprtrmib.h (TCP_TABLE_CLASS, MIB_TCPROW_OWNER_PID,
	MIB_TCPTABLE_OWNER_PID, MIB_TCP6ROW_OWNER_PID,
	MIB_TCP6TABLE_OWNER_PID): Define.
	* lib/iphlpapi.def (GetExtendedTcpTable): Export.

2008-06-25  Brandon Sneed  <nivenh@sourceware.org>

	* include/winbase.h (GetProcessHandleCount, GetSystemRegistryQuota,
	GetThreadIOPendingFlag): Modified to rely on _WIN32_WINNT 0x0501 instead
	of 0x0502.
	Bug reported by Thomas Denk.

2008-06-25  Brandon Sneed  <nivenh@sourceware.org>

	* include/winbase.h (InterlockedIncrement, InterlockedDecrement,
	InterlockedCompareExchange, InterlockedExchange,
	InterlockedCompareExchangePointer, InterlockedExchangeAdd,
	InterlockedExchangePointer): Modified from PLONG to LONG volatile *.
	Bug reported by Erik Blake.

2008-06-20  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/ddk/hal.def (HalTranslateBusAddress): Correct suffix.
	* lib/ddk/ntoskrnl.def (MmAllocateContiguousMemory): Correct suffix.
	Bug reported by Brian Hawley.

2008-06-17  Corinna Vinschen  <corinna@vinschen.de>

	* include/dsgetdc.h (DS_FORCE_REDISCOVERY, DS_FORCE_REDISCOVERY,
	DS_DIRECTORY_SERVICE_REQUIRED, DS_DIRECTORY_SERVICE_PREFERRED,
	DS_GC_SERVER_REQUIRED, DS_PDC_REQUIRED, DS_BACKGROUND_ONLY,
	DS_IP_REQUIRED, DS_KDC_REQUIRED, DS_TIMESERV_REQUIRED,
	DS_WRITABLE_REQUIRED, DS_GOOD_TIMESERV_PREFERRED, DS_AVOID_SELF,
	DS_ONLY_LDAP_NEEDED, DS_IS_FLAT_NAME, DS_IS_DNS_NAME,
	DS_RETURN_DNS_NAME, DS_RETURN_FLAT_NAME): Define.
	(DsGetDcNameW, DsGetDcNameA): Declare.
	(DsGetDcName): Define.
	* lib/netapi32.def (DsGetDcNameA, DsGetDcNameW): Export.

2008-05-28  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* include/commctrl.h (NMLVODSTATECHANGE): Define.

	Thanks to Tim Kosse <botg at users dot sf dot net>.

2008-05-28  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* include/winnt.h (SUBLANG_TIBETAN_BHUTAN): Fix definition.

	Thanks to Nicola Di Nisio <nicoladinisio at users dot sf dot net>.

2008-05-15  Corinna Vinschen  <corinna@vinschen.de>

	* include/winnt.h (FILE_SEQUENTIAL_WRITE_ONCE): Define.
	(FILE_SUPPORTS_TRANSACTIONS): Define.

2008-05-01  Bart Oldeman  <bartoldeman@users.sf.net>

	* include/winuser.h (DEVICE_NOTIFY_WINDOW_HANDLE,
	DEVICE_NOTIFY_SERVICE_HANDLE): remove duplicate definition.

2008-05-02  Ramiro Polla  <ramiro@lisha.ufsc.br>

	* include/vfw.h (WM_CAP_SET_CALLBACK_ERRORA, WM_CAP_SET_CALLBACK_ERRORW,
	WM_CAP_SET_CALLBACK_STATUS, WM_CAP_SET_CALLBACK_YIELD,
	WM_CAP_SET_CALLBACK_FRAMEA, WM_CAP_SET_CALLBACK_FRAMEW,
	WM_CAP_SET_CALLBACK_VIDEOSTREAM, WM_CAP_SET_CALLBACK_WAVESTREAM,
	WM_CAP_GET_USER_DATA, WM_CAP_SET_USER_DATA, WM_CAP_DRIVER_CONNECT,
	WM_CAP_DRIVER_DISCONNECT, WM_CAP_DRIVER_GET_NAMEA, WM_CAP_DRIVER_GET_NAMEW,
	WM_CAP_DRIVER_GET_VERSIONA, WM_CAP_DRIVER_GET_VERSIONW,
	WM_CAP_DRIVER_GET_CAPS, WM_CAP_FILE_SET_CAPTURE_FILEA,
	WM_CAP_FILE_SET_CAPTURE_FILEW, WM_CAP_FILE_GET_CAPTURE_FILEA,
	WM_CAP_FILE_GET_CAPTURE_FILEW, WM_CAP_FILE_ALLOCATE, WM_CAP_FILE_SAVEASA,
	WM_CAP_FILE_SAVEASW, WM_CAP_FILE_SET_INFOCHUNK, WM_CAP_FILE_SAVEDIBA,
	WM_CAP_FILE_SAVEDIBW, WM_CAP_EDIT_COPY, WM_CAP_SET_AUDIOFORMAT,
	WM_CAP_GET_AUDIOFORMAT, WM_CAP_DLG_VIDEOFORMAT, WM_CAP_DLG_VIDEOSOURCE,
	WM_CAP_DLG_VIDEODISPLAY, WM_CAP_GET_VIDEOFORMAT, WM_CAP_SET_VIDEOFORMAT,
	WM_CAP_DLG_VIDEOCOMPRESSION, WM_CAP_SET_PREVIEW, WM_CAP_SET_OVERLAY,
	WM_CAP_SET_PREVIEWRATE, WM_CAP_SET_SCALE, WM_CAP_GET_STATUS,
	WM_CAP_SET_SCROLL, WM_CAP_GRAB_FRAME, WM_CAP_GRAB_FRAME_NOSTOP,
	WM_CAP_SEQUENCE, WM_CAP_SEQUENCE_NOFILE, WM_CAP_SET_SEQUENCE_SETUP,
	WM_CAP_GET_SEQUENCE_SETUP, WM_CAP_SET_MCI_DEVICEA, WM_CAP_SET_MCI_DEVICEW,
	WM_CAP_GET_MCI_DEVICEA, WM_CAP_GET_MCI_DEVICEW, WM_CAP_STOP, WM_CAP_ABORT,
	WM_CAP_SINGLE_FRAME_OPEN, WM_CAP_SINGLE_FRAME_CLOSE, WM_CAP_SINGLE_FRAME,
	WM_CAP_PAL_OPENA, WM_CAP_PAL_OPENW, WM_CAP_PAL_SAVEA, WM_CAP_PAL_SAVEW,
	WM_CAP_PAL_PASTE, WM_CAP_PAL_AUTOCREATE, WM_CAP_PAL_MANUALCREATE,
	WM_CAP_SET_CALLBACK_CAPCONTROL, WM_CAP_SET_CALLBACK_ERROR,
	WM_CAP_SET_CALLBACK_FRAME, WM_CAP_DRIVER_GET_NAME,
	WM_CAP_DRIVER_GET_VERSION, WM_CAP_FILE_SET_CAPTURE_FILE,
	WM_CAP_FILE_GET_CAPTURE_FILE, WM_CAP_FILE_SAVEAS, WM_CAP_FILE_SAVEDIB,
	WM_CAP_SET_MCI_DEVICE, WM_CAP_GET_MCI_DEVICE, WM_CAP_PAL_OPEN,
	WM_CAP_PAL_SAVE, capSetCallbackOnError, capSetCallbackOnStatus,
	capSetCallbackOnYield, capSetCallbackOnFrame, capSetCallbackOnVideoStream,
	capSetCallbackOnWaveStream, capGetUserData, capSetUserData,
	capDriverConnect, capDriverDisconnect, capDriverGetName,
	capDriverGetVersion, capDriverGetCaps, capFileSetCaptureFile,
	capFileGetCaptureFile, capFileAlloc, capFileSaveAs, capFileSetInfoChunk,
	capFileSaveDIB, capEditCopy, capSetAudioFormat, capGetAudioFormat,
	capGetAudioFormatSize, capDlgVideoFormat, capDlgVideoSource,
	capDlgVideoDisplay, capGetVideoFormat, capGetVideoFormatSize,
	capSetVideoFormat, capDlgVideoCompression, capPreview, capOverlay,
	capPreviewRate, capPreviewScale, capGetStatus, capSetScrollPos,
	capGrabFrame, capGrabFrameNoStop, capCaptureSequence,
	capCaptureSequenceNoFile, capCaptureSetSetup, capCaptureGetSetup,
	capSetMCIDeviceName, capGetMCIDeviceName, capCaptureStop, capCaptureAbort,
	capCaptureSingleFrameOpen, capCaptureSingleFrameClose,
	capCaptureSingleFrame, capPaletteOpen, capPaletteSave, capPalettePaste,
	capPaletteAuto, capPaletteManual, capSetCallbackOnCapControl): Define.
	(CAPDRIVERCAPS, *LPCAPDRIVERCAPS, CAPINFOCHUNK, *LPCAPINFOCHUNK, CAPSTATUS,
	*LPCAPSTATUS, CAPTUREPARMS, *LPCAPTUREPARMS, VIDEOHDR, *LPVIDEOHDR): typedef.

2008-04-26  Yuval  <uvman@users.sourceforge.net>

	* include/ntsecpkg.h (SECPKG_STATE_ENCRYPTION_PERMITTED,
	SECPKG_STATE_STRONG_ENCRYPTION_PERMITTED, SECPKG_STATE_DOMAIN_CONTROLLER,
	SECPKG_STATE_WORKSTATION, SECPKG_STATE_STANDALONE,
	LSA_TOKEN_INFORMATION_TYPE, SECPKG_EXTENDED_INFORMATION_CLASS,
	SECPKG_NAME_TYPE, SECPKG_PRIMARY_CRED, SECPKG_SUPPLEMENTAL_CRED,
	SECPKG_SUPPLEMENTAL_CRED_ARRAY, SECPKG_PARAMETERS,
	SECPKG_EVENT_DOMAIN_CHANGE, SECPKG_CLIENT_INFO, SecurityUserData,
	SECPKG_GSS_INFO, SECPKG_CONTEXT_THUNKS, SECPKG_MUTUAL_AUTH_LEVEL,
	SECPKG_CALL_INFO, SECPKG_EXTENDED_INFORMATION, PLSA_CALLBACK_FUNCTION,
	*PLSA_CLIENT_REQUEST, LSA_SEC_HANDLE, SEC_THREAD_START, SEC_ATTRS,
	*PLSA_REGISTER_CALLBACK, *PLSA_CREATE_LOGON_SESSION,
	*PLSA_DELETE_LOGON_SESSION, *PLSA_ADD_CREDENTIAL, *PLSA_GET_CREDENTIALS,
	*PLSA_DELETE_CREDENTIAL, *PLSA_ALLOCATE_LSA_HEAP, *PLSA_FREE_LSA_HEAP,
	*PLSA_ALLOCATE_CLIENT_BUFFER, *PLSA_FREE_CLIENT_BUFFER,
	*PLSA_COPY_TO_CLIENT_BUFFER, *PLSA_COPY_FROM_CLIENT_BUFFER,
	*PLSA_IMPERSONATE_CLIENT, *PLSA_UNLOAD_PACKAGE, *PLSA_DUPLICATE_HANDLE,
	*PLSA_SAVE_SUPPLEMENTAL_CREDENTIALS, *PLSA_CREATE_THREAD,
	*PLSA_GET_CLIENT_INFO, *PLSA_REGISTER_NOTIFICATION,
	*PLSA_CANCEL_NOTIFICATION, *PLSA_MAP_BUFFER, *PLSA_CREATE_TOKEN,
	*PLSA_AUDIT_LOGON, *PLSA_CALL_PACKAGE, *PLSA_FREE_LSA_HEAP,
	*PLSA_GET_CALL_INFO, *PLSA_CALL_PACKAGEEX, *PLSA_CREATE_SHARED_MEMORY,
	*PLSA_ALLOCATE_SHARED_MEMORY, *PLSA_FREE_SHARED_MEMORY,
	*PLSA_DELETE_SHARED_MEMORY, *PLSA_OPEN_SAM_USER, *PLSA_GET_USER_CREDENTIALS,
	*PLSA_GET_USER_AUTH_DATA, *PLSA_CLOSE_SAM_USER,
	*PLSA_CONVERT_AUTH_DATA_TO_TOKEN, *PLSA_CLIENT_CALLBACK,
	*PLSA_UPDATE_PRIMARY_CREDENTIALS, *PLSA_GET_AUTH_DATA_FOR_USER,
	*PLSA_CRACK_SINGLE_NAME, *PLSA_AUDIT_ACCOUNT_LOGON,
	*PLSA_CALL_PACKAGE_PASSTHROUGH, SECPKG_DLL_FUNCTIONS, LSA_DISPATCH_TABLE,
	LSA_SECPKG_FUNCTION_TABLE, *PLSA_AP_INITIALIZE_PACKAGE, *PLSA_AP_LOGON_USER,
	*PLSA_AP_CALL_PACKAGE, *PLSA_AP_LOGON_TERMINATED,
	*PLSA_AP_CALL_PACKAGE_UNTRUSTED, *PLSA_AP_CALL_PACKAGE_PASSTHROUGH,
	*PLSA_AP_LOGON_USER_EX, *PLSA_AP_LOGON_USER_EX2, SpInitializeFn,
	SpShutDownFn, SpGetInfoFn, SpAcceptCredentialsFn,
	SpAcquireCredentialsHandleFn, SpQueryCredentialsAttributesFn,
	SpFreeCredentialsHandleFn, SpSaveCredentialsFn, SpGetCredentialsFn,
	SpDeleteCredentialsFn, SpInitLsaModeContextFn, SpAcceptLsaModeContextFn,
	SpDeleteContextFn, SpApplyControlTokenFn, SpGetUserInfoFn,
	SpGetExtendedInformationFn, SpQueryContextAttributesFn, SpAddCredentialsFn,
	SpSetExtendedInformationFn, SpInstanceInitFn, SpInitUserModeContextFn,
	SpMakeSignatureFn, SpVerifySignatureFn, SpSealMessageFn, SpUnsealMessageFn,
	SpGetContextTokenFn, SpCompleteAuthTokenFn, SpFormatCredentialsFn,
	SpMarshallSupplementalCredsFn, SpExportSecurityContextFn,
	SpImportSecurityContextFn, SECPKG_FUNCTION_TABLE,
	SECPKG_USER_FUNCTION_TABLE, *SpLsaModeInitializeFn,
	*SpUserModeInitializeFn): Define.
	* include/sspi.h (SECURITY_STRING): Define.

2008-04-26  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/specstrings.h: Add more dummy defines.

2008-04-22  Corinna Vinschen  <corinna@vinschen.de>

	* include/winnt.h (SECURITY_MANDATORY_LABEL_AUTHORITY): Define.
	(SECURITY_MANDATORY_UNTRUSTED_RID): Define.
	(SECURITY_MANDATORY_LOW_RID): Define.
	(SECURITY_MANDATORY_MEDIUM_RID): Define.
	(SECURITY_MANDATORY_HIGH_RID): Define.
	(SECURITY_MANDATORY_SYSTEM_RID): Define.
	(SECURITY_MANDATORY_PROTECTED_PROCESS_RID): Define.
	(SECURITY_MANDATORY_MAXIMUM_USER_RID): Define.
	(SE_GROUP_INTEGRITY): Define.
	(SE_GROUP_INTEGRITY_ENABLED): Define.

2008-04-11  Corinna Vinschen  <corinna@vinschen.de>

	* include/sddl.h (ConvertStringSidToSidA): Declare.
	(ConvertStringSidToSidW): Declare.
	(ConvertStringSidToSid): Define.

2008-03-19  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/mprapi.h: Add guard for MprAdminAcceptReauthentication function
	and MPR_INTERFACE_3 structure since they are available only in Windows
	Server 2008

	Thanks to crackedmind  <crackedmind at sf dot net>.

2008-02-24  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/winnt.h: Update guard around KEY_WOW64_64KEY and KEY_WOW64_32KEY
	definitions.
	* include/winreg.h (KEY_WOW64_64KEY, KEY_WOW64_32KEY): Remove.

2008-02-23  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/winnt.h (KEY_WOW64_64KEY, KEY_WOW64_32KEY): Define.

2008-02-02  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/specstrings.h (IN, OUT, OPTIONAL): Remove.
	* include/windef.h (IN, OUT, OPTIONAL): Define.

2008-02-02  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/specstrings.h: new file, move pseudo modifiers from windef.h.
	* include/windef.h (__in, __inout, __in_opt, __in_bcound, __in_ecount,
	__out, __out_ecount_part, __struct_bcount, __field_ecount_opt,
	__out_bcount_opt): Move to specstrings.h.

2008-01-30  Brandon Sneed  <nivenh@sourceware.org>

	* lib/bthprops.def: new file, bluetooth imports.

2008-01-30  Brandon Sneed  <nivenh@sourceware.org>

	* include/windef.h (__in, __inout, __in_opt, __in_bcound, __in_ecount,
	__out, __out_ecount_part, __struct_bcount, __field_ecount_opt,
	__out_bcount_opt): Defined additional pseudo-modifiers.

2008-01-29  Brandon Sneed  <nivenh@sourceware.org>
	* include/ras.h (RAS_MaxDnsSuffix): corrected typo, was RAX_MaxDnsSuffix.
	(RASENTRYA, RASENTRYW): Added members (dwfOptions2, dwfOptions3, szDnsSuffix,
	dwTcpWindowSize, szPrerequisitePbk, szPrerequisiteEntry, dwRedialCount,
	dwRedialPause.

2008-01-29  Brandon Sneed  <nivenh@sourceware.org>

	* include/winnt.h (SYSTEM_POWER_CONDITION): typedef.
	* include/winuser.h (PBT_POWERSETTINGCHANGE, DEVICE_NOTIFY_WINDOW_HANDLE,
	DEVICE_NOTIFY_SERVICE_HANDLE): define.
	* include/winuser.h (LPCGUID, HPOWERNOTIFY, POWERBROADCAST_SETTING): typedefs.
	* include/winuser.h (GUID_POWERSCHEME_PERSONALITY, GUID_MIN_POWER_SAVINGS,
	GUID_MAX_POWER_SAVINGS, GUID_TYPICAL_POWER_SAVINGS, GUID_ACDC_POWER_SOURCE,
	GUID_BATTERY_PERCENTAGE_REMAINING, GUID_IDLE_BACKGROUND_TASK,
	GUID_SYSTEM_AWAYMODE, GUID_MONITOR_POWER_ON): added externs for GUIDs.
	* include/winuser.h (RegisterPowerSettingNotification,
	UnregisterPowerSettingNotification): Add prototypes.
	* lib/user32.def: Added imports for the above prototypes.
	* lib/Makefile.in: Added build support for power-uuid.c.
	* lib/power-uuid.c: New file containing power GUID definitions.

2008-01-29  Brandon Sneed  <nivenh@sourceware.org>

	* include/ras.h (RAS_MaxDnsSuffix): define.

2008-01-29  Brandon Sneed  <nivenh@sourceware.org>

	* include/psapi.h (GetProcessImageFileNameA, GetProcessImageFileNameW):
	Add prototypes.
	* lib/psapi.def (GetProcessImageFileNameA@12, GetProcessImageFileNameW@12):
	Add exports.

2007-12-27  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* include/w32api.h: Increment version to 3.11.
	* Makefile.in: Ditto.

2007-12-11  Dave Korn  <dave.korn@artimi.com>

	* include/wincrypt.h (PCRYPT_DECODE_PARA):  Add missing typedef.
	(CERT_POLICY_MAPPINGS_INFO):  Move before CERT_POLICY_MAPPING.

2007-12-03  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/wingdi.h: Change WINVER guard to _WIN32_WINNT.

2007-12-03  techrazy  <techrazy@users.sourceforge.net>

	* include/wingdi.h (NTM_NONNEGATIVE_AC, NTM_PS_OPENTYPE, NTM_TT_OPENTYPE,
	NTM_MULTIPLEMASTER, NTM_TYPE1, NTM_DSIG): define.

2007-11-21  Kevin Conaway  <kevin_conaway@users.sourceforge.net>

	* include/wincrypt.h (CryptProtectData, CryptUnprotectData): define.

2007-11-21  elsapo  <elsapo@users.sourceforge.net>

	* include/wincrypt.h (CERT_NAME_STR_COMMA_FLAG,
	CERT_NAME_STR_DISABLE_IE4_UTF8_FLAG, CERT_NAME_STR_ENABLE_UTF8_UNICODE_FLAG,
	CMC_ADD_ATTRIBUTES, CMC_ADD_EXTENSIONS, X509_CERT_PAIR,
	X509_CERTIFICATE_TEMPLATE, X509_CROSS_CERT_DIST_POINTS, CMC_DATA,
	X509_NAME_CONSTRAINTS, X509_POLICY_CONSTRAINTS, X509_POLICY_MAPPINGS,
	CMC_RESPONSE, CMC_STATUS, X509_ALGORITHM_IDENTIFIER, X509_ALTERNATE_NAME,
	PKCS_ATTRIBUTE, X509_AUTHORITY_INFO_ACCESS, X509_AUTHORITY_KEY_ID,
	X509_AUTHORITY_KEY_ID2, szOID_BASIC_CONSTRAINTS, X509_BASIC_CONSTRAINTS2,
	X509_BIOMETRIC_EXT, X509_BITS, X509_CERT, X509_CERT_CRL_TO_BE_SIGNED,
	X509_CERT_POLICIES, X509_CERT_REQUEST_TO_BE_SIGNED, X509_CERT_TO_BE_SIGNED,
	X509_CHOICE_OF_TIME, PKCS_CONTENT_INFO, PKCS_CONTENT_INFO_SEQUENCE_OF_ANY,
	X509_CRL_DIST_POINTS, RSA_CSP_PUBLICKEYBLOB, PKCS_CTL, X509_DSS_PARAMETERS,
	X509_DSS_SIGNATURE, X509_ECC_SIGNATURE, X509_ENHANCED_KEY_USAGE,
	X509_ENUMERATED, X509_EXTENSIONS, X509_INTEGER, X509_ISSUING_DIST_POINT,
	X509_KEY_ATTRIBUTES, X509_KEY_USAGE, X509_KEY_USAGE_RESTRICTION,
	X509_KEYGEN_REQUEST_TO_BE_SIGNED, X509_LOGOTYPE_EXT,
	X509_MULTI_BYTE_INTEGER, X509_MULTI_BYTE_UINT, X509_NAME, X509_NAME_VALUE,
	X509_OBJECT_IDENTIFIER, X509_OCTET_STRING, X509_PUBLIC_KEY_INFO,
	PKCS_RC2_CBC_PARAMETERS, CNG_RSA_PUBLIC_KEY_BLOB,
	PKCS_RSA_SSA_PSS_PARAMETERS, PKCS_RSAES_OAEP_PARAMETERS,
	ECC_CMS_SHARED_INFO, X509_SEQUENCE_OF_ANY, PKCS7_SIGNER_INFO,
	CMS_SIGNER_INFO, PKCS_SMIME_CAPABILITIES, PKCS_TIME_REQUEST,
	X509_UNICODE_NAME, X509_UNICODE_NAME_VALUE, PKCS_UTC_TIME,
	OCSP_SIGNED_REQUEST, OCSP_REQUEST, OCSP_RESPONSE,
	OCSP_BASIC_SIGNED_RESPONSE, OCSP_BASIC_RESPONSE, CRL_REASON_UNSPECIFIED,
	CRL_REASON_KEY_COMPROMISE, CRL_REASON_CA_COMPROMISE,
	CRL_REASON_AFFILIATION_CHANGED, CRL_REASON_SUPERSEDED,
	CRL_REASON_CESSATION_OF_OPERATION, CRL_REASON_CERTIFICATE_HOLD,
	CRL_REASON_REMOVE_FROM_CRL, CRYPT_ENCODE_ALLOC_FLAG,
	CRYPT_UNICODE_NAME_ENCODE_DISABLE_CHECK_TYPE_FLAG,
	CRYPT_UNICODE_NAME_ENCODE_ENABLE_T61_UNICODE_FLAG,
	CRYPT_UNICODE_NAME_ENCODE_ENABLE_UTF8_UNICODE_FLAG,
	CRYPT_UNICODE_NAME_ENCODE_FORCE_UTF8_UNICODE_FLAG,
	szOID_APPLICATION_CERT_POLICIES, szOID_APPLICATION_POLICY_CONSTRAINTS,
	szOID_APPLICATION_POLICY_MAPPINGS, szOID_AUTHORITY_INFO_ACCESS,
	szOID_AUTHORITY_KEY_IDENTIFIER, szOID_AUTHORITY_KEY_IDENTIFIER2,
	X509_BASIC_CONSTRAINTS, szOID_BIOMETRIC_EXT, szOID_CERT_EXTENSIONS,
	szOID_CERT_POLICIES, szOID_CERTIFICATE_TEMPLATE, szOID_CRL_NUMBER,
	szOID_CROSS_CERT_DIST_POINTS, szOID_DELTA_CRL_INDICATOR,
	szOID_ENROLLMENT_NAME_VALUE_PAIR, szOID_FRESHEST_CRL,
	szOID_ISSUING_DIST_POINT, szOID_NAME_CONSTRAINTS, szOID_CRL_DIST_POINTS,
	szOID_CRL_REASON_CODE, szOID_CRL_VIRTUAL_BASE, szOID_ECC_PUBLIC_KEY,
	szOID_ECDSA_SPECIFIED, szOID_ENHANCED_KEY_USAGE, szOID_ISSUER_ALT_NAME,
	szOID_ISSUER_ALT_NAME2, szOID_KEY_ATTRIBUTES, szOID_KEY_USAGE,
	szOID_KEY_USAGE_RESTRICTION, szOID_LOGOTYPE_EXT, szOID_POLICY_CONSTRAINTS,
	szOID_POLICY_MAPPINGS, szOID_RSA_SSA_PSS, szOID_RSAES_OAEP,
	szOID_SUBJECT_ALT_NAME, szOID_SUBJECT_ALT_NAME2,
	szOID_SUBJECT_KEY_IDENTIFIER, CMC_ADD_ATTRIBUTES_INFO,
	PCMC_ADD_ATTRIBUTES_INFO, CMC_ADD_EXTENSIONS_INFO, PCMC_ADD_EXTENSIONS_INFO,
	CERT_ALT_NAME_ENTRY, PCERT_ALT_NAME_ENTRY, CERT_ALT_NAME_INFO,
	PCERT_ALT_NAME_INFO, CERT_NAME_VALUE, PCERT_NAME_VALUE,
	CERT_POLICY_QUALIFIER_INFO, PCERT_POLICY_QUALIFIER_INFO,
	CERT_POLICY_CONSTRAINTS_INFO, PCERT_POLICY_CONSTRAINTS_INFO,
	CERT_POLICY_MAPPINGS_INFO, PCERT_POLICY_MAPPINGS_INFO, CERT_POLICY_MAPPING,
	PCERT_POLICY_MAPPING, CryptDecodeObjectEx, CryptEncodeObject,
	CryptEncodeObjectEx): define.

2007-11-21  Brian Dessent  <dessent@users.sourceforge.net>

	* include/winbase.h (CheckTokenMembership): define.

2007-10-03  Jiri Malak  <Jiri.Malak@iol.cz>

	* include/rpcndr.h: Missing NdrClientCall2 entry.
	* lib/rpcrt4.def: Ditto.

2007-10-03  Frank Fesevur  <ffes@users.sourceforge.net>
	* lib/scnsave.c: Multi-monitor support.

2007-08-03  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* include/w32api.h: Increment version to 3.10.
	* Makefile.in: Ditto.

2007-08-02  Corinna Vinschen  <corinna@vinschen.de>

	* include/winbase.h (ReOpenFile): Add prototype.
	* lib/kernel32.def (ReOpenFile@16): Add export.

2007-07-31  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/wtsapi32.h (WTS_CURRENT_SESSION, WTSDisconnectSession): Define.

2007-7-30  Martijn Wargers  <martijnw22@users.sourceforge.net>

	* include/wingdi.h (GetTextExtentExPointI): Add prototype.
	* lib/gdi32.def (GetTextExtentExPointI@28): Add export.

2007-07-25  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wtypes.h (LPDECIMAL): Define.
	(DECIMAL_NEG, DECIMAL_SETZERO): Move definitions.

2007-07-18  Corinna Vinschen  <corinna@vinschen.de>

	* include/winnt.h (SE_TRUSTED_CREDMAN_ACCESS_NAME): Define.

2007-07-17  Corinna Vinschen  <corinna@vinschen.de>

	* include/winnt.h (FILE_READ_ONLY_VOLUME): Define.
	* include/ddk/ntifs.h (FILE_READ_ONLY_VOLUME): Define.

2007-07-12  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/winuser.h (FE_FONTSMOOTHINGSTANDARD, FE_FONTSMOOTHINGCLEARTYPE):
	Define.

2007-07-12  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/pbt.h (PBT_APMRESUMEAUTOMATIC) Define.
	* include/winuser.h: (PBT_APMQUERYSUSPEND, PBT_APMQUERYSTANDBY,
	PBT_APMQUERYSUSPENDFAILED, PBT_APMQUERYSTANDBYFAILED,
	PBT_APMSUSPEND, PBT_APMSTANDBY, PBT_APMRESUMECRITICAL,
	PBT_APMRESUMESUSPEND, PBT_APMRESUMESTANDBY, PBT_APMBATTERYLOW,
	PBT_APMPOWERSTATUSCHANGE, PBT_APMOEMEVENT, PBT_APMRESUMEAUTOMATIC):
	Sync with include/pbt.h.

2007-07-12  Danny Smith  <dannysmith@users.sourceforge.net>

	[mingw-Bugs-1751518]
	* include/mshtml.h (IHTMLDocument2): Correct spelling of put_URL,
	get_URL.

	[mingw-Bugs-1751565]
	* include/basetyps.h (IID); Guard with __IID_DEFINED__.

	[mingw-Bugs-1751595]
	* include/exdisp.h (DWebBrowserEvents2): Remove undocumented STDDISP
	methods.

	Thanks to Yuji Kuwabara  <yujikuwabara at sf dot net>.

2007-07-10  Danny Smith  <dannysmith@users.sourceforge.net>

	[mingw-Bugs-1750898]
	* include/mmsystem.h (MIXERCONTROL): Correct UNICODE mapping.
	Thanks to Yuji Kuwabara  <yujikuwabara at sf dot net>.

2007-07-09  Danny Smith  <dannysmith@users.sourceforge.net>

	[mingw-Bugs-1749305]
	* lib/kernel32.def (GetConsoleProcessList@8):  Add export.

2007-07-02  Przemek Czerkas  <pczerkas@gmail.com>

	* include/shlobj.h: Add CSIDL_MYMUSIC and CSIDL_MYVIDEO.

2007-07-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/oaidl.h: Include windows.h and ole2.h,
	unless COM_NO_WINDOWS_H.

	[mingw-Bugs-1742130]
	* include/oaidl.h (struct tagVARIANT): Add union members
	LONGLONG  * pllVal and ULONGLONG * pullVal.

2007-07-01  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/ws2tcpip.h (s6_addr32): Correct definition.
	Thanks to Alfred E. Heggestad <aeh at db dot org>

2007-05-23  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/secur32.def (InitSecurityInterfaceA, InitSecurityInterfaceW): Define.

	Thanks to Jim Marshall (jim dot marshall at wbemsolutions dot com) for
	supplying the information.

2007-05-19  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/shellapi.h (NIN_POPUPOPEN, NIN_POPUPCLOSE): Define.

2007-04-22  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/shellapi.h (NOTIFYICONDATAA, NOTIFYICONDATAW): Updated to support
	Vista.

2007-04-20  Matthias Miller  <matthiasmiller@users.sourceforge.net>

	 * include/wincrypt.h (CRYPTPROTECT_PROMPTSTRUCT, CRYPTPROTECT_UI_FORBIDDEN,
	CRYPTPROTECT_LOCAL_MACHINE): Define.

2007-04-15  Piotr Wyderski  <piotr.wyderski@wp.pl>

	* include/winbase.h (SetInformationJobObject, QueryInformationJobObject):
	Define.

2007-03-30  Brian Dessent  <brian@dessent.net>

	* lib/kernel32.def (CreateMemoryResourceNotification@4): Define.

2007-03-25  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* include/w32api.h: Increment version to 3.9.
	* Makefile.in: Ditto.

2007-03-23  Corinna Vinschen  <corinna@vinschen.de>

	* include/psapi.h (GetMappedFileName): Fix messed up checkin.

2007-03-23  Matthew Gregan  <kinetik@flim.org>

	* include/psapi.h (GetMappedFileName): Rename from GetMappedFilenameEx.

2007-03-06  Brandon Sneed  <brandon@oqo.com>

	* include/setupapi.h: Added SetupConfigureWmiFromInfSectionA
	Added SetupConfigureWmiFromInfSectionW
	Added SetupConfigureWmiFromInfSection define to unicode and non-unicode sections

	* lib/setupapi.def: Added exports for SetupConfigureWmiFromInfSectionA and W

	* include/winuser.h: Added PBT_APMQUERYSUSPEND
	Added PBT_APMQUERYSTANDBY
	Added PBT_APMQUERYSUSPENDFAILED
	Added PBT_APMQUERYSTANDBYFAILED
	Added PBT_APMSUSPEND
	Added PBT_APMSTANDBY
	Added PBT_APMRESUMECRITICAL
	Added PBT_APMRESUMESUSPEND
	Added PBT_APMRESUMESTANDBY
	Added PBT_APMBATTERYLOW
	Added PBT_APMPOWERSTATUSCHANGE
	Added PBT_APMOEMEVENT
	Added PBT_APMRESUMEAUTOMATIC

	* include/wtsapi32.h: New file

	* include/wingdi.h: Added DM_DISPLAYORIENTATION define for use with DMDO_* defines

2007-03-05  Jan Nijtmans  <nijtmans@users.sourceforge.net>

	* include/ddeml.h (DdeCreateStringHandleA, DdeCreateStringHandleW): Switch
	argument to constant.

2007-02-18  Jiri Malak  <jiri.malak@iol.cz>

	* include/windef.h [WATCOM]: Fix !NONAMELESSUNION defines.
	* include/winnt.h [WATCOM] (GetCurrentFiber, GetFiberData):
	Add prototypes.
	[WATCOM] (NtCurrentTeb): Add protype and inline asm definition.

2007-02-18  Vesa Jääskeläinen  <chaac@users.sourceforge.net>

	* lib/user32.def (InternalGetWindowText): Add stub.

2007-02-11  Daniel Atallah  <datallah@users.sourceforge.net>

	* include/winnt.h (LANG_SERBIAN_NEUTRAL, LANG_BOSNIAN,
	LANG_BOSNIAN_NEUTRAL): Define.

2007-02-11  Daniel Schlyder  <thrug@users.sourceforge.net>

	* include/winuser.h: Add guards around TITLEBARINFO and
	GetTitleBarInfo().

2007-01-11  Gisle Vanem  <giva@users.sourceforge.net>

	* include/winbase.h (struct _OVERLAPPED): Change type of
	Internal, InternalHigh members to ULONG_PTR.
	(PAPCFUNC): Change DWORD parameter to ULONG_PTR.
	(CreateIoCompletionPort): Likewise.
	(PostQueuedCompletionStatus): Likewise.
	(QueueUserAPC): Likewise.

2007-01-06  Pierre A. Humblet  <Pierre.Humblet@ieee.org>

	* include/windns.h (DNS_TYPE_RP, DNS_TYPE_AFSDB, DNS_TYPE_X25,
	DNS_TYPE_ISDN, DNS_TYPE_RT, DNS_TYPE_NSAP, DNS_TYPE_NSAPPTR,
	DNS_TYPE_SIG, DNS_TYPE_KEY, DNS_TYPE_PX, DNS_TYPE_GPOS,
	DNS_TYPE_AAAA, DNS_TYPE_LOC, DNS_TYPE_NXT, DNS_TYPE_EID,
	DNS_TYPE_NIMLOC, DNS_TYPE_SRV, DNS_TYPE_ATMA, DNS_TYPE_NAPTR,
	DNS_TYPE_KX, DNS_TYPE_CERT, DNS_TYPE_A6, DNS_TYPE_DNAME,
	DNS_TYPE_SINK, DNS_TYPE_OPT, DNS_TYPE_UINFO, DNS_TYPE_UID,
	DNS_TYPE_GID, DNS_TYPE_UNSPEC, DNS_TYPE_ADDRS, DNS_TYPE_TKEY,
	DNS_TYPE_TSIG, DNS_TYPE_IXFR, DNS_TYPE_AXFR, DNS_TYPE_MAILB,
	DNS_TYPE_MAILA, DNS_TYPE_ALL, DNS_TYPE_ANY): Add enum values.

2006-11-21  Danny Smith  <dannysmith@users.sourceforge.net>

	* Makefile.in: Add aclocal.m4 to source release.

2006-11-18  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* include/w32api.h: Increment version to 3.8.
	* Makefile.in: Ditto.

2006-11-13  Daniel Schlyder  <thrug@users.sourceforge.net>

	* include/winnt.h (VER_SUITE_EMBEDDEDNT, VER_SUITE_SINGLEUSERTS,
	VER_SUITE_STORAGE_SERVER, VER_SUITE_COMPUTE_SERVER): Define.

	* include/winuser.h (SM_STARTER, SM_SERVERR2): Define.

2006-11-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winuser.h (LR_DEFAULTSIZE): Remove duplicate.

	* include/winnt.h (GetCurrentFiber): Remove extern declaration.  Make
	inline static.
	(GetFiberData): Likewise.
	* lib/kernel32.c: Remove.
	* lib/Makefile.in: Remove reference to kernel32.[co].

2006-10-31  Corinna Vinschen  <corinna@vinschen.de>

	* include/winnt.h (SE_RELABEL_NAME): Define.
	(SE_INCREASE_WORKING_SET_NAME): Define.
	(SE_TIME_ZONE_NAME): Define.
	(SE_CREATE_SYMBOLIC_LINK_NAME): Define.

2006-10-31  Corinna Vinschen  <corinna@vinschen.de>

	* include/winnt.h (IO_REPARSE_TAG_SYMLINK): Define.
	(struct _REPARSE_DATA_BUFFER): Add missing Flags field to
	SymbolicLinkReparseBuffer substructure.

2006-10-29  Daniel Atallah  <datallah@users.sourceforge.net>

	* lib/ws2_32.def (WSANSPIoctl): Add to lib.

2006-10-26  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/Makefile.in: Fix order for 'all' rule.

2006-10-12  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winuser.h (LR_DEFAULTSIZE, LR_VGACOLOR): Define.

2006-10-05  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winreg.h (RegDeleteKeyEx{A|W}): Add prototype and UNICODE
	mappings.
	(KEY_WOW64_32KEY, KEY_WOW64_64KEY): Define.
	* lib/advapi.def (RegDeleteKeyEx{A|W}): Export.

2006-10-04  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/rpc.h: Add whitespace.
	* include/winnt.h (C_ASSERT): Define.

2006-10-04  Danny Smith  <dannysmith@users.sourceforge.net>

	[mingw-Bugs-1568067]
	* include/winuser.h: (DISP_CHANGE_BADDUALVIEW): Define.
	* include/wingdi.h: (DM_POSITION): Define.

2006-10-03  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/rpcrt4.def: Remove "_imp__"-prefixed export symbols.
	* lib/user32.def: Likewise.

2006-09-11  Chris Sutcliffe  <ir0n3h4d@users.sourceforge.net>

	* lib/Makefile.in: fix typo.
	* lib/ddk/Makefile.in: fix typo.
	* lib/directx/Makefile.in: fix typo.

	Thanks to Keith Marshall (keithmarshall at users dot sourceforge dot net)
	for pointing it out.

2006-09-10  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* Makefile.in: Remove files from lib directory with distclean target

2006-09-10  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/winuser.h (CS_DROPSHADOW): Define.

2006-09-08  Michael Gerdau  <mgdde@users.sourceforge.net>

	* include/uxtheme.h: (TMT_GRADIENTCOLOR4, TMT_GRADIENTCOLOR5,
	TMT_SHADOWCOLOR, TMT_GLOWCOLOR, TMT_TEXTBORDERCOLOR,
	TMT_TEXTSHADOWCOLOR, TMT_GLYPHTEXTCOLOR, TMT_GLYPHTRANSPARENTCOLOR,
	TMT_FILLCOLORHINT, TMT_BORDERCOLORHINT, TMT_ACCENTCOLORHINT):

	Increase each constant by 1.

2006-09-07  Danny Smith  <dannysmith@users.sourceforge.net>

	[mingw-Bugs-1553275]
	* include/wingdi.h (SetLayout): Add prototype.
	(GetLayout): Likewise.

2006-09-02  Danny Smith  <dannysmith@users.sourceforge.net>

	[mingw-Bugs-1550139]
	* include/oleauto.h (GetRecordInfoFromTypeInfo): Add prototype.
	Tanks to:  Samit Basu <samitbasu at sf dot net>
	(GetRecordInfoFromGuids): Add prototype.

2006-09-01  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winbase.h: Add comment about 'missing' SEM flag.

2006-08-30  Corinna Vinschen  <corinna@vinschen.de>

	* configure.in: Substitute with_cross_host in depending files.
	* configure: Regenerate.
	* lib/Makefile.in: Add with_cross_host to allow more granular checks.
	Set installation directories accordingly.
	* lib/ddk/Makefile.in: Ditto.
	* lib/directx/Makefile.in: Ditto.

2006-08-10  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/wtsapi32.def (WTSGetActiveConsoleSessionId). Move from here...
	* lib/kernel32.def (WTSGetActiveConsoleSessionId). ...to here.
	Bug reported by: <macleone at users dot sf dot net>

2006-07-29  Danny Smith  <dannysmith@users.sourceforge.net>

	Update some more IMAGE relocation type indicators
	to PECOFF v8 (May, 2006) specs.

	* include/winnt.h (IMAGE_REL_SH3_ABSOLUTE,
	IMAGE_REL_SH3_DIRECT16, IMAGE_REL_SH3_DIRECT32,
	IMAGE_REL_SH3_DIRECT8, IMAGE_REL_SH3_DIRECT8_WORD,
	IMAGE_REL_SH3_DIRECT8_LONG, IMAGE_REL_SH3_DIRECT4,
	IMAGE_REL_SH3_DIRECT4_WORD, IMAGE_REL_SH3_DIRECT4_LONG,
	IMAGE_REL_SH3_PCREL8_WORD, IMAGE_REL_SH3_PCREL8_LONG,
	IMAGE_REL_SH3_PCREL12_WORD, IMAGE_REL_SH3_STARTOF_SECTION,
	IMAGE_REL_SH3_SIZEOF_SECTION, IMAGE_REL_SH3_SECTION,
	IMAGE_REL_SH3_SECREL, IMAGE_REL_SH3_DIRECT32_NB,
	IMAGE_REL_SH3_GPREL4_LONG, IMAGE_REL_SH3_TOKEN,
	IMAGE_REL_SHM_PCRELPT, IMAGE_REL_SHM_REFLO,
	IMAGE_REL_SHM_REFHALF, IMAGE_REL_SHM_RELLO,
	IMAGE_REL_SHM_RELHALF, IMAGE_REL_SHM_PAIR,
	IMAGE_REL_SHM_NOMODE): Add defines.

	(IMAGE_REL_M32R_ABSOLUTE, IMAGE_REL_M32R_ADDR32,
	IMAGE_REL_M32R_ADDR32NB, IMAGE_REL_M32R_ADDR24,
	IMAGE_REL_M32R_GPREL16, IMAGE_REL_M32R_PCREL24,
	IMAGE_REL_M32R_PCREL16, IMAGE_REL_M32R_PCREL8,
	IMAGE_REL_M32R_REFHALF, IMAGE_REL_M32R_REFHI,
	IMAGE_REL_M32R_REFLO, IMAGE_REL_M32R_PAIR,
	IMAGE_REL_M32R_SECTION, IMAGE_REL_M32R_SECREL,
	IMAGE_REL_M32R_TOKEN): Add defines.

	(IMAGE_REL_MIPS_JMPADDR16): Add define.

2006-07-27  Danny Smith  <dannysmith@users.sourceforge.net>

	Update some IMAGE flags to PECOFF v8 (May, 2006) specs.
	* include/winnt.h (IMAGE_FILE_MACHINE_AM33,
	IMAGE_FILE_MACHINE_ARM, IMAGE_FILE_MACHINE_EBC,
	IMAGE_FILE_MACHINE_M32R, IMAGE_FILE_MACHINE_MIPS16,
	IMAGE_FILE_MACHINE_MIPSFPU, IMAGE_FILE_MACHINE_MIPSFPU16,
	IMAGE_FILE_MACHINE_POWERPCFP, IMAGE_FILE_MACHINE_R4000,
	IMAGE_FILE_MACHINE_SH3, IMAGE_FILE_MACHINE_SH3DSP,
	IMAGE_FILE_MACHINE_SH4, IMAGE_FILE_MACHINE_SH5,
	IMAGE_FILE_MACHINE_THUMB, IMAGE_FILE_MACHINE_WCEMIPSV2):
	Add defines.

	(IMAGE_SUBSYSTEM_EFI_APPLICATION,
	IMAGE_SUBSYSTEM_EFI_BOOT_SERVICE_DRIVER,
	IMAGE_SUBSYSTEM_EFI_RUNTIME_DRIVER, IMAGE_SUBSYSTEM_EFI_ROM):
	Add defines.

	(IMAGE_SYM_CLASS_CLR_TOKEN): Add define.

	(IMAGE_DLL_CHARACTERISTICS_DYNAMIC_BASE,
	IMAGE_DLL_CHARACTERISTICS_FORCE_INTEGRITY,
	IMAGE_DLL_CHARACTERISTICS_NX_COMPAT,
	IMAGE_DLLCHARACTERISTICS_NO_ISOLATION, IMAGE_DLLCHARACTERISTICS_NO_SEH,
	IMAGE_DLLCHARACTERISTICS_NO_BIND,
	IMAGE_DLLCHARACTERISTICS_TERMINAL_SERVER_AWARE): Add defines.

	(IMAGE_REL_I386_TOKEN, IMAGE_REL_I386_SECREL7): Add defines.

	(IMAGE_REL_AMD64_ABSOLUTE, IMAGE_REL_AMD64_ADDR64,
	IMAGE_REL_AMD64_ADDR32, IMAGE_REL_AMD64_ADDR32NB, IMAGE_REL_AMD64_REL32,
	IMAGE_REL_AMD64_REL32_1, IMAGE_REL_AMD64_REL32_2,
	IMAGE_REL_AMD64_REL32_3, IMAGE_REL_AMD64_REL32_4,
	IMAGE_REL_AMD64_REL32_5, IMAGE_REL_AMD64_SECTION,
	IMAGE_REL_AMD64_SECREL, IMAGE_REL_AMD64_SECREL7, IMAGE_REL_AMD64_TOKEN,
	IMAGE_REL_AMD64_SREL32, IMAGE_REL_AMD64_PAIR, IMAGE_REL_AMD64_SSPAN32):
	Add defines.

	(IMAGE_REL_IA64_ABSOLUTE, IMAGE_REL_IA64_IMM14, IMAGE_REL_IA64_IMM22,
	IMAGE_REL_IA64_IMM64, IMAGE_REL_IA64_DIR32, IMAGE_REL_IA64_DIR64,
	IMAGE_REL_IA64_PCREL21B, IMAGE_REL_IA64_PCREL21M,
	IMAGE_REL_IA64_PCREL21F, IMAGE_REL_IA64_GPREL22, IMAGE_REL_IA64_LTOFF22,
	IMAGE_REL_IA64_SECTION, IMAGE_REL_IA64_SECREL22,
	IMAGE_REL_IA64_SECREL64I, IMAGE_REL_IA64_SECREL32,
	IMAGE_REL_IA64_DIR32NB, IMAGE_REL_IA64_SREL14, IMAGE_REL_IA64_SREL22,
	IMAGE_REL_IA64_SREL32, IMAGE_REL_IA64_UREL32, IMAGE_REL_IA64_PCREL60X,
	IMAGE_REL_IA64_PCREL60B, IMAGE_REL_IA64_PCREL60F,
	IMAGE_REL_IA64_PCREL60I, IMAGE_REL_IA64_PCREL60M,
	IMAGE_REL_IA64_IMMGPREL64, IMAGE_REL_IA64_TOKEN, IMAGE_REL_IA64_GPREL32,
	IMAGE_REL_IA64_ADDEND): Add defines.

	(IMAGE_SCN_GPREL): Add define.

2006-07-25  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/aclui.h: Replace __OBJC__ guard with _OBJC_NO_COM.
	* include/basetyps.h:  Likewise.
	(_COM_interface): New define.
	(interface): Define to _COM_interface, conditional on !__OBJC__.
	Replace 'interface' with '_COM_interface', throughout.
	* include/comcat.h: Replace 'interface' with '_COM_interface', throughout.
	* include/commdlg.h: Replace __OBJC__ guard with _OBJC_NO_COM.
	* include/docobj.h: Replace 'interface' with '_COM_interface', throughout.
	* include/mshtml.h: Likewise.
	* include/oaidl.h: Likewise.
	* include/objfwd.h: Likewise.
	* include/objidl.h: Likewise.
	* include/ocidl.h: Likwise.
	* include/olectl.h: Likewise.
	* include/oleidl.h: Likewise.
	* include/shlobj.h: Likewise.
	* include/shlwapi.h: Replace __OBJC__ guard with _OBJC_NO_COM.
	* include/vfw.h: Likewise.
	* include/windows.h. Likewise. Add comment.
	* include/directx/d3d9.h: Replace 'interface' with '_COM_interface',
	throughout.

	* lib/test.c: Replace __OBJC__ guard with _OBJC_NO_COM.
	Add test for conflict with '@interface'

2006-07-22  ipsoner  <ipsoner@users.sourceforge.net>

	* include/wincrypt.h (szOID_RSA, szOID_PKCS, szOID_RSA_HASH,
	szOID_RSA_ENCRYPT, szOID_PKCS_1, szOID_PKCS_2, szOID_PKCS_3,
	szOID_PKCS_4, szOID_PKCS_5, szOID_PKCS_6, szOID_PKCS_7,
	szOID_PKCS_8, szOID_PKCS_9, szOID_PKCS_10, szOID_PKCS_12,
	szOID_RSA_MD2, szOID_RSA_MD4, szOID_RSA_MD5, szOID_RSA_RSA,
	szOID_RSA_MD2RSA, szOID_RSA_MD4RSA, szOID_RSA_MD5RSA,
	szOID_RSA_SHA1RSA, szOID_RSA_SETOAEP_RSA, szOID_RSA_DH,
	szOID_RSA_data, szOID_RSA_signedData, szOID_RSA_envelopedData,
	szOID_RSA_signEnvData, szOID_RSA_digestedData, szOID_RSA_hashedData,
	szOID_RSA_encryptedData, szOID_RSA_emailAddr, szOID_RSA_unstructName,
	szOID_RSA_contentType, szOID_RSA_messageDigest, szOID_RSA_signingTime,
	szOID_RSA_counterSign, szOID_RSA_challengePwd, szOID_RSA_unstructAddr,
	szOID_RSA_extCertAttrs, szOID_RSA_SMIMECapabilities,
	szOID_RSA_preferSignedData, szOID_RSA_RC2CBC, szOID_RSA_RC4,
	szOID_RSA_DES_EDE3_CBC, szOID_RSA_RC5_CBCPad, szOID_ANSI_x942,
	szOID_ANSI_x942_DH, szOID_X957, szOID_X957_DSA, szOID_DATA STRUCTURE,
	szOID_DS, szOID_DSALG, szOID_DSALG_CRPT, szOID_DSALG_HASH,
	szOID_DSALG_SIGN, szOID_DSALG_RSA, szOID_OIW, szOID_OIWSEC,
	szOID_OIWSEC_md4RSA, szOID_OIWSEC_md5RSA, szOID_OIWSEC_md4RSA2,
	szOID_OIWSEC_desECB, szOID_OIWSEC_desCBC, szOID_OIWSEC_desOFB,
	szOID_OIWSEC_desCFB, szOID_OIWSEC_desMAC, szOID_OIWSEC_rsaSign,
	szOID_OIWSEC_dsa, szOID_OIWSEC_shaDSA, szOID_OIWSEC_mdc2RSA,
	szOID_OIWSEC_shaRSA, szOID_OIWSEC_dhCommMod, szOID_OIWSEC_desEDE,
	szOID_OIWSEC_sha, szOID_OIWSEC_mdc2, szOID_OIWSEC_dsaComm,
	szOID_OIWSEC_dsaCommSHA, szOID_OIWSEC_rsaXchg, szOID_OIWSEC_keyHashSeal,
	szOID_OIWSEC_md2RSASign, szOID_OIWSEC_md5RSASign, szOID_OIWSEC_sha1,
	szOID_OIWSEC_dsaSHA1, szOID_OIWSEC_dsaCommSHA1, szOID_OIWSEC_sha1RSASign,
	szOID_OIWDIR, szOID_OIWDIR_CRPT, szOID_OIWDIR_HASH, szOID_OIWDIR_SIGN,
	szOID_OIWDIR_md2, szOID_OIWDIR_md2RSA, szOID_INFOSEC,
	szOID_INFOSEC_sdnsSignature, szOID_INFOSEC_mosaicSignature,
	szOID_INFOSEC_sdnsConfidentiality, szOID_INFOSEC_mosaicConfidentiality,
	szOID_INFOSEC_sdnsIntegrity, szOID_INFOSEC_mosaicIntegrity,
	szOID_INFOSEC_sdnsTokenProtection, szOID_INFOSEC_mosaicTokenProtection,
	szOID_INFOSEC_sdnsKeyManagement, szOID_INFOSEC_mosaicKeyManagement,
	szOID_INFOSEC_sdnsKMandSig, szOID_INFOSEC_mosaicKMandSig,
	szOID_INFOSEC_SuiteASignature, szOID_INFOSEC_SuiteAConfidentiality,
	szOID_INFOSEC_SuiteAIntegrity, szOID_INFOSEC_SuiteATokenProtection,
	szOID_INFOSEC_SuiteAKeyManagement, szOID_INFOSEC_SuiteAKMandSig,
	szOID_INFOSEC_mosaicUpdatedSig, szOID_INFOSEC_mosaicKMandUpdSig,
	szOID_INFOSEC_mosaicUpdatedInteg, szOID_PKIX_NO_SIGNATURE,
	szOID_COMMON_NAME, szOID_COUNTRY_NAME, szOID_DEVICE_SERIAL_NUMBER,
	szOID_DOMAIN_COMPONENT, szOID_RSA_emailAddr, szOID_GIVEN_NAME,
	szOID_INITIALS, szOID_LOCALITY_NAME, szOID_ORGANIZATION_NAME,
	szOID_ORGANIZATIONAL_UNIT_NAME, szOID_STATE_OR_PROVINCE_NAME,
	szOID_STREET_ADDRESS, szOID_SUR_NAME, szOID_TITLE, szOID_RSA_unstructAddr,
	szOID_RSA_unstructName, szOID_BASIC_CONSTRAINTS2,
	CERT_BASIC_CONSTRAINTS2_INFO, CRYPT_ENCODE_PARA,CertDuplicateStore,
	CertEnumCertificatesInStore, CertDuplicateCertificateContext,
	CertGetNameStringA, CertGetNameStringW, CertGetNameString, PFXIsPFXBlob,
	CertFindExtension, CryptDecodeObject, CertAddCertificateContextToStore,
	CertCompareCertificate, PFXVerifyPassword, PFXImportCertStore,
	CertDeleteCertificateFromStore): Define.
	* lib/crypt32.def (CertDuplicateStore, CertEnumCertificatesInStore,
	CertDuplicateCertificateContext, CertGetNameStringA, CertGetNameStringW,
	CertGetNameString, PFXIsPFXBlob, CertFindExtension, CryptDecodeObject,
	CertAddCertificateContextToStore, CertCompareCertificate,
	PFXVerifyPassword, PFXImportCertStore, CertDeleteCertificateFromStore):
	Define.

2006-07-22  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/uuid.c: Remove.

2006-07-20  Elias Naur  <elias_naur@users.sourceforge.net>

	* include/devguid.h: Add new file with missing GUID_DEVCLASS_*
	declarations. They were extracted from the registry with a script.
	* lib/devguid.c: Add new file with the implementation of the
	missing GUIDs.
	* lib/Makefile.in: Add devguid.c to UUID_SOURCES and UUID_OBJS.

2006-07-19  Elias Naur  <elias_naur@users.sourceforge.net>

	* include/winuser.h (WM_INPUT): Add missing Raw	Input
	notification define.
	(RID_DEVICE_INFO_MOUSE, RID_DEVICE_INFO_KEYBOARD,
	RID_DEVICE_INFO_HID, RID_DEVICE_INFO): Define Raw Input structs

2006-07-19  Danny Smith  <dannysmith@users.sourceforge.net>

	[mingw-Bugs-1525021]
	* iptypes.h (IP_ADAPTER_ANYCAST_ADDRESS): Fix NONAMELESSUNION warnings.
	(IP_ADAPTER_MULTICAST_ADDRESS): Likewise.
	(IP_ADAPTER_UNICAST_ADDRESS): Likewise.
	(IP_ADAPTER_DNS_SERVER_ADDRESS): Likewise.
	(IP_ADAPTER_ADAPTER_PREFIX): Likewise.
	(IP_ADAPTER_ADDRESSES): Likewise.

2006-06-13  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/uuid.c (CLSID_FileProtocol, CLSID_FtpProtocol, CLSID_GopherProtocol,
	CLSID_HttpProtocol, CLSID_HttpSProtocol, CLSID_MkProtocol,
	CLSID_PSUrlMonProxy, CLSID_StdURLMoniker): Remove.  Moved to
	extras-uuid.c.
	* lib/extras-uuid.c (CLSID_FileProtocol, CLSID_FtpProtocol, CLSID_GopherProtocol,
	CLSID_HttpProtocol, CLSID_HttpSProtocol, CLSID_MkProtocol,
	CLSID_PSUrlMonProxy, CLSID_StdURLMoniker): Added.
	* lib/hlguids-uuid.c: State source of CLSIDs.

2006-06-13  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/Makefile.in: Added extras-uuid as an object and source.
	* lib/uuid.c (IID_IClientSiteHandler, IID_IContinue, IID_IHttpNegotiate,
	IID_IPersistMoniker, IID_IServerHandler, IID_ITargetEmbedding,
	IID_ITargetFrame, IID_ITypeComp, IID_IUrlHistoryStg, IID_IWinInetHttpInfo,
	IID_IWinInetInfo, IID_IEnumSTATPROPSETSTG, IID_IEnumSTATPROPSTG,
	IID_IEnumSTATURL): Remove.  Moved to extras-uuid.c.
	* lib/extras-uuid.c: New file.
	Thank you to Julien Lecomte (julienlecomte at users dot sourceforge dot
	net).

2006-06-12  Danny Smith  <dannysmith@users.sourceforge.net>

	[mingw-Bugs-1424461]
	*include/imagehlp.h: Comment out IN, OUT and OPTIONAL,
	throughout.
	*include/rpcdce.h: Don't define IN, OUT or OPTIONAL if
	_NO_W32_PSEUDO_MODIFIERS.
	*include/rpcnsi.h: Comment out IN, OUT and OPTIONAL,
	throughout.
	*include/rpcnsip.h: Likewise.
	*include/windef.h: Don't define IN, OUT or OPTIONAL
	if _NO_W32_PSEUDO_MODIFIERS.
	*include/ddk/batclass.h: Comment out IN, OUT and OPTIONAL,
	throughout.
	*include/ddk/cfgmgr32.h: Likewise.
	*include/ddk/ddkmapi.h: Likewise.
	*include/ddk/hidclass.h: Likewise.
	*include/ddk/hidpi.h: Likewise.
	*include/ddk/kbdmou.h: Likewise.
	*include/ddk/mcd.h: Likewise.
	*include/ddk/miniport.h: Likewise.
	*include/ddk/minitape.h: Likewise.
	*include/ddk/ndis.h: Likewise.
	*include/ddk/ndistapi.h: Likewise.
	*include/ddk/ndiswan.h: Likewise.
	*include/ddk/ntapi.h: Likewise.
	*include/ddk/ntdd8042.h: Likewise.
	*include/ddk/ntddpcm.h: Likewise.
	*include/ddk/ntifs.h: Likewise.
	*include/ddk/ntpoapi.h: Likewise.
	*include/ddk/parallel.h: Likewise.
	*include/ddk/pfhook.h: Likewise.
	*include/ddk/scsiwmi.h: Likewise.
	*include/ddk/smbus.h: Likewise.
	*include/ddk/srb.h: Likewise.
	*include/ddk/storport.h: Likewise.
	*include/ddk/tdikrnl.h: Likewise.
	*include/ddk/upssvc.h: Likewise.
	*include/ddk/usbcamdi.h: Likewise.
	*include/ddk/usbscan.h: Likewise.
	*include/ddk/video.h: Likewise.
	*include/ddk/videoagp.h: Likewise.
	*include/ddk/win2k.h: Likewise.
	*include/ddk/winddi.h: Likewise.
	*include/ddk/winddk.h: Don't define IN, OUT or OPTIONAL
	if _NO_W32_PSEUDO_MODIFIERS.
	Comment out IN, OUT and OPTIONAL, throughout.
	*include/ddk/winnt4.h: Comment out IN, OUT and OPTIONAL,
	throughout.
	*include/ddk/ws2san.h: Likewise.

2006-06-10  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/Makefile.in:  Added hlguids-uuid as source and object.

2006-06-10  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/uuid.c (CLSID_StaticDib, CLSID_StaticMetafile, CLSID_StdHlink,
	CLSID_StdHlinkBrowseContext): Remove.  Moved to relevant files.
	* lib/cguid-uuid.c (CLSID_StaticDib, CLSID_StaticMetafile): Added.
	* lib/hlguids-uuid.c: New file.
	Thank you to Julien Lecomte (julienlecomte at users dot sourceforge dot
	net).

2006-06-10  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/Makefile.in: Added urlmon-uuid and hlink-uuid as sources and
	objects.
	* lib/uuid.c (IID_IAuthenticate, IID_IBindHost, IID_IBindProtocol,
	IID_IBindStatusCallback, IID_IBindStatusCallbackMsg, IID_IBinding,
	IID_IHlink, IID_IHlinkBrowseContext, IID_IHlinkFrame, IID_IHlinkSite,
	IID_IHlinkTarget): Remove.  Moved to new files.
	* lib/urlmon-uuid.c: New file.
	* lib/hlink-uuid.c: New file.

2006-06-10  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/Makefile.in: Added ativscp-uuid as source and object.
	* lib/uuid.c (IID_IActiveScript, IID_IActiveScriptError,
	IID_IActiveScriptParse, IID_IActiveScriptSite,
	IID_IActiveScriptSiteWindow): Remove.  Moved to ativscp-uuid.c.
	* lib/ativscp-uuid.c: New file.

2006-06-09  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/uuid.c (IID_IClientSecurity, IID_IMallocSpy, IID_IServerSecurity):
	Remove.  Moved to objidl-uuid.c
	* lib/objidl-uuid.c (IID_IClientSecurity, IID_IMallocSpy,
	IID_IServerSecurity): Defined.

2006-06-09  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/Makefile.in: Add cguid-uuid and olectlid-uuid as sources and
	objects.
	* lib/uuid.c (CLSID_CColorPropPage, CLSID_CFontPropPage,
	CLSID_CPicturePropPage, CLSID_Picture_Dib, CLSID_Picture_Metafile,
	CLSID_StdFont, CLSID_StdPicture, GUID_NULL, IID_ICreateTypeInfo,
	IID_ICreateTypeInfo2, IID_ICreateTypeLib, IID_ICreateTypeLib2, IID_IDebug,
	IID_IDebugStream, IID_IDispatch, IID_IEnumFORMATETC,IID_IEnumMoniker,
	IID_IEnumOLEVERB, IID_IEnumSTATDATA, IID_IEnumSTATSTG, IID_IEnumString,
	IID_IEnumUnknown, IID_IEnumVARIANT, IID_IOleLink, IID_IPSFactory,
	IID_IRpcChannel, IID_IRpcProxy, IID_IRpcStub, IID_ITypeInfo,
	IID_ITypeInfo2, IID_ITypeLib, IID_ITypeLib2): Remove.  Moved to relevant
	files.
	* lib/oaidl-uuid.c (IID_ICreateTypeInfo, IID_ICreateTypeInfo2,
	IID_ICreateTypeLib, IID_ICreateTypeLib2, IID_ITypeInfo, IID_ITypeInfo2,
	IID_ITypeLib, IID_ITypeLib2, IID_IEnumVARIANT): Define.
	* lib/cguid-uuid.c: New file.
	* lib/olectlid-uuid.c: New file.

2006-06-08  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/Makefile.in: Add objsafe-uuid oaidl-uuid docobj-uuid comcat-uuid
	exdisp-uuid mlang-uuid objidl-uuid as sources and objects.
	* lib/uuid.c (CATID_Control, CATID_DocObject, CATID_Insertable,
	CATID_PersistsToPropertyBag, CATID_PersistsToStorage, CATID_PersistsToStream,
	CATID_PersistsToStreamInit, CATID_Printable, CATID_Programmable,
	CLSID_CMultiLanguage, CLSID_StdComponentCategoriesMgr, CLSID_WebBrowser,
	DIID_DWebBrowserEvents, DIID_DWebBrowserEvents2, IID_IAdviseSink,
	IID_IAdviseSink2, IID_IBindCtx, IID_ICatInformation, IID_ICatRegister,
	IID_IClassActivator, IID_IContinueCallback, IID_ICreateErrorInfo,
	IID_IDataAdviseHolder, IID_IDataObject, IID_IEnumCATEGORYINFO,
	IID_IEnumGUID, IID_IEnumOleDocumentViews, IID_IErrorInfo,
	IID_IExternalConnection, IID_IFillLockBytes, IID_ILockBytes, IID_IMalloc,
	IID_IMarshal, IID_IMessageFilter, IID_IMoniker, IID_IObjectSafety,
	IID_IOleCommandTarget, IID_IOleDocument, IID_IOleDocumentSite,
	IID_IOleDocumentView, IID_IPSFactoryBuffer, IID_IPersist,
	IID_IPersistFile, IID_IPersistStorage, IID_IPersistStream, IID_IPrint,
	IID_IProgressNotify, IID_IPropertySetStorage, IID_IPropertyStorage,
	IID_IROTData, IID_IRootStorage, IID_IRpcChannelBuffer,
	IID_IRpcProxyBuffer, IID_IRpcStubBuffer, IID_IRunnableObject,
	IID_IRunningObjectTable, IID_ISequentialStream, IID_IStdMarshalInfo,
	IID_IStorage, IID_IStream, IID_ISupportErrorInfo, IID_IWebBrowser,
	IID_IWebBrowser2, IID_IWebBrowserApp): Remove. Moved to new files.
	* lib/comcat-uuid.c: New file.
	* lib/docobj-uuid.c: New File.
	* lib/exdisp-uuid.c: New file.
	* lib/mlang-uuid.c: New file.
	* lib/oaidl-uuid.c: New file.
	* lib/objidl-uuid.c: New file.
	* lib/objsafe-uuid.c: New file.

2006-06-07  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/Makefile.in: Add oleacc-uuid oleidl-uuid ocidl-uuid as sources and
	objects.
	* lib/uuid.c (IID_IOleCache, IID_IOleCache2, IID_IOleCacheControl, IID_IViewObject,
	IID_IViewObject2, IID_IDropSource, IID_IDropTarget, IID_IOleAdviseHolder,
	IID_IOleInPlaceUIWindow, IID_IOleInPlaceObject, IID_IOleInPlaceActiveObject,
	IID_IOleInPlaceFrame, IID_IOleInPlaceSite, IID_IOleContainer, IID_IOleItemContainer,
	IID_IOleClientSite, IID_IOleObject, IID_IOleWindow, IID_IParseDisplayName,
	IID_IAccessible, LIBID_Accessibility, IID_IQuickActivate, IID_IOleUndoManager,
	IID_IOleParentUndoUnit, IID_IOleUndoUnit, IID_IEnumOleUndoUnits, IID_IPointerInactive,
	IID_IAdviseSinkEx, IID_IOleInPlaceSiteEx, IID_IOleControl, IID_IOleControlSite,
	IID_IPersistPropertyBag, IID_IPersistPropertyBag2, IID_IPersistStreamInit,
	IID_IPersistMemory, IID_IPropertyBag, IID_IPropertyBag2, IID_IPropertyNotifySink,
	IID_IPropertyPage, IID_IPropertyPage2, IID_IPropertyPageSite, IID_IFont, IID_IFontDisp,
	IID_IPicture, IID_IPictureDisp, IID_IProvideClassInfo, IID_IProvideClassInfo2,
	IID_IEnumConnectionPoints, IID_IEnumConnections, IID_IConnectionPoint,
	IID_IConnectionPointContainer, IID_IClassFactory2, IID_IErrorLog,
	IID_IObjectWithSite, IID_IPerPropertyBrowsing, IID_ISimpleFrameSite,
	IID_ISpecifyPropertyPages): Remove. Moved to new files.
	* lib/oleidl-uuid.c: New file.
	* lib/oleacc-uuid.c: New file.
	* lib/ocidl-uuid.c: New file.

2006-06-04  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* lib/Makefile.in: Add unknwn-uuid and servprov-uuid as sources and
	objects.
	* lib/uuid.c (IID_IUnknown, IID_IClassFactory, IID_IServiceProvider):
	Remove.  Moved to unknwn-uuid and servprov-uuid.
	* lib/unknwn-uuid.c: New file.
	* lib/servprov-uuid.c: New file.

2006-06-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/strmif.h (VMRDeinterlaceTech): Correct typedef for DeinterlaceTech_*
	enum.

2006-06-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/strmif.h (enum tagAnalogVideoStandard): Add missing ','.

2006-06-02  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winuser.h (DM_BITSPERPEL, DM_PELSWIDTH, DM_PELSHEIGHT,
	DM_DISPLAYFLAGS, DM_DISPLAYFREQUENCY): Remove.  Duplicates of
	wingdi.h defines.

2006-06-02  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h ((SPI_GETMOUSETRAILS,SPI_SETMOUSETRAILS): Remove
	duplicate defines.

	* include/winnt.h (SUBLANG_ARABIC_SAUDI_ARABIA): Revert accidental
	removal.
	(SUBLANG_MARATHI_INDIA): Remove duplicate define.

2006-05-24  Christopher Faylor  <cgf@timesys.com>

	* configure.in: Update to newer autoconf.
	(thanks to Steve Ellcey)
	* configure: Regenerate.
	* aclocal.m4: New file.

2006-05-21  Danny Smith  <dannysmith@users.sourceforge.net>

	* lib/uuid.c (IID_IRpcProxyBuffer34): Remove definition.

2006-05-12  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/rtutils.h (TraceDumpA,TraceDumpW,TracePutsA,TracePutsW)
	(TraceRegisterA,TraceRegisterW,TraceVprintfA,TraceVprintfW): Define
	as macros.
	Thanks to:    Bruce M Simpson <bms_spc at sf dot net>

2006-05-12  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/mprapi.h (MprAdminMIBBufferFree,MprAdminMIBEntryCreate)
	(MprAdminMIBEntryDelete,MprAdminMIBEntryGet,MprAdminMIBEntryGetFirst)
	(MprAdminMIBEntryGetNext,MprAdminMIBEntrySet,MprAdminMIBGetTrapInfo)
	(MprAdminMIBServerConnect,MprAdminMIBServerDisconnect)
	(MprAdminMIBSetTrapInfo): Declare functions.
	Note: MprAdminMIBSetTrapInfo is missing from mprapi.def.
	(MIB_SERVER_HANDLE): New typedef.
	(MprConfigTransportSetInfo): Declare function.
	* lib/mprapi.def (MprSetupIpInIpInterfaceFriendlyNameEnum)
	(MprSetupIpInIpInterfaceFriendlyNameFree): Fix size.

2006-05-12  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* lib/rtutils.def: New file. Generated on Windows XP.
	(TracePrintf{AW},TracePrintfEx{AW}): Left out for now.
	* include/rtutils.h: New file.
	(TraceDump{AW},TracePuts{AW},TraceRegister{AW},TraceVprintf{AW}):
	Commented out, they're missing from rtutils.def.

2006-05-12  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/mprapi.h (MprInfoBlockAdd,MprInfoBlockFind)
	(MprInfoBlockQuerySize,MprInfoBlockRemove,MprInfoBlockSet)
	(MprInfoCreate,MprInfoDelete,MprInfoDuplicate)
	(MprInfoRemoveAll): Declare functions.

2006-05-12  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/mprapi.h (MprConfigBufferFree,MprConfigGetFriendlyName)
	(MprConfigGetGuidName,MprConfigInterfaceCreate)
	(MprConfigInterfaceDelete,MprConfigInterfaceEnum)
	(MprConfigInterfaceGetHandle,MprConfigInterfaceGetInfo)
	(MprConfigInterfaceSetInfo,MprConfigInterfaceTransportAdd)
	(MprConfigInterfaceTransportEnum,MprConfigInterfaceTransportGetHandle)
	(MprConfigInterfaceTransportGetInfo,MprConfigInterfaceTransportRemove)
	(MprConfigInterfaceTransportSetInfo,MprConfigServerBackup)
	(MprConfigServerConnect,MprConfigServerDisconnect)
	(MprConfigServerGetInfo,MprConfigServerInstall)
	(MprConfigServerRestore,MprConfigTransportCreate)
	(MprConfigTransportDelete,MprConfigTransportEnum)
	(MprConfigTransportGetHandle,MprConfigTransportGetInfo)
	(MprConfigTransportSetInfo): Declare functions.

2006-05-12  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/mprapi.h (MprAdminBufferFree)
	(MprAdminDeregisterConnectionNotification,MprAdminGetErrorString)
	(MprAdminInterfaceConnect,MprAdminInterfaceCreate)
	(MprAdminInterfaceDelete,MprAdminInterfaceDeviceGetInfo)
	(MprAdminInterfaceDeviceSetInfo,MprAdminInterfaceDisconnect)
	(MprAdminInterfaceEnum,MprAdminInterfaceGetCredentials)
	(MprAdminInterfaceGetCredentialsEx,MprAdminInterfaceGetHandle)
	(MprAdminInterfaceGetInfo,MprAdminInterfaceQueryUpdateResult)
	(MprAdminInterfaceSetCredentials,MprAdminInterfaceSetCredentialsEx)
	(MprAdminInterfaceSetInfo,MprAdminInterfaceTransportAdd)
	(MprAdminInterfaceTransportGetInfo,MprAdminInterfaceTransportRemove)
	(MprAdminInterfaceTransportSetInfo)
	(MprAdminInterfaceUpdatePhonebookInfo,MprAdminInterfaceUpdateRoutes)
	(MprAdminIsServiceRunning,MprAdminRegisterConnectionNotification)
	(MprAdminServerConnect,MprAdminServerDisconnect)
	(MprAdminServerGetCredentials,MprAdminServerGetInfo)
	(MprAdminServerSetCredentials,MprAdminTransportCreate)
	(MprAdminTransportGetInfo,MprAdminTransportSetInfo): Declare functions.

2006-05-12  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/ipxtfflt.h: New file.

2006-05-12  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/mprapi.h: Fix header guard. Cleanup.
	(MprAdminAcceptNewConnection,MprAdminAcceptNewConnection2)
	(MprAdminAcceptNewLink,MprAdminAcceptReauthentication)
	(MprAdminConnectionHangupNotification)
	(MprAdminConnectionHangupNotification2)
	(MprAdminGetIpAddressForUser,MprAdminInitializeDll)
	(MprAdminTerminateDll,MprAdminLinkHangupNotification)
	(MprAdminReleaseIpAddress): Declare functions.
	* lib/mprapi.def: Regenerate on Windows XP.

2006-05-12  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/ipifcons.h: Cleanup.
	* include/ipxconst.h: Fix header guard.
	* include/ipxrtdef.h: include <ipxconst.h>.

2006-05-11  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/ipxrtdef.h: Cleanup.
	(IPX_INTERFACE_INFO_TYPE,IPX_STATIC_ROUTE_INFO_TYPE)
	(IPX_STATIC_SERVICE_INFO_TYPE,IPX_SERVICE_FILTER_INFO_TYPE)
	(IPX_ROUTE_FILTER_INFO_TYPE,IPX_IN_TRAFFIC_FILTER_INFO_TYPE)
	(IPX_ADAPTER_INFO_TYPE,IPXWAN_INTERFACE_INFO_TYPE,IPX_GLOBAL_INFO_TYPE)
	(IPX_STATIC_NETBIOS_NAME_INFO_TYPE)
	(IPX_IN_TRAFFIC_FILTER_GLOBAL_INFO_TYPE)
	(IPX_OUT_TRAFFIC_FILTER_INFO_TYPE)
	(IPX_OUT_TRAFFIC_FILTER_GLOBAL_INFO_TYPE): Define.
	* include/routprot.h: Cleanup.
	(PROTO_IP_OTHER,PROTO_IP_LOCAL,PROTO_IP_NETMGMT,PROTO_IP_ICMP)
	(PROTO_IP_EGP,PROTO_IP_GGP,PROTO_IP_HELLO,PROTO_IP_RIP,PROTO_IP_IS_IS)
	(PROTO_IP_ES_IS,PROTO_IP_CISCO,PROTO_IP_BBN,PROTO_IP_OSPF,PROTO_IP_BGP)
	(PROTO_IP_BOOTP,PROTO_IP_NT_AUTOSTATIC,PROTO_IP_NT_STATIC)
	(PROTO_IP_NT_STATIC_NON_DOD,IPRTRMGR_PID,IPX_PROTOCOL_BASE)
	(IPX_PROTOCOL_RIP,IPX_PROTOCOL_SAP,IPX_PROTOCOL_NLSP): Define.
	* include/fltdefs.h: New file.
	* include/ipinfoid.h: New file.

2006-05-11  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/strmif.h (IAMAnalogVideoDecoder,IAMAudioInputMixer)
	(IAMAudioRendererStats,IAMBufferNegotiation,IAMCameraControl)
	(IAMCertifiedOutputProtection): Add interfaces.
	* include/adsprop.h: New file.
	* include/cmnquery.h: New file.
	* include/dsadmin.h: New file.
	* include/dsclient.h: New file.
	* include/dsgetdc.h: New file.
	* include/dsquery.h: New file.
	* include/dsrole.h: New file.
	* include/ntdsapi.h: New file.
	* include/ntdsbcli.h: New file.
	* include/objsel.h: New file.

2006-05-10  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/qedit.h (DEXTER_PARAM,DEXTER_VALUE,SCompFmt0): Add structures.
	(DEXTERF_TRACK_SEARCH_FLAGS,TIMELINE_MAJOR_TYPE): Add enums.
	(CONNECTF_DYNAMIC_NONE,CONNECTF_DYNAMIC_SOURCES)
	(CONNECTF_DYNAMIC_EFFECTS,SFN_VALIDATEF_CHECK,SFN_VALIDATEF_POPUP)
	(SFN_VALIDATEF_TELLME,SFN_VALIDATEF_REPLACE,SFN_VALIDATEF_USELOCAL)
	(SFN_VALIDATEF_NOFIND,SFN_VALIDATEF_IGNOREMUTED,RESIZEF_STRETCH)
	(RESIZEF_CROP,RESIZEF_PRESERVEASPECTRATIO)
	(RESIZEF_PRESERVEASPECTRATIO_NOLETTERBOX): Define.

2006-05-10  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/qedit.h: New file.
	* include/errors.h: Cleanup.

2006-05-10  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/amvideo.h (BIT_MASKS_MATCH): Don't use memcmp to
	avoid dependency on <string.h>.
	There's no Win32 equivalent for memcmp:
	http://support.microsoft.com/default.aspx?scid=kb;EN-US;q99456

2006-05-10  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/amvideo.h (RESET_MASKS,RESET_PALETTE): Use ZeroMemory
	instead of memset to avoid dependency on <string.h>.
	* include/dshow.h (AM_ASPECT_RATIO_MODE,AM_WST_DRAWBGMODE,AM_WST_LEVEL)
	(AMExtendedSeekingCapabilities,AM_WST_SERVICE,AM_WST_STATE)
	(AM_WST_STYLE): Add enums.
	(AM_WST_PAGE,AMVABeginFrameInfo,AMVACompBufferInfo,AMVAEndFrameInfo,
	AMVAInternalMemInfo,AMVAUncompBufferInfo,AMVAUncompDataInfo): New
	structures.
	* include/errors.h (VFW_E_DVD_CMD_CANCELLED)
	(VFW_E_DVD_STATE_WRONG_VERSION,VFW_E_DVD_STATE_CORRUPT)
	(VFW_E_DVD_STATE_WRONG_DISC,VFW_E_DVD_INCOMPATIBLE_REGION)
	(VFW_E_DVD_NO_ATTRIBUTES,VFW_E_DVD_NO_GOUP_PGC)
	(VFW_E_DVD_LOW_PARENTAL_LEVEL,VFW_E_DVD_NOT_IN_KARAOKE_MODE)
	(VFW_E_FRAME_STEP_UNSUPPORTED,VFW_E_DVD_STREAM_DISABLED)
	(VFW_E_DVD_TITLE_UNKNOWN,VFW_E_DVD_INVALID_DISC)
	(VFW_E_DVD_NO_RESUME_INFORMATION)
	(VFW_E_PIN_ALREADY_BLOCKED_ON_THIS_THREAD,VFW_E_PIN_ALREADY_BLOCKED)
	(VFW_E_CERTIFICATION_FAILURE,VFW_E_VMR_NOT_IN_MIXER_MODE)
	(VFW_E_VMR_NO_AP_SUPPLIED,VFW_E_VMR_NO_DEINTERLACE_HW)
	(VFW_E_VMR_NO_PROCAMP_HW,VFW_E_DVD_VMR9_INCOMPATIBLEDEC)
	(VFW_E_NO_COPP_HW,VFW_E_BAD_KEY): Define.
	* include/evcode.h (AM_WMT_EVENT_DATA): New structure.
	* include/mmsystem.h (WAVE_FORMAT_EXTENSIBLE): Define.
	* include/edevdefs.h (ED_FORMAT_SMPTE_30,ED_FORMAT_SMPTE_30DROP)
	(ED_FORMAT_SMPTE_25,ED_FORMAT_SMPTE_24): Move from here...
	* include/strmif.h: ... to here. New file.
	* include/aviriff.h: New file.
	* include/bdatypes.h: New file.
	* include/control.h: New file.
	* include/dvdmedia.h: New file.
	* include/il21dec.h: New file.
	* include/ks.h: New file.
	* include/ksmedia.h: New file.
	* include/mmreg.h: New file.
	* include/mpegtype.h: New file.
	* include/vidcap.h: New file.
	* include/vmr9.h: New file.
	* include/vptype.h: New file.
	* include/xprtdefs.h: New file.

2006-05-10  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winnls.h [WINVER >= 0x0500] (LOCALE_IDEFAULTEBCDICCODEPAGE):
	Documented as defined on Windows 2000 or later.
	[WINVER >= 0x0600] (LOCALE_SDURATION,LOCALE_SIETFLANGUAGE)
	(LOCALE_SISO3166CTRYNAME2,LOCALE_SISO639LANGNAME2)
	(LOCALE_SKEYBOARDSTOINSTALL,LOCALE_SNAME,LOCALE_SNAN)
	(LOCALE_SNEGINFINITY,LOCALE_SPOSINFINITY,LOCALE_SSCRIPTS): Documented
	but values unknown, Windows Vista or later.
	(CAL_UMALQURA): Cleanup.
	(CAL_SSHORTESTDAYNAME_1,CAL_SSHORTESTDAYNAME_2,CAL_SSHORTESTDAYNAME_3)
	(CAL_SSHORTESTDAYNAME_4,CAL_SSHORTESTDAYNAME_5,CAL_SSHORTESTDAYNAME_6)
	(CAL_SSHORTESTDAYNAME7): Cleanup.
	[WINVER >= 0x0410] (CAL_SYEARMONTH,CAL_ITWODIGITYEARMAX)
	(CAL_NOUSEROVERRIDE,CAL_RETURN_NUMBER,CAL_USE_CP_ACP): Cleanup.

2006-05-10  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/wingdi.h [WINVER >= 0x0500] (DC_PERSONALITY,DC_PRINTRATE)
	(DC_PRINTRATEUNIT,DC_PRINTERMEM,DC_MEDIAREADY,DC_STAPLE)
	(DC_PRINTRATEPPM,DC_COLORDEVICE,DC_NUP,DC_MEDIATYPENAMES)
	(DC_MEDIATYPES,DMPAPER_DBL_JAPANESE_POSTCARD,DMPAPER_A6)
	(DMPAPER_JENV_KAKU2,DMPAPER_JENV_KAKU3,DMPAPER_JENV_CHOU3)
	(DMPAPER_JENV_CHOU4,DMPAPER_LETTER_ROTATED)
	(DMPAPER_A3_ROTATED,DMPAPER_A4_ROTATED,DMPAPER_A5_ROTATED)
	(DMPAPER_B4_JIS_ROTATED,DMPAPER_B5_JIS_ROTATED)
	(DMPAPER_JAPANESE_POSTCARD_ROTATED)
	(DMPAPER_DBL_JAPANESE_POSTCARD_ROTATED)
	(DMPAPER_A6_ROTATED,DMPAPER_JENV_KAKU2_ROTATED)
	(DMPAPER_JENV_KAKU3_ROTATED,DMPAPER_JENV_CHOU3_ROTATED)
	(DMPAPER_JENV_CHOU4_ROTATED,DMPAPER_B6_JIS)
	(DMPAPER_B6_JIS_ROTATED,DMPAPER_12X11,DMPAPER_JENV_YOU4)
	(DMPAPER_JENV_YOU4_ROTATED,DMPAPER_P16K,DMPAPER_P32K)
	(DMPAPER_P32KBIG,DMPAPER_PENV_1,DMPAPER_PENV_2)
	(DMPAPER_PENV_3,DMPAPER_PENV_4,DMPAPER_PENV_5)
	(DMPAPER_PENV_6,DMPAPER_PENV_7,DMPAPER_PENV_8)
	(DMPAPER_PENV_9,DMPAPER_PENV_10,DMPAPER_P16K_ROTATED)
	(DMPAPER_P32K_ROTATED,DMPAPER_P32KBIG_ROTATED)
	(DMPAPER_PENV_1_ROTATED,DMPAPER_PENV_2_ROTATED)
	(DMPAPER_PENV_3_ROTATED,DMPAPER_PENV_4_ROTATED)
	(DMPAPER_PENV_5_ROTATED,DMPAPER_PENV_6_ROTATED)
	(DMPAPER_PENV_7_ROTATED,DMPAPER_PENV_8_ROTATED)
	(DMPAPER_PENV_9_ROTATED,DMPAPER_PENV_10_ROTATED): Define.
	(DMPAPER_LAST): Value depends on DMPAPER_* variables actually defined.
	(DM_PANNINGWIDTH,DM_PANNINGHEIGHT,DM_DISPLAYFIXEDOUTPUT)
	(DMDO_DEFAULT,DMDO_90,DMDO_180,DMDO_270,DMDFO_DEFAULT,DMDFO_STRETCH)
	(DMDFO_CENTER): Define.
	(GetDCBrushColor,GetDCPenColor): Declare.
	* lib/msimg32.def (GetDCBrushColor,GetDCPenColor): Add stubs.

2006-05-10  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winnt.h (LANG_PERSIAN,LANG_LOWER_SORBIAN,LANG_UPPER_SORBIAN)
	(LANG_TSWANA,LANG_XHOSA,LANG_ZULU,LANG_MALTESE,LANG_SAMI,LANG_IRISH)
	(LANG_TIBETAN,LANG_WELSH,LANG_KHMER,LANG_LAO,LANG_SINHALESE)
	(LANG_INUKTITUT,LANG_AMHARIC,LANG_TAMAZIGHT,LANG_FRISIAN)
	(LANG_PASHTO,LANG_FILIPINO,LANG_HAUSA,LANG_YORUBA,LANG_QUECHUA)
	(LANG_SOTHO,LANG_BASHKIR,LANG_LUXEMBOURGISH,LANG_GREENLANDIC)
	(LANG_IGBO,LANG_TIGRIGNA,LANG_YI,LANG_MAPUDUNGUN,LANG_MOHAWK)
	(LANG_BRETON,LANG_UIGHUR,LANG_MAORI,LANG_OCCITAN,LANG_CORSICAN)
	(LANG_ALSATIAN,LANG_YAKUT,LANG_KICHE,LANG_KINYARWANDA,LANG_WOLOF)
	(LANG_DARI,LANG_MALAGASY)
	(SUBLANG_CUSTOM_DEFAULT,SUBLANG_CUSTOM_UNSPECIFIED)
	(SUBLANG_UI_CUSTOM_DEFAULT,SUBLANG_AFRIKAANS_SOUTH_AFRICA)
	(SUBLANG_ALBANIAN_ALBANIA,SUBLANG_ALSATIAN_FRANCE)
	(SUBLANG_AMHARIC_ETHIOPIA,SUBLANG_ARMENIAN_ARMENIA)
	(SUBLANG_ASSAMESE_INDIA,SUBLANG_BASHKIR_RUSSIA,SUBLANG_BASQUE_BASQUE)
	(SUBLANG_BELARUSIAN_BELARUS,SUBLANG_BENGALI_INDIA)
	(SUBLANG_BOSNIAN_BOSNIA_HERZEGOVINA_LATIN)
	(SUBLANG_BOSNIAN_BOSNIA_HERZEGOVINA_CYRILLIC)
	(SUBLANG_BRETON_FRANCE,SUBLANG_BULGARIAN_BULGARIA)
	(SUBLANG_CATALAN_CATALAN,SUBLANG_CORSICAN_FRANCE)
	(SUBLANG_CZECH_CZECH_REPUBLIC,SUBLANG_CROATIAN_CROATIA)
	(SUBLANG_CROATIAN_BOSNIA_HERZEGOVINA_LATIN,SUBLANG_DANISH_DENMARK)
	(SUBLANG_DIVEHI_MALDIVES,SUBLANG_ENGLISH_IRELAND)
	(SUBLANG_ENGLISH_INDIA,SUBLANG_ENGLISH_MALAYSIA)
	(SUBLANG_ENGLISH_SINGAPORE,SUBLANG_ESTONIAN_ESTONIA)
	(SUBLANG_FAEROESE_FAROE_ISLANDS,SUBLANG_FILIPINO_PHILIPPINES)
	(SUBLANG_FINNISH_FINLAND,SUBLANG_FRISIAN_NETHERLANDS)
	(SUBLANG_GALICIAN_GALICIAN,SUBLANG_GEORGIAN_GEORGIA)
	(SUBLANG_GREEK_GREECE,SUBLANG_GREENLANDIC_GREENLAND)
	(SUBLANG_GUJARATI_INDIA,SUBLANG_HAUSA_NIGERIA,SUBLANG_HEBREW_ISRAEL)
	(SUBLANG_HINDI_INDIA,SUBLANG_HUNGARIAN_HUNGARY)
	(SUBLANG_ICELANDIC_ICELAND,SUBLANG_IGBO_NIGERIA)
	(SUBLANG_INDONESIAN_INDONESIA,SUBLANG_INUKTITUT_CANADA)
	(SUBLANG_INUKTITUT_CANADA_LATIN,SUBLANG_IRISH_IRELAND)
	(SUBLANG_JAPANESE_JAPAN,SUBLANG_KAZAK_KAZAKHSTAN)
	(SUBLANG_KHMER_CAMBODIA,SUBLANG_KICHE_GUATEMALA)
	(SUBLANG_KINYARWANDA_RWANDA,SUBLANG_KONKANI_INDIA)
	(SUBLANG_KYRGYZ_KYRGYZSTAN,SUBLANG_LAO_LAO_PDR)
	(SUBLANG_LATVIAN_LATVIA,SUBLANG_LITHUANIAN_LITHUANIA)
	(SUBLANG_LOWER_SORBIAN_GERMANY,SUBLANG_LUXEMBOURGISH_LUXEMBOURG)
	(SUBLANG_MACEDONIAN_MACEDONIA,SUBLANG_MALAYALAM_INDIA)
	(SUBLANG_MALTESE_MALTA,SUBLANG_MAORI_NEW_ZEALAND)
	(SUBLANG_MAPUDUNGUN_CHILE,SUBLANG_MARATHI_INDIA,SUBLANG_MOHAWK_MOHAWK)
	(SUBLANG_MONGOLIAN_CYRILLIC_MONGOLIA,SUBLANG_MONGOLIAN_PRC)
	(SUBLANG_NEPALI_NEPAL,SUBLANG_OCCITAN_FRANCE,SUBLANG_ORIYA_INDIA)
	(SUBLANG_PASHTO_AFGHANISTAN,SUBLANG_PERSIAN_IRAN)
	(SUBLANG_POLISH_POLAND,SUBLANG_PORTUGUESE_PORTUGAL)
	(SUBLANG_PUNJABI_INDIA,SUBLANG_QUECHUA_BOLIVIA,SUBLANG_QUECHUA_ECUADOR)
	(SUBLANG_QUECHUA_PERU,SUBLANG_ROMANIAN_ROMANIA)
	(SUBLANG_ROMANSH_SWITZERLAND,SUBLANG_RUSSIAN_RUSSIA)
	(SUBLANG_SAMI_NORTHERN_NORWAY,SUBLANG_SAMI_NORTHERN_SWEDEN)
	(SUBLANG_SAMI_NORTHERN_FINLAND,SUBLANG_SAMI_LULE_NORWAY)
	(SUBLANG_SAMI_LULE_SWEDEN,SUBLANG_SAMI_SOUTHERN_NORWAY)
	(SUBLANG_SAMI_SOUTHERN_SWEDEN,SUBLANG_SAMI_SKOLT_FINLAND)
	(SUBLANG_SAMI_INARI_FINLAND,SUBLANG_SANSKRIT_INDIA)
	(SUBLANG_SERBIAN_BOSNIA_HERZEGOVINA_LATIN)
	(SUBLANG_SERBIAN_BOSNIA_HERZEGOVINA_CYRILLIC)
	(SUBLANG_SINDHI_AFGHANISTAN,SUBLANG_SINHALESE_SRI_LANKA)
	(SUBLANG_SOTHO_NORTHERN_SOUTH_AFRICA,SUBLANG_SLOVAK_SLOVAKIA)
	(SUBLANG_SLOVENIAN_SLOVENIA,SUBLANG_SPANISH_US,SUBLANG_SWEDISH_SWEDEN)
	(SUBLANG_SYRIAC,SUBLANG_TAJIK_TAJIKISTAN)
	(SUBLANG_TAMAZIGHT_ALGERIA_LATIN,SUBLANG_TAMIL_INDIA)
	(SUBLANG_TATAR_RUSSIA,SUBLANG_TELUGU_INDIA,SUBLANG_THAI_THAILAND)
	(SUBLANG_TIBETAN_PRC,SUBLANG_TIBETAN_BHUTAN,SUBLANG_TIGRIGNA_ERITREA)
	(SUBLANG_TSWANA_SOUTH_AFRICA,SUBLANG_TURKISH_TURKEY)
	(SUBLANG_TURKMEN_TURKMENISTAN,SUBLANG_UIGHUR_PRC)
	(SUBLANG_UKRAINIAN_UKRAINE,SUBLANG_UPPER_SORBIAN_GERMANY)
	(SUBLANG_VIETNAMESE_VIETNAM,SUBLANG_WELSH_UNITED_KINGDOM)
	(SUBLANG_WOLOF_SENEGAL,SUBLANG_YORUBA_NIGERIA)
	(SUBLANG_XHOSA_SOUTH_AFRICA,SUBLANG_YAKUT_RUSSIA,SUBLANG_YI_PRC)
	(SUBLANG_ZULU_SOUTH_AFRICA): Define.
	(SUBLANG_ARABIC_SAUDI_ARABIA): Removed by error.
	(SUBLANG_MARATHI_INDIA): Defined twice by error.

2006-05-05  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* lib/directx/Makefile.in: Remove reference to libquartz.a since
	it was moved.

2006-05-05  Earnie Boyd  <earnie@users.sf.net>

	* lib/scrnsave.c: Correct misspelled SPI_SCREENSAVERUNNING to
	SPI_SETSCREENSAVERUNNING.
	* include winuser.h (SPI_SCREENSAVERRUNNING): Remove again.

2006-05-04  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h (SPI_SCREENSAVERRUNNING): Define.
	It had been removed because it's no documented, but Cygwin needs it.

2006-05-04  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/amvideo.h (IFullScreenVideo): Define.
	(BIT_MASKS_MATCH,PALETTISED,PALETTE_ENTRIES,RESET_MASKS,RESET_PALETTE,
	SIZE_EGA_PALETTE,SIZE_MASKS,SIZE_PALETTE): Added Macros.

2006-05-04  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winnls.h (CAL_SYEARMONTH,CAL_ITWODIGITYEARMAX,
	CAL_NOUSEROVERRIDE,CAL_RETURN_NUMBER,CAL_USE_CP_ACP): Documented
	as available on Windows 98 and better.
	(CAL_SSHORTESTDAYNAME_1,CAL_SSHORTESTDAYNAME_2,CAL_SSHORTESTDAYNAME_3)
	(CAL_SSHORTESTDAYNAME_4,CAL_SSHORTESTDAYNAME_5,CAL_SSHORTESTDAYNAME_6)
	(CAL_SSHORTESTDAYNAME7,CAL_UMALQURA): Define, Windows Vista and better.

2006-05-04  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/amvideo.h: New file.
	* include/dshow.h: Include <amvideo.h>.

2006-05-04  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h (MOUSEEVENTF_XDOWN,MOUSEEVENTF_XUP): Define.
	(MOUSEEVENTF_MOVE,MOUSEEVENTF_LEFTDOWN,MOUSEEVENTF_LEFTUP)
	(MOUSEEVENTF_RIGHTDOWN,MOUSEEVENTF_RIGHTUP,MOUSEEVENTF_MIDDLEDOWN)
	(MOUSEEVENTF_MIDDLEUP,MOUSEEVENTF_ABSOLUTE,MOUSEEVENTF_WHEEL): Cleanup.
	(HWND_BROADCAST): Cleanup.
	(HWND_MESSAGE): Windows 2000 only.
	(SMTO_ABORTIFHUNG,SMTO_BLOCK,SMTO_NORMAL): Cleanup.
	(SMTO_NOTIMEOUTIFNOTHUNG): Define.
	(SIF_DISABLENOSCROLL,SIF_PAGE,SIF_POS,SIF_RANGE,SIF_TRACKPOS)
	(SIF_ALL): Cleanup.
	(SWP_DRAWFRAME,SWP_FRAMECHANGED,SWP_HIDEWINDOW,SWP_NOACTIVATE)
	(SWP_NOCOPYBITS,SWP_NOMOVE,SWP_NOSIZE,SWP_NOREDRAW,SWP_NOZORDER)
	(SWP_SHOWWINDOW,SWP_NOOWNERZORDER,SWP_NOREPOSITION,SWP_NOSENDCHANGING)
	(SWP_DEFERERASE,SWP_ASYNCWINDOWPOS): Cleanup.
	(HSHELL_ENDTASK,HSHELL_ACCESSIBILITYSTATE,HSHELL_APPCOMMAND): Define.
	(SPI_GETBLOCKSENDINPUTRESETS,SPI_GETCARETWIDTH,SPI_GETDROPSHADOW)
	(SPI_GETFILTERKEYS,SPI_GETFLATMENU,SPI_GETFOCUSBORDERHEIGHT)
	(SPI_GETFOCUSBORDERWIDTH,SPI_GETFONTSMOOTHINGCONTRAST)
	(SPI_GETFONTSMOOTHINGTYPE,SPI_GETFOREGROUNDFLASHCOUNT)
	(SPI_GETMENUSHOWDELAY,SPI_GETMOUSECLICKLOCK,SPI_GETMOUSECLICKLOCKTIME)
	(SPI_GETMOUSEHOVERHEIGHT,SPI_GETMOUSEHOVERTIME,SPI_GETMOUSEHOVERWIDTH)
	(SPI_GETMOUSESONAR,SPI_GETMOUSEVANISH,SPI_GETNONCLIENTMETRICS)
	(SPI_GETPOWEROFFACTIVE,SPI_GETPOWEROFFTIMEOUT,SPI_GETSCREENREADER)
	(SPI_GETSCREENSAVEACTIVE,SPI_GETSCREENSAVERRUNNING)
	(SPI_GETSCREENSAVETIMEOUT,SPI_GETMOUSEVANISH,SPI_GETNONCLIENTMETRICS)
	(SPI_GETPOWEROFFACTIVE,SPI_GETPOWEROFFTIMEOUT,SPI_GETSCREENREADER)
	(SPI_GETSCREENSAVEACTIVE,SPI_GETSCREENSAVERRUNNING)
	(SPI_GETSCREENSAVETIMEOUT,SPI_GETSNAPTODEFBUTTON,SPI_GETUIEFFECTS)
	(SPI_SETBLOCKSENDINPUTRESETS,SPI_SETCARETWIDTH,SPI_SETCURSORS)
	(SPI_SETDROPSHADOW,SPI_SETFILTERKEYS,SPI_SETFLATMENU)
	(SPI_SETFOCUSBORDERHEIGHT,SPI_SETFOCUSBORDERWIDTH)
	(SPI_SETFONTSMOOTHINGCONTRAST,SPI_SETFONTSMOOTHINGTYPE)
	(SPI_SETFOREGROUNDFLASHCOUNT,SPI_SETICONS,SPI_SETMENUSHOWDELAY)
	(SPI_SETMOUSECLICKLOCK,SPI_SETMOUSECLICKLOCKTIME)
	(SPI_SETMOUSEHOVERHEIGHT,SPI_SETMOUSEHOVERTIME)
	(SPI_SETMOUSEHOVERWIDTH,SPI_SETMOUSESONAR,SPI_SETMOUSEVANISH)
	(SPI_SETNONCLIENTMETRICS,SPI_SETPENWINDOWS,SPI_SETPOWEROFFACTIVE)
	(SPI_SETPOWEROFFTIMEOUT,SPI_SETSCREENREADER,SPI_SETSCREENSAVEACTIVE)
	(SPI_SETSCREENSAVERRUNNING,SPI_SETSCREENSAVETIMEOUT,SPI_SETSHOWIMEUI)
	(SPI_SETSNAPTODEFBUTTON,SPI_SETUIEFFECTS): Define.
	(SPI_GETACCESSTIMEOUT,SPI_GETANIMATION,SPI_GETBEEP)
	(SPI_GETDEFAULTINPUTLANG,SPI_GETDESKWALLPAPER,SPI_GETDRAGFULLWINDOWS)
	(SPI_GETFASTTASKSWITCH,SPI_GETFONTSMOOTHING,SPI_GETGRIDGRANULARITY)
	(SPI_GETHIGHCONTRAST,SPI_GETICONMETRICS,SPI_GETICONTITLELOGFONT)
	(SPI_GETICONTITLEWRAP,SPI_GETKEYBOARDDELAY,SPI_GETKEYBOARDPREF)
	(SPI_GETKEYBOARDSPEED,SPI_GETLOWPOWERACTIVE,SPI_GETLOWPOWERTIMEOUT)
	(SPI_GETMENUDROPALIGNMENT,SPI_GETMENUUNDERLINES,SPI_GETMINIMIZEDMETRICS)
	(SPI_GETMOUSE,SPI_GETMOUSEKEYS,SPI_GETMOUSESPEED,SPI_GETMOUSETRAILS)
	(SPI_GETSERIALKEYS,SPI_GETSHOWIMEUI,SPI_GETSHOWSOUNDS)
	(SPI_GETSOUNDSENTRY,SPI_GETSTICKYKEYS,SPI_GETTOGGLEKEYS)
	(SPI_GETWHEELSCROLLLINES,SPI_GETWINDOWSEXTENSION,SPI_GETWORKAREA)
	(SPI_ICONHORIZONTALSPACING,SPI_ICONVERTICALSPACING)
	(SPI_SETACCESSTIMEOUT,SPI_SETANIMATION,SPI_SETBEEP,SPI_SETBORDER)
	(SPI_SETDEFAULTINPUTLANG,SPI_SETDESKPATTERN,SPI_SETDESKWALLPAPER)
	(SPI_SETDOUBLECLICKTIME,SPI_SETDOUBLECLKHEIGHT,SPI_SETDOUBLECLKWIDTH)
	(SPI_SETDRAGFULLWINDOWS,SPI_SETDRAGHEIGHT,SPI_SETDRAGWIDTH)
	(SPI_SETFASTTASKSWITCH,SPI_SETFONTSMOOTHING,SPI_SETGRIDGRANULARITY)
	(SPI_SETHANDHELD,SPI_SETHIGHCONTRAST,SPI_SETICONMETRICS)
	(SPI_SETICONTITLELOGFONT,SPI_SETICONTITLEWRAP,SPI_SETKEYBOARDDELAY)
	(SPI_SETKEYBOARDPREF,SPI_SETKEYBOARDSPEED,SPI_SETLANGTOGGLE)
	(SPI_SETLOWPOWERACTIVE,SPI_SETLOWPOWERTIMEOUT,SPI_SETMENUDROPALIGNMENT)
	(SPI_SETMENUUNDERLINES,SPI_SETMINIMIZEDMETRICS,SPI_SETMOUSE)
	(SPI_SETMOUSEBUTTONSWAP,SPI_SETMOUSEKEYS,SPI_SETMOUSESPEED)
	(SPI_SETMOUSETRAILS,SPI_SETSERIALKEYS,SPI_SETSHOWSOUNDS)
	(SPI_SETSOUNDSENTRY,SPI_SETSTICKYKEYS,SPI_SETTOGGLEKEYS)
	(SPI_SETWHEELSCROLLLINES,SPI_SETWORKAREA): Cleanup.
	(SPI_GETMOUSETRAILS,SPI_SETMOUSETRAILS): Defined twice by error.
	(SPI_SCREENSAVERRUNNING): Removed.
	(SPIF_UPDATEINIFILE,SPIF_SENDCHANGE,SPIF_SENDWININICHANGE): Cleanup.
	* include/wingdi.h (ETO_NUMERICSLATIN,ETO_NUMERICSLOCAL)
	(ETO_IGNORELANGUAGE,ETO_PDY): Define.
	(ETO_CLIPPED,ETO_GLYPH_INDEX,ETO_OPAQUE,ETO_RTLREADING): Cleanup.

2006-05-03  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/mprapi.h (MPR_SERVER_HANDLE): Add typedef.
	(MprAdminGetPDCServer): Add prototype.
	(MprAdminSendUserMessage): Add prototype.
	(MprAdminUserGetInfo): Add prototype.
	(MprAdminUserSetInfo): Add prototype.
	* lib/mprapi.def: Add stubs for above functions.

2006-05-03  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* lib/directx/quartz.def: Move from here...
	* lib/quartz.def: ... to here.

2006-05-03  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/amaudio.h: New file.
	* include/dshow.h: Include <amaudio.h>.

2006-05-03  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/errors.h: New file.
	* include/dshow.h: Include <errors.h>.

2006-05-03  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/dshow.h: New file.
	* include/evcode.h: New file.
	* include/audevcod.h: New file.
	* include/dvdevcod.h: New file.

2006-05-02  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/mprapi.h (RAS_SERVER_HANDLE): Add typedef.
	(MprAdminConnectionClearStats): Add prototype.
	(MprAdminConnectionEnum): Add  prototype.
	(MprAdminConnectionGetInfo): Add prototype.
	(MprAdminConnectionRemoveQuarantine): Add prototype.
	(MprAdminPortClearStats): Add prototype.
	(MprAdminPortDisconnect): Add prototype.
	(MprAdminPortEnum): Add prototype.
	(MprAdminPortGetInfo): Add prototype.
	(MprAdminPortReset): Add prototype.
	* lib/mprapi.def: New file.

2006-05-02  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	*  include/mprapi.h: #include <lmcons.h>
	(MAX_DEVICETYPE_NAME): Add define.
	(MAX_PHONE_NUMBER_LEN): Add define.
	(ATADDRESSLEN): Add define.
	(IPADDRESSLEN): Add define.
	(IPXADDRESSLEN): Add define.
	(MPR_ENABLE_RAS_ON_DEVICE): Add define.
	(MPR_ENABLE_ROUTING_ON_DEVICE): Add define.
	(RAS_FLAGS_PPP_CONNECTION): Add define.
	(RAS_FLAGS_MESSENGER_PRESENT): Add define.
	(RAS_FLAGS_RAS_CONNECTION): Add define.
	(RAS_FLAGS_QUARANTINE_PRESENT): Add define.
	(RASCCPCA_STAC): Add define.
	(RASCCPCA_MPPC): Add define.
	(PPP_CCP_COMPRESSION): Add define.
	(PPP_CCP_ENCRYPTION40BITOLD): Add define.
	(PPP_CCP_ENCRYPTION40BIT): Add define.
	(PPP_CCP_ENCRYPTION128BIT): Add define.
	(PPP_CCP_ENCRYPTION56BIT): Add define.
	(PPP_CCP_HISTORYLESS): Add define.
	(RASPRIV_NoCallback): Add define.
	(RASPRIV_AdminSetCallback): Add define.
	(RASPRIV_CallerSetCallback): Add define.
	(RASPRIV_DialinPrivilege): Add define.
	(RASPRIV_CallbackType): Add define.
	(RASPRIV2_DialinPolicy): Add define.
	(PPP_LCP_PAP): Add define.
	(PPP_LCP_SPAP): Add define.
	(PPP_LCP_CHAP): Add define.
	(PPP_LCP_EAP): Add define.
	(PPP_LCP_CHAP_MD5): Add define.
	(PPP_LCP_CHAP_MS): Add define.
	(PPP_LCP_CHAP_MSV2): Add define.
	(PPP_LCP_MULTILINK_FRAMING): Add define.
	(enum _RAS_HARDWARE_CONDITION): Add.
	(enum _RAS_PORT_CONDITION): Add.
	(struct _PPP_ATCP_INFO): Add.
	(struct _PPP_ATCP_INFO): Add.
	(struct _PPP_IPCP_INFO): Add.
	(struct _PPP_IPCP_INFO2): Add.
	(struct _PPP_IPXCP_INFO): Add.
	(struct _PPP_LCP_INFO): Add.
	(struct _PPP_NBFCP_INFO): Add.
	(struct _PPP_INFO): Add.
	(struct _PPP_INFO_2): Add.
	(struct _RAS_CONNECTION_0): Add.
	(struct RAS_CONNECTION_1): Add.
	(struct _RAS_CONNECTION_2): Add.
	(struct RAS_PORT_0): Add.
	(struct _RAS_PORT_1): Add.
	(struct _RAS_USER_0): Add.
	(struct _RAS_USER_1): Add.

2006-05-02  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/mprapi.h: New file.
	* include/routprot.h: New file.
	* include/ipxrtdef.h: New file.
	* include/ipxconst.h: New file.
	* include/stm.h: New file.

2006-04-28  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/ddk/winddk.h (KAFFINITY): Fix typo.
	Thanks to:    Oliver Stoeneberg <kidkat at sf dot net>

2006-04-28  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winbase.h (ENUMRESLANGPROC,ENUMRESLANGPROCA,ENUMRESLANGPROCW)
	(ENUMRESNAMEPROC,ENUMRESNAMEPROCA,ENUMRESNAMEPROCW)
	(ENUMRESTYPEPROC,ENUMRESTYPEPROCA,ENUMRESTYPEPROCW): ANSI and Unicode
	versions.
	Thanks to:    Oliver Stoeneberg <kidkat at sf dot net>

2006-04-28  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/ntsecapi.h (POLICY_DNS_DOMAIN_INFO): Fix typo.
	Thanks to:    Oliver Stoeneberg <kidkat at sf dot net>

2006-04-28  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/wingdi.h (BITMAPV5HEADER): New structure definition.

2006-04-28  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/basetyps.h (REFFMTID): Define properly.

2006-04-28  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winnt.h (WT_SET_MAX_THREADPOOL_THREADS): Define.
	Thanks to:    Bruce M Simpson <bms_spc at sf dot net>

2006-04-28  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/ipifcons.h (MIN_IF_TYPE,IF_TYPE_OTHER,IF_TYPE_REGULAR_1822)
	(IF_TYPE_HDH_1822,IF_TYPE_DDN_X25,IF_TYPE_RFC877_X25)
	(IF_TYPE_ETHERNET_CSMACD,IF_TYPE_IS088023_CSMACD)
	(IF_TYPE_ISO88024_TOKENBUS,IF_TYPE_ISO88025_TOKENRING)
	(IF_TYPE_ISO88026_MAN,IF_TYPE_STARLAN,IF_TYPE_PROTEON_10MBIT)
	(IF_TYPE_PROTEON_80MBIT,IF_TYPE_HYPERCHANNEL,IF_TYPE_FDDI)
	(IF_TYPE_LAP_B,IF_TYPE_SDLC,IF_TYPE_DS1,IF_TYPE_E1,IF_TYPE_BASIC_ISDN)
	(IF_TYPE_PRIMARY_ISDN,IF_TYPE_PROP_POINT2POINT_SERIAL,IF_TYPE_PPP)
	(IF_TYPE_SOFTWARE_LOOPBACK,IF_TYPE_EON,IF_TYPE_ETHERNET_3MBIT)
	(IF_TYPE_NSIP,IF_TYPE_SLIP,IF_TYPE_ULTRA,IF_TYPE_DS3,IF_TYPE_SIP)
	(IF_TYPE_FRAMERELAY,IF_TYPE_RS232,IF_TYPE_PARA,IF_TYPE_ARCNET)
	(IF_TYPE_ARCNET_PLUS,IF_TYPE_ATM,IF_TYPE_MIO_X25,IF_TYPE_SONET)
	(IF_TYPE_X25_PLE,IF_TYPE_ISO88022_LLC,IF_TYPE_LOCALTALK)
	(IF_TYPE_SMDS_DXI,IF_TYPE_FRAMERELAY_SERVICE,IF_TYPE_V35,IF_TYPE_HSSI)
	(IF_TYPE_HIPPI,IF_TYPE_MODEM,IF_TYPE_AAL5,IF_TYPE_SONET_PATH)
	(IF_TYPE_SONET_VT,IF_TYPE_SMDS_ICIP,IF_TYPE_PROP_VIRTUAL)
	(IF_TYPE_PROP_MULTIPLEXOR,IF_TYPE_IEEE80212,IF_TYPE_FIBRECHANNEL)
	(IF_TYPE_HIPPIINTERFACE,IF_TYPE_FRAMERELAY_INTERCONNECT)
	(IF_TYPE_AFLANE_8023,IF_TYPE_AFLANE_8025,IF_TYPE_CCTEMUL)
	(IF_TYPE_FASTETHER,IF_TYPE_ISDN,IF_TYPE_V11,IF_TYPE_V36)
	(IF_TYPE_G703_64K,IF_TYPE_G703_2MB,IF_TYPE_QLLC,IF_TYPE_FASTETHER_FX)
	(IF_TYPE_CHANNEL,IF_TYPE_IEEE80211,,IF_TYPE_IBM370PARCHAN)
	(IF_TYPE_ESCON,IF_TYPE_DLSW,IF_TYPE_ISDN_S,IF_TYPE_ISDN_U)
	(IF_TYPE_LAP_D,IF_TYPE_IPSWITCH,IF_TYPE_RSRB,IF_TYPE_ATM_LOGICAL)
	(IF_TYPE_DS0,IF_TYPE_DS0_BUNDLE,IF_TYPE_BSC,IF_TYPE_ASYNC,IF_TYPE_CNR)
	(IF_TYPE_ISO88025R_DTR,IF_TYPE_EPLRS,IF_TYPE_ARAP,IF_TYPE_PROP_CNLS)
	(IF_TYPE_HOSTPAD,IF_TYPE_TERMPAD,IF_TYPE_FRAMERELAY_MPI,IF_TYPE_X213)
	(IF_TYPE_ADSL,IF_TYPE_RADSL,IF_TYPE_SDSL,IF_TYPE_VDSL)
	(IF_TYPE_ISO88025_CRFPRINT,IF_TYPE_MYRINET,IF_TYPE_VOICE_EM)
	(IF_TYPE_VOICE_FXO,IF_TYPE_VOICE_FXS,IF_TYPE_VOICE_ENCAP)
	(IF_TYPE_VOICE_OVERIP,IF_TYPE_ATM_DXI,IF_TYPE_ATM_FUNI,IF_TYPE_ATM_IMA)
	(IF_TYPE_PPPMULTILINKBUNDLE,IF_TYPE_IPOVER_CDLC,IF_TYPE_IPOVER_CLAW)
	(IF_TYPE_STACKTOSTACK,IF_TYPE_VIRTUALIPADDRESS,IF_TYPE_MPC
	(IF_TYPE_IPOVER_ATM,IF_TYPE_ISO88025_FIBER,IF_TYPE_TDLC
	(IF_TYPE_GIGABITETHERNET,IF_TYPE_HDLC,IF_TYPE_LAP_F,IF_TYPE_V37)
	(IF_TYPE_X25_MLP,IF_TYPE_X25_HUNTGROUP,IF_TYPE_TRANSPHDLC)
	(IF_TYPE_INTERLEAVE,IF_TYPE_FAST,IF_TYPE_IP,IF_TYPE_DOCSCABLE_MACLAYER)
	(IF_TYPE_DOCSCABLE_DOWNSTREAM,IF_TYPE_DOCSCABLE_UPSTREAM)
	(IF_TYPE_A12MPPSWITCH,IF_TYPE_TUNNEL,IF_TYPE_COFFEE,IF_TYPE_CES)
	(IF_TYPE_ATM_SUBINTERFACE,IF_TYPE_L2_VLAN,IF_TYPE_L3_IPVLAN)
	(IF_TYPE_L3_IPXVLAN,IF_TYPE_DIGITALPOWERLINE,IF_TYPE_MEDIAMAILOVERIP)
	(IF_TYPE_DTM,IF_TYPE_DCN,IF_TYPE_IPFORWARD,IF_TYPE_MSDSL)
	(IF_TYPE_IEEE1394,IF_TYPE_RECEIVE_ONLY,MAX_IF_TYPE,IF_ACCESS_LOOPBACK)
	(IF_ACCESS_BROADCAST,IF_ACCESS_POINTTOPOINT)
	(IF_ACCESS_POINTTOMULTIPOINT,IF_CHECK_NONE,IF_CHECK_MCAST)
	(IF_CHECK_SEND,IF_CONNECTION_DEDICATED,IF_CONNECTION_PASSIVE)
	(IF_CONNECTION_DEMAND,IF_ADMIN_STATUS_UP,IF_ADMIN_STATUS_DOWN)
	(IF_ADMIN_STATUS_TESTING,IF_OPER_STATUS_NON_OPERATIONAL)
	(IF_OPER_STATUS_UNREACHABLE,IF_OPER_STATUS_DISCONNECTED)
	(IF_OPER_STATUS_CONNECTING,IF_OPER_STATUS_CONNECTED)
	(IF_OPER_STATUS_OPERATIONAL): Define.
	* include/winbase.h (CancelWaitableTimer,UnregisterWait):
	Add function declaration.
	* include/mgm.h: New file.
	* lib/rtm.def: New file.
	Thanks to:    Bruce M Simpson <bms_spc at sf dot net>

2006-04-24  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/ws2tcpip.h (gai_strerror): Remove thread-safety comment.
	This function cannot be made thread-safe, the API would have to be
	changed for that, just like strerror() -> strerror_r() and similar
	ISO C or POSIX functions...

2006-04-19  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/edevdefs.h: New file.

2006-04-19  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/mmsystem.h (_LPCWAVEFORMATEX_DEFINED): Define.
	Use as guard for the WAVEFORMATEX structure instead of
	_WAVEFORMATEX_ to avoid clashes with DirectSound. Keep
	_WAVEFORMATEX_ for compatibility.
	Thanks to:    Andrew Jones <guln at sf dot net>

2006-04-19  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h (CharNextEx,CharNextExW,CharPrevEx,CharPrevExW):
	Delete. Only CharNextExA and CharPrevExA are documented in MSDN.
	Thanks to:    David Golub <david_golub at sf dot net>

2006-04-18  Eric House  <ehouse@eehouse.org>

	PocketPC support.
	* include/aygshell.h: New file [_WIN32_WCE]. Declare most common
	functions for using aygshell on PocketPC:
	SHCreateMenuBar, SHFindMenuBar, SHCreateNewItem, SHFullScreen,
	SHSipInfo, SHHandleWMActivate, SHHandleWMSettingChange

	* include/commctrl.h [_WIN32_WCE] Add function prototypes for
	command bar API on PocketPC:
	CommandBar_Create, CommandBar_Show, CommandBar_AddBitmap,
	CommandBar_InsertComboBox, CommandBar_InsertMenubar,
	CommandBar_InsertMenubarEx, CommandBar_DrawMenuBar,
	CommandBar_GetMenu, CommandBar_AddAdornments, CommandBar_Height,
	CommandBar_InsertButton, CommandBar_Destroy.

	* include/winbase.h [_WIN32_WCE] (WIN32_FIND_DATA{A|W}): Remove
	fields not present on PocketPC.
	(GetCurrentThreadId): Conditionally declare as extern function
	without dllimport attribute on PocketPC.
	(ResetEvent): Likwise.
	(SetEvent): Likewise.

	* include/wingdi.h [_WIN32_WCE]  (GetTextExtentPoint32{A|W}):
	Conditionally declare as extern function without dllimport
	 attribute on PocketPC.
	* winuser.h  [_WIN32_WCE] (DialogBoxParam{A|W}): Conditionally
	declare as extern function without dllimport attribute on PocketPC.

2006-04-18  Thorsten Dahlheimer  <dahlheim@users.sf.net>

	* lib/test.c: Include icm.h.

2006-04-18  Thorsten Dahlheimer  <dahlheim@users.sf.net>

	* include/wingdi.h (ColorCorrectPalette): Add declaration.
	(CreateColorSpace): Add UNICODE mappings.
	* lib/gdi32.def (ColorCorrectPalette): Add stub.
	* include/icm.h: New file.
	* lib/mscms.def: New file.
	* lib/icmui.def: New file.

2006-04-18  Thorsten Dahlheimer  <dahlheim@users.sf.net>

	* include/winnt.h (IMAGE_FILE_MACHINE_IA64): New define.
	(IMAGE_FILE_MACHINE_AMD64): New define.
	(IMAGE_NT_OPTIONAL_HDR32_MAGIC,IMAGE_NT_OPTIONAL_HDR64_MAGIC):
	New defines.
	(IMAGE_NT_OPTIONAL_HDR_MAGIC): Map to one of the above.
	(IMAGE_SUBSYSTEM_NATIVE_WINDOWS): New define.
	(IMAGE_SUBSYSTEM_WINDOWS_CE_GUI): New define.
	(IMAGE_DLLCHARACTERISTICS_WDM_DRIVER): New define.
	(IMAGE_DIRECTORY_ENTRY_ARCHITECTURE,IMAGE_DIRECTORY_ENTRY_DELAY_IMPORT)
	(IMAGE_DIRECTORY_ENTRY_COM_DESCRIPTOR): New defines.
	(IMAGE_SCN_TYPE_REG,IMAGE_SCN_TYPE_DSECT,IMAGE_SCN_TYPE_NOLOAD)
	(IMAGE_SCN_TYPE_GROUP,IMAGE_SCN_TYPE_COPY,IMAGE_SCN_TYPE_OVER):
	New defines.
	(IMAGE_SCN_ALIGN_128BYTES,IMAGE_SCN_ALIGN_256BYTES)
	(IMAGE_SCN_ALIGN_512BYTES,IMAGE_SCN_ALIGN_1024BYTES)
	(IMAGE_SCN_ALIGN_2048BYTES,IMAGE_SCN_ALIGN_4096BYTES)
	(IMAGE_SCN_ALIGN_8192BYTES): New defines.
	(IMAGE_DEBUG_TYPE_BORLAND): New define.
	(IMAGE_OPTIONAL_HEADER32,PIMAGE_OPTIONAL_HEADER32)
	(IMAGE_OPTIONAL_HEADER64,PIMAGE_OPTIONAL_HEADER64): New structure
	definitions and typedefs.
	(IMAGE_OPTIONAL_HEADER,PIMAGE_OPTIONAL_HEADER): Map to the above.
	(IMAGE_NT_HEADERS32,PIMAGE_NT_HEADERS32,IMAGE_NT_HEADERS64)
	(PIMAGE_NT_HEADERS64): New structure definitions and typedefs.
	(IMAGE_NT_HEADERS,PIMAGE_NT_HEADERS): Map to the above.
	(IMAGE_LOAD_CONFIG_DIRECTORY64,PIMAGE_LOAD_CONFIG_DIRECTORY64):
	New structure definition and typedefs.
	(IMAGE_CE_RUNTIME_FUNCTION_ENTRY,PIMAGE_CE_RUNTIME_FUNCTION_ENTRY):
	Likewise.
	(IMAGE_FUNCTION_ENTRY64,PIMAGE_FUNCTION_ENTRY64): Likewise.

2006-04-18  Bart Oldeman  <bartoldeman@users.sf.net>

	* lib/test.c: Fix typo in #inlcude.
	* include/aclui.h: INTERFACE should not remain
	defined at the end of the header.
	* include/servprov.h: Ditto.

2006-04-16  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/ws2tcpip.h (gai_strerror): Add thread-safety comment.

2006-04-14  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/ws2tcpip.h (gai_strerrorA,gai_strerrorW): Implement inline.

2006-04-14  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/wsahelp.h (system_header): Add pragma.
	* include/ws2spi.h (system_header): Add pragma.
	* include/rasdlg.h (system_header): Add pragma.
	* include/rasdlg.h (_RASDLG_H): Define.
	Define instead of _RASDLG_H_, this is the w32api standard.
	* include/mlang.h (_MLANG_H): Define.
	Define instead of _MLANG_H_, this is the w32api standard.
	* include/setupapi.h (_SETUPAPI_H): Define.
	Define instead of _SETUPAPI_H_, this is the w32api standard.

2006-04-14  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/rpcndr.h (boolean): Add typedef.
	Thanks to:    James du Russel <ephelon at users dot sf dot net>
	* include/rpcndr.h (_RPCNDR_H): Define.
	Define in addition to __RPCNDR_H__, this is the w32api standard.

2006-04-14  Chris Sutcliffe  <ir0nh34d@users.sf.net>

	* include/w32api.h: Increment version to 3.7.
	* Makefile.in: Ditto.

2006-04-13  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/winbase.h (GET_MODULE_HANDLE_EX_FLAG_FROM_ADDRESS,
	GET_MODULE_HANDLE_EX_FLAG_PIN,
	GET_MODULE_HANDLE_EX_FLAG_UNCHANGED_REFCOUNT): Define.
	Thanks to:    Brandon Sneed <brandon at redf dot net>

2006-04-08  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/secext.h: Enclose function declarations in extern "C"
	if __cplusplus.

2006-04-11  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/comcat.h: INTERFACE should not remain defined
	at the end of the header.
	* include/docobj.h: Ditto.
	* include/exdisp.h: Ditto.
	* include/intshcut.h: Ditto.
	* include/mlang.h: Ditto.
	* include/mshtml.h: Ditto.
	* include/oaidl.h: Ditto.
	* include/objidl.h: Ditto.
	* include/objsafe.h: Ditto.
	* include/ocidl.h: Ditto.
	* include/oleacc.h: Ditto.
	* include/oledlg.h: Ditto.
	* include/oleidl.h: Ditto.
	* include/richole.h: Ditto.
	* include/shldisp.h: Ditto.
	* include/shlobj.h: Ditto.
	* include/unknwn.h: Ditto.
	* include/vfw.h: Ditto.
	Thanks to:    Brandon Sneed <brandon at redf dot net>

2006-04-11  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/commdlg.h [_WIN32_WINNT >= 0x0500] (PD_CURRENTPAGE)
	(PD_NOCURRENTPAGE,PD_EXCLUSIONFLAGS,PD_USELARGETEMPLATE): Define.
	Thanks to:    Wolfgang Glas <softadm at users dot sf dot net>

2006-04-08  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/iphlpapi.h (GetAdaptersAddresses): Check for winsock2
	here also.

2006-04-07  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/wincrypt.h (PROV_MS_EXCHANGE): Define.
	We should probably remove PROV_MS_MAIL but I'm keeping it for
	now for compatibility reasons.
	Thanks to:    Marcus Agehall <agehall at users dot sf dot net>

2006-04-07  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/commdlg.h [_WIN32_WINNT >= 0x0500] (START_PAGE_GENERAL)
	(PD_RESULT_PRINT,PD_RESULT_APPLY): Define.
	Thanks to:    Wolfgang Glas <softadm at users dot sf dot net>

2006-04-07  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/wingdi.h [WINVER >= 0x0410]
	(AlphaBlend,GradientFill,TransparentBlt): Windows 98 and better.
	Thanks to:    Alessandro Antonello <aleantonello at users dot sf dot net>

2006-04-07  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/wingdi.h (CAPTUREBLT,NOMIRRORBITMAP): Define.
	* include/commctrl.h (WC_LINKA,WC_LINKW,LIF_ITEMINDEX,LIF_STATE)
	(LIF_ITEMID,LIF_URL,LIS_FOCUSED,LIS_ENABLED,LIS_VISITED,LM_HITTEST)
	(LM_GETIDEALHEIGHT,LM_SETITEM,LM_GETITEM,MAX_LINKID_TEXT)
	(L_MAX_URL_LENGTH): Define.
	(LITEM,LHITTESTINFO,NMLINK): Add structures.
	Thanks to:    Brandon Sneed <brandon at redf dot net>

2006-04-06  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/w32api.h (IE601,IE602,IE7): Define for recent versions of IE.

2006-04-06  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/w32api.h (_W32API_H): Define.
	Define in addition to _W32API_H_, this is the w32api standard.

2006-04-06  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/w32api.h (WindowsVista): Define.

2006-04-06  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/iptypes.h (IP_ADAPTER_*): Define parts that depend
	on SOCKET_ADDRESS only if winsock2.h has already been included.

2006-04-06  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h (WM_IME_*): Remove. Defined in imm.h.

2006-04-05  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/iphlpapi.h (GAA_FLAG_*): Define.
	(GetAdaptersAddresses): Add function declaration.
	* lib/iphlpapi.def (GetAdaptersAddresses): Add function stub.
	Thanks to:    ross <rossboulet at users dot sf dot net>

2006-04-05  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/iptypes.h (IP_INTERFACE_NAME_INFO,
	IP_ADAPTER_ANYCAST_ADDRESS,IP_ADAPTER_MULTICAST_ADDRESS,
	IP_ADAPTER_UNICAST_ADDRESS,IP_ADAPTER_DNS_SERVER_ADDRESS,
	IP_ADAPTER_PREFIX,IP_ADAPTER_ADDRESSES): Add structures.
	(IF_OPER_STATUS,IP_DAD_STATE,IP_PREFIX_ORIGIN,IP_SUFFIX_ORIGIN,
	SCOPE_LEVEL): Add enums.
	(IP_ADAPTER_*): Define.

2006-04-05  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h (GetWindowExtEx): Removed, belongs to wingdi.h.
	Thanks to:    Sergey Philippov <phis at users dot sf dot net>

2006-04-05  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/objidl.h (PIDSI_*): Define.
	(PRSPEC_*): Define.
	Thanks to:    Oliver Stoeneberg <kidkat at users dot sf dot net>

2006-04-05  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winbase.h (LOGON32_PROVIDER_WINNT40,
	LOGON32_PROVIDER_WINNT50, LOGON32_LOGON_NETWORK,
	LOGON32_LOGON_UNLOCK, LOGON32_LOGON_NETWORK_CLEARTEXT,
	LOGON32_LOGON_NEW_CREDENTIALS): Define.
	Thanks to:    Oliver Stoeneberg <kidkat at users dot sf dot net>

2006-04-05  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/mq.h: New file.
	* lib/mqrt.def (MQ*): Define a few missing functions.

2006-04-05  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* lib/mqrt.def: New file.
	Needs the mq.h file to work properly, working on it.
	Thanks to:    Pascal Obry <pobry at users dot sf dot net>

2006-04-05  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winerror.h (STG_E_*):  Define.
	Thanks to:    Oliver Stoeneberg <kidkat at users dot sf dot net>
	* include/winerror.h (STG_S_*): Define.
	(CO_S_MACHINENAMENOTFOUND): Define.
	(RPC_E_*): Define.
	(NTE_*): Define.

2006-04-03  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/commctrl.h (ListView_*):  Define and correct.
	(LVM_*): Define.

2006-04-03  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winuser.h (WM_IME_*): Define (DWORD type).
	(EM_*IMESTATUS): Define.
	(WM_*): Define.
	(XBUTTON*): Define.
	Thanks to:    Steve Folly <spfolly at users dot sf dot net>

2006-03-31  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/winnetwk.h (WNetGetResourceInformationW):  Correct first param.
	Thanks to: Rene Rivera  <grafik at users dot sf dot net>

2006-03-29  Christopher Faylor  <cgf@timesys.com>

	* include/winspool.h: Protect use of PRINTER_ENUM_VALUESW with proper
	version conditional.

2006-03-29  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winspool.h (JOB_INFO_3): Add structure.
	(PROVIDOR_INFO_*{AW}): Add structure.
	* include/winspool.h [_WIN32_WINNT >= 0x0500]
	(PRINTER_ENUM_VALUES{AW}): Add structure.
	(PRINTPROCESSOR_CAPS): Add structure.

2006-03-29  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winspool.h [_WIN32_WINNT >= 0x0500]
	(PRINTER_INFO_7A): Correct definition.

2006-03-29  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winspool.h [_WIN32_WINNT >= 0x0500]
	(DRIVER_INFO_*{AW}): Add structure.
	(PRINTER_INFO_*{AW}): Add structure.
	Thanks to:   Roland Schwingel <rolandschwingel at users dot sf dot net>

2006-03-29  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winspool.h [_WIN32_WINNT >= 0x0500]
	(DRIVER_*MODE): Define (DWORD type).
	Thanks to:   Roland Schwingel <rolandschwingel at users dot sf dot net>

2006-03-27  Danny Smith  <dannysmith@users.sourceforge.net>

	* include/wincon.h (GetConsoleProcessList): Declare.

2006-03-27  Hansres Engel  <engel@node.ch>

	* include/mlang.h: New file.

2006-03-26  Chris Sutcliffe  <ir0nh34d@users.sourceforge.net>

	* include/winbase.h (SetProcessWorkingSetSize): Corrected define.

2006-03-26  Hansres Engel  <engel@node.ch>

	 Add Uniscribe API for typography and for complex scripts.
	* include/usp10.h: New file.
	* lib/usp10.def: New file.

	* include/winver.h:  Change first argument of GetFileVersionInfo[...] to const.

	* include/imm.h (IMECHARPOSITION): Add structure.
	(RECONVERTSTRING): Likwise.

	* include/commdlg.h (OPENFILENAME_SIZE_VERSION_400): Define.

	* lib/uuid.c (CMultiLanguage): Add UUID definition.
	(IMLangFontLink2): Likewise.
	(IMultiLanguage): Likewise.

2006-03-18  Julien Lecomte  <julienlecomte@users.sourceforge.net>

	* include/wincon.h  (ENABLE_*): Add more defines.

2006-03-18  Jan Nijtmans  <nijtmans@users.sourceforge.net>

	* include/winnt.h (INHERITED_ACE): Define.
	(VALID_INHERIT_FLAGS): Correct definition.

2006-03-18  Peter Ĺstrand  <astrand@cendio.se>

	 * lib/wtsapi32.def: New file.

2006-03-15  Christopher Faylor  <cgf@timesys.com>

	* include/winbase.h (STATUS_DLL_INIT_FAILED): New define.
	(STATUS_DLL_INIT_FAILED_LOGOFF): Ditto.

2006-03-09  Dimitri Papadopoulos  <papadopo@users.sourceforge.net>

	* include/winspool.h (DI_MEMORYMAP_WRITE): Define (DWORD type).
